#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0xbc8bf0c0, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0x2da56ccf, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x76b34d4e, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x3d0f49c0, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0xc4d99967, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0x275d9a7f, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0x344d2027, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0x68d11581, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x302ee5bd, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0x22682215, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0x5bf7c6d3, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0x8da9c518, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0x2e32e00f, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x003a76eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c49ddd2, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d24c569, "__hci_cmd_sync" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb7ebb3b0, "hci_cmd_sync_queue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd1a7b904, "hci_devcd_register" },
	{ 0xd0d2c33f, "__hci_cmd_send" },
	{ 0x4d23f3c0, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf8ddc68, "usb_anchor_urb" },
	{ 0x9868b811, "usb_submit_urb" },
	{ 0xe9026472, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4162df63, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x20cb75e6, "usb_autopm_get_interface" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xef9d8439, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x37a0cba, "kfree" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x71827c54, "hci_devcd_append" },
	{ 0x68a8dc37, "hci_devcd_complete" },
	{ 0xe93a5eaf, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa42e6933, "usb_disable_autosuspend" },
	{ 0x23632c3d, "skb_clone" },
	{ 0x9f1bd542, "hci_recv_diag" },
	{ 0xcf2f16f1, "hci_recv_frame" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x415d6153, "__alloc_skb" },
	{ 0x6b0251c6, "skb_put" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xca57b060, "usb_control_msg" },
	{ 0x320bb4fa, "__skb_pad" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4673c657, "usb_set_interface" },
	{ 0xa6d2ebda, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "18AEEA470BA8CE7E5CC61C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
