#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0x5293b2ad, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0xee8314db, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0xe91ac4a7, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x7203410a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3053894, "qca_read_soc_version" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcf0dda45, "param_ops_bool" },
	{ 0xc95b9f44, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x874e878a, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x682a8d02, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x78c6e2bd, "btbcm_write_pcm_int_params" },
	{ 0xd390b88e, "btbcm_set_bdaddr" },
	{ 0x4a1f5e30, "tty_unthrottle" },
	{ 0x86ab2792, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x18750985, "btbcm_check_bdaddr" },
	{ 0xe75df9a4, "skb_pull_data" },
	{ 0xc216f947, "rcuwait_wake_up" },
	{ 0x2fc1deae, "acpi_dev_get_property" },
	{ 0xef7c0e34, "regulator_disable" },
	{ 0x631ec09c, "dev_err_probe" },
	{ 0x86393980, "qca_set_bdaddr_rome" },
	{ 0xc359c843, "__pm_runtime_suspend" },
	{ 0x19611d2c, "__devm_add_action" },
	{ 0x9e011e96, "hci_register_dev" },
	{ 0xfdad70a7, "qca_set_bdaddr" },
	{ 0x214e4265, "bt_warn" },
	{ 0x532bc9a2, "__pm_runtime_use_autosuspend" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x9b1e1218, "btintel_enter_mfg" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0x8d24c569, "__hci_cmd_sync" },
	{ 0xba8bfae1, "debugfs_create_u8" },
	{ 0x6ca034f0, "__pm_runtime_disable" },
	{ 0x8f4213d5, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x99bfffca, "hci_devcd_abort" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x9f1bd542, "hci_recv_diag" },
	{ 0xe90cac5f, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8072bd7d, "percpu_free_rwsem" },
	{ 0x10a3fe2f, "gpiod_get_value_cansleep" },
	{ 0x3f82991d, "tty_set_termios" },
	{ 0x950f5258, "regulator_enable" },
	{ 0x90e0c61d, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa37fb11e, "is_acpi_device_node" },
	{ 0x9e9c1fc5, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x10d1a6c3, "devm_request_threaded_irq" },
	{ 0x22fd43a3, "percpu_down_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x21d757c0, "gpiod_set_value" },
	{ 0x4a2c4f31, "tty_register_ldisc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5d8672f, "serdev_device_set_baudrate" },
	{ 0x2e025440, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x36be5f7c, "hci_free_dev" },
	{ 0x2d593745, "platform_get_irq" },
	{ 0x4146c84c, "btintel_check_bdaddr" },
	{ 0x9732a26d, "btbcm_finalize" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d577e23, "btrtl_download_firmware" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5000d58, "skb_dequeue" },
	{ 0x39c59d84, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x235614e0, "btintel_send_intel_reset" },
	{ 0xa0cd9cd5, "nvmem_cell_get" },
	{ 0xe96a4cf9, "gpiod_set_value_cansleep" },
	{ 0x4262d14f, "devm_pwrseq_get" },
	{ 0x3c49ddd2, "request_firmware" },
	{ 0x18506901, "btintel_download_firmware" },
	{ 0x7b8450a2, "btbcm_initialize" },
	{ 0x886f6ce1, "serdev_device_set_flow_control" },
	{ 0x9a9045c2, "btrtl_initialize" },
	{ 0x8ae62545, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb93a6e6, "hci_alloc_dev_priv" },
	{ 0x6dbf8324, "btintel_read_version" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b896611, "qca_send_pre_shutdown_cmd" },
	{ 0x91672546, "serdev_device_open" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7fb27eaa, "btintel_version_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa54a121f, "dev_kfree_skb_irq_reason" },
	{ 0xc5b0437a, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x95172aba, "__module_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x34ad0b7e, "get_device" },
	{ 0x923e4ff2, "btintel_set_bdaddr" },
	{ 0xe93a5eaf, "hci_devcd_init" },
	{ 0x5febe2e1, "hci_devcd_append_pattern" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x8de7ac25, "serdev_device_set_parity" },
	{ 0x486c42a, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc2d0a, "skb_queue_purge_reason" },
	{ 0x68a8dc37, "hci_devcd_complete" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5299f0d, "__pm_runtime_set_status" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6b590f52, "acpi_dev_get_resources" },
	{ 0xaf78f260, "btrtl_free" },
	{ 0x1ac2a829, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x809bb19b, "pwrseq_power_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xde9d8723, "btrtl_get_uart_settings" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6f3c4de8, "put_device" },
	{ 0xa0643b34, "devm_free_irq" },
	{ 0xf2133f56, "tty_driver_flush_buffer" },
	{ 0x19ce649c, "pm_runtime_enable" },
	{ 0xacd8d857, "btintel_exit_mfg" },
	{ 0xa916b694, "strnlen" },
	{ 0xca3fe8c9, "pwrseq_power_off" },
	{ 0xb6ca27a4, "btintel_set_diag" },
	{ 0x415d6153, "__alloc_skb" },
	{ 0x996b3dec, "regulator_bulk_disable" },
	{ 0x49293b9c, "device_property_read_u32_array" },
	{ 0x97cdea9, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbc4593b6, "__hci_cmd_sync_status" },
	{ 0xd299d529, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd077f239, "skb_queue_tail" },
	{ 0x97f8a577, "module_put" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xbbc02376, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd6f769f0, "btbcm_read_pcm_int_params" },
	{ 0xb5b108d5, "percpu_up_write" },
	{ 0x8a469991, "regulator_set_load" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x1c0ee6cc, "devm_acpi_dev_add_driver_gpios" },
	{ 0x8073e021, "_dev_err" },
	{ 0x2b2d63f6, "device_wakeup_enable" },
	{ 0xe3e05650, "debugfs_create_bool" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0xe10a8a70, "device_property_read_u8_array" },
	{ 0x86b1e405, "devm_clk_put" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0x654b37fb, "serdev_device_write_flush" },
	{ 0xfb7b9256, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x479e7bd0, "irq_get_irq_data" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xdccaa851, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7710b59d, "btrtl_set_quirks" },
	{ 0x245f0390, "skb_push" },
	{ 0x5113f1a4, "btintel_load_ddc_config" },
	{ 0x15b0ef06, "n_tty_ioctl_helper" },
	{ 0x36971057, "debugfs_create_u64" },
	{ 0xb990b2d, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0x68034ece, "btintel_set_event_mask_mfg" },
	{ 0x583d68fe, "tty_ldisc_flush" },
	{ 0x3d4dcd6a, "__percpu_init_rwsem" },
	{ 0xd0d2c33f, "__hci_cmd_send" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd3769e81, "serdev_device_wait_until_sent" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9069a427, "__serdev_device_driver_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xee522298, "qca_uart_setup" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd1a7b904, "hci_devcd_register" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x93d6a859, "device_get_match_data" },
	{ 0x71827c54, "hci_devcd_append" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d3a4de3, "debugfs_create_u32" },
	{ 0x2f7b8ef7, "acpi_match_device" },
	{ 0x7df4012, "serdev_device_set_tiocm" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xcf78bd05, "regulator_bulk_enable" },
	{ 0x8a3bf7d2, "devm_regulator_bulk_get" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x94367793, "btintel_read_boot_params" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3ce9217, "serdev_device_write_buf" },
	{ 0xd5df0bbf, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x93e84cbf, "tty_unregister_ldisc" },
	{ 0x1dd61d0a, "__platform_driver_register" },
	{ 0x91176e93, "devm_clk_get_optional" },
	{ 0x68589fd0, "__hci_cmd_sync_ev" },
	{ 0x48809747, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xdc586b10, "__pm_runtime_resume" },
	{ 0xe6e4acad, "desc_to_gpio" },
	{ 0xcf2f16f1, "hci_recv_frame" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "btqca,btbcm,bluetooth,btintel,btrtl,pwrseq-core");

MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-btC*");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-btC*");
MODULE_ALIAS("acpi*:QCOM2066:*");
MODULE_ALIAS("acpi*:QCOM6390:*");
MODULE_ALIAS("acpi*:DLA16390:*");
MODULE_ALIAS("acpi*:DLB16390:*");
MODULE_ALIAS("acpi*:DLB26390:*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897C*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997C*");
MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-btC*");
MODULE_ALIAS("acpi*:INT33E1:*");
MODULE_ALIAS("acpi*:INT33E3:*");
MODULE_ALIAS("acpi*:OBDA0623:*");
MODULE_ALIAS("acpi*:OBDA8723:*");

MODULE_INFO(srcversion, "986FD9067CA6BD9E6DC51A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
