#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xea26f0b3, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x17f799b6, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xee87d050, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0xe61928ef, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x59e3f647, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x4fa1781b, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x5718cff3, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0xedf8b3d9, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xe6628199, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x6ead2900, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x35bd8126, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x8f5ed7df, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x105081f9, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xebe73e66, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x8b8dfa07, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xba5ab6ea, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x08e1332d, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xaeda21f5, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x817216bd, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xc41c0bd4, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xbb993207, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x5e370fbf, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xf7b49441, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xfe28ca2d, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x3b0e44b2, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0xb4fda8ad, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x90cf8cba, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0xb0d5191d, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0xb38ed1dc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0xe98c778f, "regmap_raw_write" },
	{ 0xded2c388, "regmap_raw_read" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0x21165061, "regmap_read" },
	{ 0xd299d529, "_dev_info" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xd261ff29, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0xeec02936, "regmap_raw_write_async" },
	{ 0x40293c5, "regmap_update_bits_base" },
	{ 0xce8badc1, "regmap_write" },
	{ 0x65b1c17a, "regmap_multi_reg_write" },
	{ 0xdd33ec45, "regmap_bulk_read" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0xe2820a78, "devm_kfree" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc9c9cea7, "devm_kasprintf" },
	{ 0x9ad9322a, "debugfs_remove" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7ede4f3, "seq_lseek" },
	{ 0xa958708e, "seq_read" },
	{ 0x91dce82, "single_release" },
	{ 0x34fabfa2, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f4213d5, "debugfs_create_dir" },
	{ 0xe3e05650, "debugfs_create_bool" },
	{ 0x7d71040e, "debugfs_create_x32" },
	{ 0x4193c46e, "debugfs_create_file" },
	{ 0xa672a809, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8073e021, "_dev_err" },
	{ 0x37c23781, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
