#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_name, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_put, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_set_io_error, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_detect, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_destroy, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_enable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_disable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_bw_alloc_is_enabled, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_alloc_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get_allocated_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_update_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_handle_irq, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_rate, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_available_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_old_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_new_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_set_stream_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_required_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_group_streams_in_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_check_stream_bws, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_create, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x55e957f6, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x11db4571, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xa498e4fd, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x8b54b407, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x6af992da, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xc3206d35, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xcf331def, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x3624a15a, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x687f1cad, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xfec9970b, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xf9157fd2, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x10f3abb4, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x6217a82a, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x83587263, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x3c418b9b, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x09bea306, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xfcd97aa4, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xba0c0a6e, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xbe8dae21, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x231f1972, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x7d7086d8, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x563705f7, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x50aa8901, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x9b44ade5, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x25088574, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xda05e6ac, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x783d080e, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x7f245f4b, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x9ef10dca, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x9b1a5d6c, "");
SYMBOL_CRC(drm_dp_aux_init, 0x6e5f9628, "");
SYMBOL_CRC(drm_dp_aux_register, 0x9a733100, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x5bb6704d, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x23a92666, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x5c260f99, "");
SYMBOL_CRC(drm_dp_read_desc, 0xc12b2d9f, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0xfbb53d37, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x273d044d, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x71176ec8, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xaac63b34, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xb2d17e6c, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0xf9434ba4, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x37b5ba17, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x2585e1bb, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x587ad4d9, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x1e870459, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x8c91595c, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xd0eac6d0, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x66358958, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xcd22a0d6, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xb8b78568, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x5bcd09ec, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x389a49f4, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x0b28a7d3, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x748baa58, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xed2d9082, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xc865b5ed, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x846c252e, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x99d78aad, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xaef28405, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xb418cd1b, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xad7c42cf, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xa4c6362a, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x7243d57f, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x35fea6d5, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x777488b3, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x81105345, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0xf6ecf574, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x9a480974, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xe87430a9, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x0c401797, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x46697bac, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x5e3ed276, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x93122ed2, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x088785bb, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x39af0e9b, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x09be83dc, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xcddda036, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x27c8b665, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x0b57fec6, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x7f95f211, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x8f81d937, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x329afe88, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xe0f1287d, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x6295fa95, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xec1eea69, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x12fcfedd, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x40b94e0f, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x2bcbb54a, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x85b1b98a, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x74af0859, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x33bbf0ce, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xd022ae86, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x033f4110, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xc14f78bb, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x6ddbc504, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x876b5d8e, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x0a07ac9b, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0xbaec8901, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x46c85058, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xa908515d, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x07291d3e, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x29a6d078, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x2ad91937, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_dp_tunnel_name, 0x4dcbe65a, "");
SYMBOL_CRC(drm_dp_tunnel_get, 0x2251bc99, "");
SYMBOL_CRC(drm_dp_tunnel_put, 0x64ed053c, "");
SYMBOL_CRC(drm_dp_tunnel_set_io_error, 0x59fd5d64, "");
SYMBOL_CRC(drm_dp_tunnel_detect, 0x16d0c7f7, "");
SYMBOL_CRC(drm_dp_tunnel_destroy, 0xc3e313ce, "");
SYMBOL_CRC(drm_dp_tunnel_enable_bw_alloc, 0x9b94e482, "");
SYMBOL_CRC(drm_dp_tunnel_disable_bw_alloc, 0x33dc9f9e, "");
SYMBOL_CRC(drm_dp_tunnel_bw_alloc_is_enabled, 0x12a7a127, "");
SYMBOL_CRC(drm_dp_tunnel_alloc_bw, 0xe23ec5be, "");
SYMBOL_CRC(drm_dp_tunnel_get_allocated_bw, 0x2be568a2, "");
SYMBOL_CRC(drm_dp_tunnel_update_state, 0x12c52ff9, "");
SYMBOL_CRC(drm_dp_tunnel_handle_irq, 0xb2a50db5, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_rate, 0xe239de10, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_lane_count, 0x848588fb, "");
SYMBOL_CRC(drm_dp_tunnel_available_bw, 0x5a08e995, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_state, 0x3fe66987, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_old_state, 0xcc405728, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_new_state, 0xabe1a20b, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_set_stream_bw, 0x02a7e4ae, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_required_bw, 0xf0022b0c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_group_streams_in_state, 0xe318853c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_check_stream_bws, 0x4e6ebc9e, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_create, 0xee82056c, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_destroy, 0xf792853b, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x59875c88, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x81dc36cf, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x9d2cc5f7, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xba4a94e5, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x3125b22f, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x393ac7e2, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xef636817, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x311fc5c5, "");
SYMBOL_CRC(drm_scdc_write, 0x4266357b, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x92a31f24, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xfce63c62, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x029f0d4e, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xd643e4cb, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xe086317a, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x71ee46ee, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xe00d28d9, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x2c198e6a, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x1f8ce759, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8df9dd10, "guid_null" },
	{ 0xa2c73a06, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x51bbdca2, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbfd1880e, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0xc83ef6b1, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa44b2fd5, "drm_dev_printk" },
	{ 0xd925954, "i2c_del_adapter" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x895092a1, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2237dcfb, "drm_crtc_wait_one_vblank" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xabed863, "drm_modeset_lock" },
	{ 0x16549c66, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8073e021, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xf112bbcc, "device_create" },
	{ 0x3dca561, "class_create" },
	{ 0x4a538523, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4dd85ea7, "fixed_size_llseek" },
	{ 0x1ca97b7d, "seq_putc" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2c2fd5c7, "drm_crtc_commit_wait" },
	{ 0xfac4e043, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x9ba1445b, "cec_unregister_adapter" },
	{ 0xdbf83e0, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x7bb5a254, "drm_atomic_get_old_private_obj_state" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x13a8bab2, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xffd608a3, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x20c210dd, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb2a055f2, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x99ada948, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf089d33d, "__register_chrdev" },
	{ 0xba8fb9a0, "seq_write" },
	{ 0xbd6f7cb8, "device_destroy" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37c23781, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1f10f36e, "_copy_from_iter" },
	{ 0xf4271152, "i2c_transfer" },
	{ 0xd9f309fd, "drm_display_mode_from_cea_vic" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdb6da413, "cec_fill_conn_info_from_drm" },
	{ 0xa114c2af, "drm_sysfs_connector_property_event" },
	{ 0x34caab93, "cec_received_msg_ts" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0x32ed95b5, "iov_iter_revert" },
	{ 0x67e6718, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x214a6cb8, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0xa73db774, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6f7b6470, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3cf3015b, "drm_crtc_add_crc_entry" },
	{ 0xf4fadb70, "cec_delete_adapter" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3db95cc8, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb1207589, "drm_connector_register" },
	{ 0x30a88faa, "cec_transmit_attempt_done_ts" },
	{ 0xbb7f3c65, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfb13d6f2, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x78690514, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x997d495a, "class_destroy" },
	{ 0x31ea8ee2, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x217f29a8, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x18d3356c, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x981efd6, "drm_mode_object_put" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "8AED82B2387EB2FAA64BE78");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
