#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x0d809946, "");
SYMBOL_CRC(drm_gem_vram_put, 0x335e6b29, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x3327d491, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xeaee5b5b, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x4fef7e2f, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xea645c20, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x9c3961e6, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x095bc604, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x971de7a2, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x5bfba82f, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x37dfe1db, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x2eba70dc, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xf39b8cf0, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x32a86e86, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x68f50591, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x11b32fd3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7081c1f7, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc52a71c8, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd090c05f, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc250315c, "drm_gem_object_release" },
	{ 0xeb374c7c, "ttm_tt_init" },
	{ 0xca110f78, "drm_gem_handle_create" },
	{ 0x8b7c7b74, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x67aee263, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xc000cf1b, "drm_debugfs_add_files" },
	{ 0xa04527a4, "ttm_bo_init_validate" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x626c4eed, "ttm_device_init" },
	{ 0x6048e7f7, "ttm_bo_validate" },
	{ 0xf1ed3828, "ttm_bo_move_to_lru_tail" },
	{ 0xc4e0e170, "ttm_bo_vmap" },
	{ 0xed5263e, "ttm_bo_put" },
	{ 0x115285bd, "ttm_resource_free" },
	{ 0x96cbad21, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb62b4909, "ttm_tt_fini" },
	{ 0xaf2fd564, "ttm_device_fini" },
	{ 0x68646bf7, "drm_gem_plane_helper_prepare_fb" },
	{ 0x134cae73, "ttm_bo_eviction_valuable" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xc6d674b8, "drm_gem_ttm_print_info" },
	{ 0xdfca0134, "ttm_range_man_init_nocheck" },
	{ 0x71e8a7d3, "ww_mutex_lock_interruptible" },
	{ 0xb06888b1, "ttm_resource_manager_debug" },
	{ 0x602e1f96, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e28dd62, "ttm_range_man_fini_nocheck" },
	{ 0xb4faf7f2, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6ac09965, "ttm_bo_pin" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "drm_ttm_helper,ttm");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
