#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x65ac09b1, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x29b07ce0, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xcad3168a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0bce226, "drm_mode_probed_add" },
	{ 0x52647ea2, "drm_set_preferred_mode" },
	{ 0xcce2bb4a, "pwm_put" },
	{ 0xef7c0e34, "regulator_disable" },
	{ 0x7ec813db, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xd01398c, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x81acc0aa, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5fa32dbe, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xd6a41a7c, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xb5bd7fa6, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x2a7d4dc4, "drm_atomic_helper_check_plane_state" },
	{ 0x7b15d791, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x763400a6, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xe3404b46, "drm_dev_unplug" },
	{ 0xb793f2d7, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0xf365a0dd, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x1e6af3cd, "drm_gem_fb_begin_cpu_access" },
	{ 0x91cab2d0, "drm_fb_xrgb8888_to_rgb332" },
	{ 0xc963c8a2, "drm_gem_fb_end_cpu_access" },
	{ 0xb8919e03, "drm_fb_xrgb8888_to_gray8" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8870d82e, "drm_fb_xrgb8888_to_mono" },
	{ 0xe96a4cf9, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x950f5258, "regulator_enable" },
	{ 0x5f36569a, "pwm_get" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x6a99dc57, "__drm_atomic_helper_crtc_reset" },
	{ 0xb2b8ce30, "__drm_gem_reset_shadow_plane" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xb3ed4d2c, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x5c1658c2, "drm_gem_shmem_dumb_create" },
	{ 0x134092ee, "noop_llseek" },
	{ 0x52cfefdd, "drm_read" },
	{ 0xf908eadc, "drm_poll" },
	{ 0x9267fc8b, "drm_ioctl" },
	{ 0x34913b94, "drm_compat_ioctl" },
	{ 0x3b9eeb44, "drm_gem_mmap" },
	{ 0xabdec855, "drm_open" },
	{ 0x22761a53, "drm_release" },
	{ 0x2141adbd, "drm_gem_fb_create_with_dirty" },
	{ 0xeb2260bb, "drm_atomic_helper_check" },
	{ 0x8b90008e, "drm_atomic_helper_commit" },
	{ 0x6f044dc1, "drm_atomic_helper_connector_reset" },
	{ 0xcb1b9c7, "drm_helper_probe_single_connector_modes" },
	{ 0xa7d1f342, "drm_connector_cleanup" },
	{ 0xfa9f6e61, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x59fe052c, "drm_atomic_helper_connector_destroy_state" },
	{ 0x7181bca7, "drm_encoder_cleanup" },
	{ 0xd8e44081, "drm_crtc_cleanup" },
	{ 0xfc82271b, "drm_atomic_helper_set_config" },
	{ 0x9d230430, "drm_atomic_helper_page_flip" },
	{ 0xdffee154, "drm_atomic_helper_update_plane" },
	{ 0x924f78fd, "drm_atomic_helper_disable_plane" },
	{ 0xc7ddce1f, "drm_plane_cleanup" },
	{ 0x4a6863e8, "drm_gem_begin_shadow_fb_access" },
	{ 0x113b200c, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce8badc1, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcb1693bf, "__devm_drm_dev_alloc" },
	{ 0x93d6a859, "device_get_match_data" },
	{ 0x49293b9c, "device_property_read_u32_array" },
	{ 0xe10a8a70, "device_property_read_u8_array" },
	{ 0x90e0c61d, "device_property_present" },
	{ 0xc5b0437a, "devm_gpiod_get_optional" },
	{ 0x97cdea9, "devm_regulator_get" },
	{ 0x67e6718, "devm_backlight_device_register" },
	{ 0x115fb514, "drmm_mode_config_init" },
	{ 0x11017d31, "drm_universal_plane_init" },
	{ 0x72ff1df9, "drm_plane_enable_fb_damage_clips" },
	{ 0x60901d4c, "drm_crtc_init_with_planes" },
	{ 0x22783774, "drm_encoder_init" },
	{ 0x368db2da, "drm_connector_init" },
	{ 0x5f944cc1, "drm_connector_attach_encoder" },
	{ 0xf7defc30, "drm_mode_config_reset" },
	{ 0x15df41c7, "drm_dev_register" },
	{ 0xdead60f, "drm_fbdev_shmem_setup" },
	{ 0x631ec09c, "dev_err_probe" },
	{ 0x8073e021, "_dev_err" },
	{ 0xae25e049, "drm_mode_duplicate" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C157EB9E09F89E3AFEB376B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
