#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0x57cd907f, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0xcd51211d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d593745, "platform_get_irq" },
	{ 0x10d1a6c3, "devm_request_threaded_irq" },
	{ 0x39c59d84, "pm_runtime_set_autosuspend_delay" },
	{ 0x19ce649c, "pm_runtime_enable" },
	{ 0x381022d0, "i3c_master_register" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6257a2f, "complete" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x692bb17b, "i3c_generic_ibi_get_free_slot" },
	{ 0xa719a432, "i3c_master_queue_ibi" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xd299d529, "_dev_info" },
	{ 0xced89e00, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xdc586b10, "__pm_runtime_resume" },
	{ 0x8073e021, "_dev_err" },
	{ 0x9d2117a6, "i3c_master_enec_locked" },
	{ 0x12dfae25, "i3c_master_get_free_addr" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x471e7138, "i3c_master_add_i3c_dev_locked" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf16e57a0, "i3c_master_set_info" },
	{ 0xc551f042, "pm_runtime_force_suspend" },
	{ 0x5319a632, "pm_runtime_force_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc359c843, "__pm_runtime_suspend" },
	{ 0x7c1f5ed1, "i3c_generic_ibi_recycle_slot" },
	{ 0x12a22b1a, "i3c_master_disec_locked" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0x2678fac3, "i3c_generic_ibi_alloc_pool" },
	{ 0x37a0cba, "kfree" },
	{ 0x60dcc1b6, "i3c_master_do_daa" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2c7ae4b1, "i3c_master_unregister" },
	{ 0x6ca034f0, "__pm_runtime_disable" },
	{ 0xd5299f0d, "__pm_runtime_set_status" },
	{ 0x532bc9a2, "__pm_runtime_use_autosuspend" },
	{ 0x1dd61d0a, "__platform_driver_register" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7c7de55e, "pinctrl_pm_select_sleep_state" },
	{ 0x2e025440, "platform_driver_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb6bb6e56, "devm_platform_ioremap_resource" },
	{ 0xe1b131c7, "devm_clk_get_enabled" },
	{ 0x40f1ded, "devm_clk_get_optional_enabled" },
	{ 0x8d2ada59, "__devm_reset_control_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "A0ACCF07EEEB04E09FD1500");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
