#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x79992d80, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xbb53c819, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x999d6772, "");
SYMBOL_CRC(__rmi_register_function_handler, 0xdc7f156e, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0x5653535d, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x9fa94749, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0x0db48bc8, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x02806345, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x049954a8, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x78621a9c, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xf01e4f7e, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x3c69efb2, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x087b6619, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x3195fac2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1dfba5c9, "vb2_ioctl_dqbuf" },
	{ 0xaac3a3ef, "bus_unregister" },
	{ 0xe2820a78, "devm_kfree" },
	{ 0x8073e021, "_dev_err" },
	{ 0xd1d1491, "vb2_ioctl_create_bufs" },
	{ 0x792f7986, "device_add" },
	{ 0xfc669403, "input_mt_init_slots" },
	{ 0x479e7bd0, "irq_get_irq_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc1294cb8, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x139e92b, "vb2_buffer_done" },
	{ 0xb990b2d, "driver_unregister" },
	{ 0xcbc97621, "vb2_plane_vaddr" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe6460a1e, "video_unregister_device" },
	{ 0x5c9aa675, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe1199924, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xae32b660, "vb2_fop_mmap" },
	{ 0x5c6d3d7, "device_del" },
	{ 0x110a2e14, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x7879374b, "vb2_vmalloc_memops" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb72c238d, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xcae9802c, "input_event" },
	{ 0x8ffb52cc, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x826d3fbf, "v4l2_device_register" },
	{ 0xee5f4303, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc9c9cea7, "devm_kasprintf" },
	{ 0x28f63f58, "sysfs_remove_group" },
	{ 0x57fdb534, "serio_interrupt" },
	{ 0xf42018d, "irq_domain_instantiate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x277d2608, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4e825bae, "vb2_ops_wait_prepare" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7fdba1a, "irq_create_mapping_affinity" },
	{ 0x95620b26, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56811952, "input_alloc_absinfo" },
	{ 0x7394b2e4, "vb2_fop_poll" },
	{ 0x6019f842, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0xaa4b4f1b, "_dev_printk" },
	{ 0xde0b729, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8627e3a3, "driver_register" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xbfa15ff2, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x8aa1dda0, "vb2_ioctl_reqbufs" },
	{ 0xf0846bbf, "vb2_queue_init" },
	{ 0x5a9fa785, "input_mt_assign_slots" },
	{ 0x11150a08, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x10d1a6c3, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x29f0994d, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3f2fca9f, "dev_set_name" },
	{ 0x5dd53f51, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdbfbb384, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf07c05ea, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xb65428c7, "vb2_ops_wait_finish" },
	{ 0x3c49ddd2, "request_firmware" },
	{ 0x56f090af, "input_mt_report_slot_state" },
	{ 0x7e4f1e01, "device_initialize" },
	{ 0xcb942342, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9b7204e7, "vb2_ioctl_querybuf" },
	{ 0xf95911aa, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4896992d, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0xca98262f, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd681d281, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1cf3cb4b, "video_devdata" },
	{ 0x858fbabc, "irq_set_chip_and_handler_name" },
	{ 0x6f3c4de8, "put_device" },
	{ 0xa7a74b47, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2ed6685d, "handle_simple_irq" },
	{ 0xd299d529, "_dev_info" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "E0A76EE3EE8F7C55D88A847");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
