#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x53c54084, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x337a8c76, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x1cf5fdca, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x1b2c1df6, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x1e321fe0, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xf473cf7d, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0xa63d678f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53b57b31, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1cf3cb4b, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa7a74b47, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xd925954, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9e9b0bc8, "vb2_plane_cookie" },
	{ 0x1dfba5c9, "vb2_ioctl_dqbuf" },
	{ 0xd1d1491, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd2293ebd, "vb2_ioctl_prepare_buf" },
	{ 0x6d5b03e4, "dma_alloc_attrs" },
	{ 0x139e92b, "vb2_buffer_done" },
	{ 0xaa75aae3, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe6460a1e, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe1199924, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xae32b660, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xce59c1a0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8ffb52cc, "vb2_fop_read" },
	{ 0x826d3fbf, "v4l2_device_register" },
	{ 0xffd608a3, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b508c4b, "dma_free_attrs" },
	{ 0x277d2608, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4e825bae, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x95620b26, "vb2_ioctl_streamon" },
	{ 0x7394b2e4, "vb2_fop_poll" },
	{ 0x204b8fd7, "v4l2_ctrl_new_std" },
	{ 0x125ccbe, "v4l2_ctrl_handler_free" },
	{ 0x6019f842, "v4l2_device_unregister" },
	{ 0xa005e528, "pci_disable_device" },
	{ 0x8571a305, "dma_set_mask" },
	{ 0xc075976f, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xde0b729, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbc637c9b, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x8aa1dda0, "vb2_ioctl_reqbufs" },
	{ 0xf0846bbf, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7f3c7041, "vb2_dma_sg_memops" },
	{ 0x11150a08, "video_ioctl2" },
	{ 0x547da13e, "pci_enable_device" },
	{ 0x29f0994d, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb65428c7, "vb2_ops_wait_finish" },
	{ 0xda37e0a8, "__pci_register_driver" },
	{ 0x935f5ca4, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xa746af79, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b7204e7, "vb2_ioctl_querybuf" },
	{ 0x4896992d, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x41e203db, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
