#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xc5858d94, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x43f5f72f, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x75eb8535, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x766af1e9, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xec85c183, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x8762f724, "_gpl");
SYMBOL_CRC(is_fw_load, 0xf9985365, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xa7b51015, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x7b6e8718, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x110d4e03, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x85520046, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x5020d7de, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xf874d567, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x4f43ee5d, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xbd6de02a, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x4125b178, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xa96eb7ff, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x88cfa320, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x5cc866b6, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0xe89769d3, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x15b8d952, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xb262b5c1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xcf859c0a, "usb_clear_halt" },
	{ 0x7d3d8fbe, "usb_put_dev" },
	{ 0x19933851, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1cf3cb4b, "video_devdata" },
	{ 0xa7a74b47, "vb2_fop_release" },
	{ 0x4cf4103d, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xdeac504c, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9868b811, "usb_submit_urb" },
	{ 0xd299d529, "_dev_info" },
	{ 0xd925954, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbf308150, "media_device_register_entity" },
	{ 0xd08b9120, "media_device_cleanup" },
	{ 0x1dfba5c9, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8073e021, "_dev_err" },
	{ 0x9dcd29e0, "i2c_unregister_device" },
	{ 0x62936706, "usb_free_coherent" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xca57b060, "usb_control_msg" },
	{ 0x139e92b, "vb2_buffer_done" },
	{ 0xcbc97621, "vb2_plane_vaddr" },
	{ 0xaa75aae3, "v4l2_ctrl_subscribe_event" },
	{ 0x4673c657, "usb_set_interface" },
	{ 0x2e1deb64, "media_entity_pads_init" },
	{ 0xe6460a1e, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc27ee802, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xe88f5993, "usb_deregister" },
	{ 0xe1199924, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xae32b660, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3b5fc726, "v4l2_s_ctrl" },
	{ 0xe8f20991, "i2c_mux_alloc" },
	{ 0x7879374b, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8ffb52cc, "vb2_fop_read" },
	{ 0x826d3fbf, "v4l2_device_register" },
	{ 0xffd608a3, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x47c7a593, "rc_allocate_device" },
	{ 0xbb2cbe13, "pv_ops" },
	{ 0x28b5abd8, "usb_unlink_urb" },
	{ 0xa132fb1d, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x277d2608, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4e825bae, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x49e7cc2, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x95620b26, "vb2_ioctl_streamon" },
	{ 0x617bb999, "v4l2_mc_create_media_graph" },
	{ 0x7394b2e4, "vb2_fop_poll" },
	{ 0xd34d1318, "cx2341x_handler_init" },
	{ 0x8586ac27, "cx2341x_handler_set_50hz" },
	{ 0x62f8aa3e, "__media_device_usb_init" },
	{ 0x125ccbe, "v4l2_ctrl_handler_free" },
	{ 0xf4271152, "i2c_transfer" },
	{ 0x6019f842, "v4l2_device_unregister" },
	{ 0x4797d3e3, "usb_reset_endpoint" },
	{ 0x4ed9da58, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xa620cc87, "v4l2_subdev_call_wrappers" },
	{ 0x879e6f2e, "v4l2_ctrl_log_status" },
	{ 0xbb7af51e, "v4l2_i2c_new_subdev" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0xde0b729, "video_device_release_empty" },
	{ 0xbf6b5040, "i2c_mux_add_adapter" },
	{ 0x64863ae6, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbc637c9b, "v4l2_event_unsubscribe" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8aa1dda0, "vb2_ioctl_reqbufs" },
	{ 0xf0846bbf, "vb2_queue_init" },
	{ 0x4d23f3c0, "usb_alloc_urb" },
	{ 0x221be09d, "v4l2_ctrl_poll" },
	{ 0x11150a08, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc7875af, "media_device_unregister" },
	{ 0xe9026472, "usb_free_urb" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x29f0994d, "vb2_ioctl_streamoff" },
	{ 0x183ef7ca, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x605fc223, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdcc9a967, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x3c49ddd2, "request_firmware" },
	{ 0xb65428c7, "vb2_ops_wait_finish" },
	{ 0x5fda2ad6, "usb_register_driver" },
	{ 0x935f5ca4, "v4l2_ctrl_handler_init_class" },
	{ 0xa746af79, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf12282f6, "__media_device_register" },
	{ 0x9b7204e7, "vb2_ioctl_querybuf" },
	{ 0x94ffba1e, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4896992d, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "210904576AB8FF11206545C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
