#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x9b4c92ba, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0x47ec1579, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x213a695f, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xf201fb2d, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x502c55a0, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x2d723ec3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa16ce1fd, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xf12282f6, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0x4349c2b0, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd78a3402, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xcf859c0a, "usb_clear_halt" },
	{ 0x19933851, "usb_bulk_msg" },
	{ 0xd681d281, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9868b811, "usb_submit_urb" },
	{ 0xd299d529, "_dev_info" },
	{ 0xd925954, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd08b9120, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x62936706, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3f94c941, "rc_register_device" },
	{ 0xca57b060, "usb_control_msg" },
	{ 0xb158aa20, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x16872987, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8efce23, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcae9802c, "input_event" },
	{ 0xbfdfe8a0, "dvb_frontend_detach" },
	{ 0xffd608a3, "i2c_add_adapter" },
	{ 0xf198c951, "dvb_net_release" },
	{ 0x47c7a593, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x547c6555, "dvb_unregister_frontend" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x49e7cc2, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x62f8aa3e, "__media_device_usb_init" },
	{ 0x87c7ecd6, "dvb_register_frontend" },
	{ 0x37071cf4, "dvb_create_media_graph" },
	{ 0xa05625bb, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x93374d64, "rc_unregister_device" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc8f52a92, "input_allocate_device" },
	{ 0xab8bd15e, "dvb_dmxdev_init" },
	{ 0x4d23f3c0, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc7875af, "media_device_unregister" },
	{ 0xe9026472, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x605fc223, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c49ddd2, "request_firmware" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
