#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcfec9dcd, "__dynamic_netdev_dbg" },
	{ 0xae58209f, "call_switchdev_notifiers" },
	{ 0xd077f239, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x282ba4ce, "spi_get_device_id" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x90e0c61d, "device_property_present" },
	{ 0xc5b0437a, "devm_gpiod_get_optional" },
	{ 0xa6fefcbc, "spi_bus_lock" },
	{ 0x21d757c0, "gpiod_set_value" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x388a5581, "spi_bus_unlock" },
	{ 0xdbbb003e, "devm_mdiobus_alloc_size" },
	{ 0xf1193770, "__devm_mdiobus_register" },
	{ 0x84282232, "devm_alloc_etherdev_mqs" },
	{ 0x7d9b4566, "device_get_ethdev_address" },
	{ 0x88f08366, "netif_carrier_off" },
	{ 0x528862c8, "get_phy_device" },
	{ 0xf54d8f00, "phy_connect" },
	{ 0x19611d2c, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x10d1a6c3, "devm_request_threaded_irq" },
	{ 0x2b4eb262, "devm_register_netdev" },
	{ 0xc9cb301a, "netdev_err" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3ce86c63, "netif_tx_wake_queue" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf458799f, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa973b57e, "dev_addr_mod" },
	{ 0x782f62a9, "eth_prepare_mac_addr_change" },
	{ 0xb4107458, "phy_start" },
	{ 0x6feb3d4a, "ethtool_op_get_link" },
	{ 0x43977797, "phy_ethtool_get_link_ksettings" },
	{ 0xd1ba5340, "phy_ethtool_set_link_ksettings" },
	{ 0xdf76aa85, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x25cb95fa, "phy_disconnect" },
	{ 0xff20e003, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbbd2ebd7, "phy_do_ioctl" },
	{ 0xa6ba0f5d, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x3d0f5ba7, "__spi_register_driver" },
	{ 0xb990b2d, "driver_unregister" },
	{ 0x9dc67fa6, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8073e021, "_dev_err" },
	{ 0xf5c09443, "__netdev_alloc_skb" },
	{ 0x6b0251c6, "skb_put" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x6b74b179, "eth_type_trans" },
	{ 0xc94dfad8, "netif_rx" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x843eb71d, "consume_skb" },
	{ 0x5000d58, "skb_dequeue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
