#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xe1abefd0, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x4b66a8ee, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xfaeb958c, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x866ad2ed, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x21d84561, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xd2b27e95, "");
SYMBOL_CRC(mlx5_cmd_check, 0xf7adda66, "");
SYMBOL_CRC(mlx5_cmd_do, 0x0b214506, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x16f7da47, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x90b70c67, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x8dfc5b66, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x8eaa8f57, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x8f5592cd, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xd57026b7, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x25e0aeb3, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x551f5200, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xa1666623, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x96d8df51, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x132c588f, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x31431db6, "");
SYMBOL_CRC(mlx5_eq_enable, 0xcd452fe1, "");
SYMBOL_CRC(mlx5_eq_disable, 0x3cb4a40c, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x66c95111, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xc059099c, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xe06e7342, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xf679364c, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x48016dfd, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x64a486c2, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x2b4fa582, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xda2e2f5b, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xd3da9adb, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x361b5dc3, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x8a1dae9f, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x359c0598, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x7fd0c48e, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xe2234292, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x9afd6c35, "");
SYMBOL_CRC(mlx5_create_cq, 0xadc57497, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x7f21657a, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x32ed6043, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xb5be92cd, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xc76ad0a1, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xfca8c0a5, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x3f7f5d1d, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xaa769db5, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xb8deeb62, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x8d7a63a2, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x98d2e214, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xc5c142b0, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x338d005c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x87d8b1e0, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x2de94fe5, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x9d4b96ad, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xe2f09b3b, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x618d16d2, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x7f695970, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xb8fa49a8, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xda317efe, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x9c4d0aa2, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x046cc352, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x2fd6c4ae, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x809714e2, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xa53fb3ba, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xdb295b98, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x0f5056ad, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x33c005de, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x85ac6b51, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x5058194d, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xb849f64e, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x56735cc5, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x7af37d95, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xf94cedfb, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xc3ab4358, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x9013150d, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x97d6ce6f, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xb22065d9, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x58e56195, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x23e7252a, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x077ab66f, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x80c0b03d, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x0ee43709, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x9d0f7754, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x28e86f31, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x668bca80, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x7e204005, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x5a05468f, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x88312fe3, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xd06ab1f8, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xaf444db2, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xbdbb20e4, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x9ace42b5, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x283e0e4f, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xc8d13423, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x1d3bf1a1, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x56802b8f, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xe50d4b8b, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x61e2f52b, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x63386608, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x8c9dfc69, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x67659159, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x5419b698, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x59755896, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xf6c19f60, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x731bf7b6, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x00797400, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x1d6d24cb, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x8f4de1c8, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x32c954e1, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x8f66cf5f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xd6c92cb9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x631983e1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xe08c94fe, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x23bc998a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xb85d506a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x2fe37653, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xbae7f25e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x2e29d69f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xbf7bdabb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x787c2e8b, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x1b4bb2b6, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xbc1b219f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xe440ae13, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x8aadd23c, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xd8277034, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x5ea39a93, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x4e66daab, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x20dd6533, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x9a6ff283, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xf3b2b0cd, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xe8cafdcb, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x76d5714d, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x2f2ba5e6, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xdcdf4a4d, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xcef6752b, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xcabf4e04, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x4e56174d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xe0a7f54b, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x2cfba6f8, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xeb99c100, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x40db43f9, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xef19c9b0, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xed2ea6ff, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xdc0e5fa5, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x8bfce9d4, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x9e421b4c, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x32eaa38a, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x47e3df9f, "");
SYMBOL_CRC(mlx5_fc_create, 0xd58491bb, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xae5d2906, "");
SYMBOL_CRC(mlx5_fc_query, 0x76dd5590, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xc91c310d, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x56609066, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xbe93db70, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xb6a9c3d2, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xde236d09, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x574bb673, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x11487a35, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xb9afc689, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xa7afed27, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x79045ebd, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x4c8225ad, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x352a0496, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x89349aa4, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x71cf6199, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xa6e65663, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xd7bd7def, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x7e00c9f1, "");
SYMBOL_CRC(mlx5_notifier_register, 0x51ce84c4, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xc3b031d5, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x3c5b6682, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x2b973797, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xa883b341, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x71c8e380, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xc420a9bd, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x5140c3e4, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x8f41c3a0, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x5f88b0df, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x15629fbd, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x26557463, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xf05c04fe, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xbc76287e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xeeae8232, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x748dde2f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x47ba35f1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xdd9969ec, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x2904a957, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x04c620c1, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x4a98e6d2, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xb0ff1193, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xf73049b6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xd3635e16, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x9a0b2ff4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xe0b31577, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x07bac414, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x2fd92442, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x2247af55, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xb268cfa2, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x0ce6f36e, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x0ba3a828, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x9e2d878e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xa1d9b6ec, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x3fd7485b, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x6ea65bea, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xb8f8805c, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xc37b9ec0, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x1b771f09, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xee628a6d, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xd08f0161, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x730c8433, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x253f3973, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xcc06bf42, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xd8e59a00, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x3185f368, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xceb358d3, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x35dda925, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xeb150bf1, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x47dc8183, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xa6722335, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xa5ea2159, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xa930c1b4, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x17315eae, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x49423510, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x74c17072, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x1b4fdd93, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x80abdcfb, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x24064c3f, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x3a371b23, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x3c9f2e57, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6feb3d4a, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xe882d9ea, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe3f0e8b6, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4178b5f1, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xb2eb7873, "pci_restore_state" },
	{ 0xab180c65, "bpf_trace_run1" },
	{ 0x6da7ed73, "__inet6_lookup_established" },
	{ 0x3ce86c63, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x5c6d3d7, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x64896c98, "page_pool_create" },
	{ 0x3e1581f9, "skb_checksum" },
	{ 0x8eddee88, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xa04c668b, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x1e2c6936, "__kmalloc_cache_node_noprof" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x544f6484, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xdb26a0c4, "devl_resources_unregister" },
	{ 0xe78ae79, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xa99d54e, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xce59c1a0, "pci_set_master" },
	{ 0x363ca798, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d3a4de3, "debugfs_create_u32" },
	{ 0x79a8ba91, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1a8ed4b8, "flow_rule_match_ipv6_addrs" },
	{ 0xc4e04b2a, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xbf231078, "devl_params_unregister" },
	{ 0x67d178b6, "ptp_clock_unregister" },
	{ 0x696cae0f, "__pskb_pull_tail" },
	{ 0x8f31efc6, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xf5c09443, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xfa8b8e2b, "devlink_trap_report" },
	{ 0x4b4de1e1, "__kmem_cache_create_args" },
	{ 0xd1b538b5, "__neigh_event_send" },
	{ 0x5193e42c, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xbaf2e2d, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x875c2ac9, "devl_traps_register" },
	{ 0xde60d9b9, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xcfec9dcd, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x750883cf, "dma_set_coherent_mask" },
	{ 0x1507760e, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xbb2cbe13, "pv_ops" },
	{ 0xb8eaf6f6, "flow_rule_match_enc_control" },
	{ 0xf8b58688, "bpf_trace_run3" },
	{ 0xa958708e, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2bb5f076, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x4193c46e, "debugfs_create_file" },
	{ 0x1bda7d51, "rps_may_expire_flow" },
	{ 0xfe238a3d, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x77b40f57, "xsk_set_tx_need_wakeup" },
	{ 0xc48c2b70, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe89a59d8, "netdev_reset_tc" },
	{ 0xf4ebdbc6, "neigh_destroy" },
	{ 0x3b508c4b, "dma_free_attrs" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0xc00a796e, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x7d71040e, "debugfs_create_x32" },
	{ 0x82ecfd0e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x584ca589, "flow_rule_match_enc_ports" },
	{ 0x8d3e733c, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x913fea9d, "pci_release_regions" },
	{ 0xf82dadd3, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x991e18cc, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7c1538e9, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x51a4210b, "devl_assert_locked" },
	{ 0xfe931152, "pcie_print_link_status" },
	{ 0x83bc5cdc, "xp_set_rxq_info" },
	{ 0xe335ee18, "flow_rule_match_vlan" },
	{ 0xd4a8adc2, "devl_port_unregister" },
	{ 0x513f3720, "xdp_rxq_info_unreg" },
	{ 0xc0032962, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xe28d8726, "devl_param_driverinit_value_get" },
	{ 0x6d17b1f6, "napi_build_skb" },
	{ 0x62c65554, "netdev_master_upper_dev_get_rcu" },
	{ 0x9b2b1bca, "__xdp_rxq_info_reg" },
	{ 0xea1602dc, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3d4ebc49, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf0bc62da, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa40b9545, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x88f08366, "netif_carrier_off" },
	{ 0x37c23781, "seq_printf" },
	{ 0x418a7ab8, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x50de627, "devlink_priv" },
	{ 0xeb7a6e6b, "pci_enable_ptm" },
	{ 0x19de61be, "devlink_port_register_with_ops" },
	{ 0xc88a6622, "pci_disable_sriov" },
	{ 0x5ef54273, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e681a1b, "dst_release" },
	{ 0xc6b469ce, "netif_carrier_on" },
	{ 0xdff22a7b, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x37e14745, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0xbf52f3f4, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3f0e0f3c, "alloc_pages_noprof" },
	{ 0xa005e528, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x431616ae, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xe15f87b7, "page_pool_update_nid" },
	{ 0x91dce82, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x8571a305, "dma_set_mask" },
	{ 0x4b89e8bc, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8967de6f, "netif_set_tso_max_size" },
	{ 0x67a76e56, "vlan_dev_vlan_id" },
	{ 0xff484363, "__skb_flow_dissect" },
	{ 0xb2cc0341, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x886c2562, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x33b28838, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x7a8c37e6, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb2b3d996, "skb_coalesce_rx_frag" },
	{ 0xf3671232, "xp_raw_get_data" },
	{ 0xebbd818f, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x7bc24359, "napi_schedule_prep" },
	{ 0xced607d8, "qdisc_reset" },
	{ 0x5b2232f2, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x8c154634, "xp_alloc_batch" },
	{ 0xf7cb2dd3, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x1b8562c4, "napi_disable" },
	{ 0x33519913, "dev_kfree_skb_any_reason" },
	{ 0xd04ee8dd, "dcb_ieee_delapp" },
	{ 0xbe67cde7, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x5070bc53, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xba8bfae1, "debugfs_create_u8" },
	{ 0xa672a809, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x1e2740ab, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x8f4213d5, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xfe495bf7, "skb_ext_add" },
	{ 0xc29290cb, "pcie_bandwidth_available" },
	{ 0xb7c3284b, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x39911cee, "flow_rule_match_control" },
	{ 0x4b2e5986, "flow_rule_match_ip" },
	{ 0x994d861e, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x9548cafc, "auxiliary_device_sysfs_irq_add" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x30ba1c02, "dcb_ieee_setapp" },
	{ 0x3e462dad, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd2576b39, "xsk_tx_release" },
	{ 0x8f12f210, "devl_traps_unregister" },
	{ 0xeded8d21, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4ebace36, "pci_write_config_dword" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x3bcb338c, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x90443ea1, "neigh_lookup" },
	{ 0x9141b1c5, "kmem_cache_destroy" },
	{ 0xef7eb56a, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5851aeab, "__tracepoint_xdp_exception" },
	{ 0x2e5679a6, "__inet_lookup_established" },
	{ 0x84854b3d, "xsk_tx_completed" },
	{ 0x76b15186, "napi_alloc_skb" },
	{ 0x5783b7a7, "alloc_etherdev_mqs" },
	{ 0x8c594e53, "netdev_lower_get_next" },
	{ 0x16b2c39e, "secpath_set" },
	{ 0x66b4edff, "flow_block_cb_lookup" },
	{ 0x9c93489b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x282ebf9, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x68df24c4, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xa9ab61e1, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b6c29fa, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8c53c5dc, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1e45f2c9, "bpf_prog_put" },
	{ 0x98c581a9, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x479edbb, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xea08ed55, "pci_cfg_access_unlock" },
	{ 0x1e23d320, "xp_dma_map" },
	{ 0xefbd1b91, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x338fdfbc, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xce6749f6, "skb_copy_bits" },
	{ 0x6aaaf34, "debugfs_attr_write" },
	{ 0x7ff97f35, "dma_pool_create" },
	{ 0xbb7f3c65, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb5334361, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x547da13e, "pci_enable_device" },
	{ 0x6b0251c6, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf94f52ab, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae58209f, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x27a97fdd, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf3bc201a, "register_fib_notifier" },
	{ 0xbff7f009, "auxiliary_device_init" },
	{ 0x453b603b, "ip6_dst_hoplimit" },
	{ 0x7f26072, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa724827f, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xc011e6ed, "pci_alloc_irq_vectors" },
	{ 0x597f4079, "netif_napi_add_weight" },
	{ 0x3283a5cb, "pci_enable_atomic_ops_to_root" },
	{ 0xb6f932f, "seq_release" },
	{ 0x3925a9a0, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x4fe58cd, "xsk_clear_tx_need_wakeup" },
	{ 0xc3d77122, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x4568955d, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x9fa29904, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1bdaedcb, "ndo_dflt_bridge_getlink" },
	{ 0xbfbe4fce, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x21a8b2af, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x2eab2f13, "flow_rule_match_tcp" },
	{ 0xaf77cb96, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x380aee4d, "register_netdevice_notifier_dev_net" },
	{ 0x4022fbfa, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x1d30d7c0, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x339166aa, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xda37e0a8, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x558000e0, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x1ab42c2, "pci_num_vf" },
	{ 0xee91304d, "debugfs_create_atomic_t" },
	{ 0xbf576fff, "flow_rule_match_eth_addrs" },
	{ 0xc5ac6fbe, "pci_disable_ptm" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xa69ccf03, "xfrm_state_check_expire" },
	{ 0x11cfb11d, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x59ba0730, "ptp_clock_index" },
	{ 0x803c2b4d, "pci_request_regions" },
	{ 0xbe116ec4, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0xaf51b07b, "flow_block_cb_free" },
	{ 0xb62dd3ed, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xacf09830, "xp_can_alloc" },
	{ 0x70d7d994, "psample_sample_packet" },
	{ 0x50a032ec, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cb49080, "devlink_alloc_ns" },
	{ 0xe421ee7e, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x3e3432f5, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe01a9caf, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x934465eb, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x7ede4f3, "seq_lseek" },
	{ 0xb5764b5f, "page_pool_destroy" },
	{ 0x9bc1cae3, "xdp_do_redirect" },
	{ 0x5e08da74, "devlink_free" },
	{ 0x8ae95963, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6b89e7ee, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x9a39fe6c, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xaad7ffd6, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xed53becf, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xeeea305f, "pci_irq_vector" },
	{ 0x667a8f8b, "flow_rule_match_ipv4_addrs" },
	{ 0xf23e2646, "ip_route_output_flow" },
	{ 0xf088bbc4, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe004068, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x41e203db, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xc9cb301a, "netdev_err" },
	{ 0xa8af78d6, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc92963a7, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0x11ad1d84, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0xa973b57e, "dev_addr_mod" },
	{ 0xa40fd02e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x107e1e60, "ptp_find_pin" },
	{ 0x6b74b179, "eth_type_trans" },
	{ 0x54adbd88, "pci_read_config_dword" },
	{ 0xa2c73a06, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xce91ea62, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x681b46a4, "auxiliary_driver_unregister" },
	{ 0xb13998d7, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x246c74f7, "napi_complete_done" },
	{ 0x405f2008, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa4df1063, "devlink_port_attrs_pci_vf_set" },
	{ 0xb286f6bb, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc4d34b3d, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6f3c4de8, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xf1690459, "__napi_schedule" },
	{ 0x45522148, "devlink_port_health_reporter_create" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xc9d0f8fc, "pcie_relaxed_ordering_enabled" },
	{ 0x8ce16152, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x97853f14, "devlink_port_attrs_pci_pf_set" },
	{ 0xd20ad1a5, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x8c01917c, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb6da6fee, "__free_pages" },
	{ 0xd299d529, "_dev_info" },
	{ 0x70e866a7, "skb_vlan_pop" },
	{ 0xeadb11e9, "napi_gro_receive" },
	{ 0x583eaa68, "netif_device_attach" },
	{ 0xeedcf9ce, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x808e1bf3, "netdev_pick_tx" },
	{ 0xee5e12c7, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf22151f7, "xp_raw_get_dma" },
	{ 0x8d7a0358, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x4c77119, "xdp_rxq_info_is_reg" },
	{ 0xf37963df, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0xe0a73ff0, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x2eb0bab6, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x66b41bfc, "devl_health_reporter_create" },
	{ 0x633a29dd, "flow_block_cb_setup_simple" },
	{ 0xbca91b0e, "pci_msix_can_alloc_dyn" },
	{ 0xe2b5a1d9, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2660a2cf, "unregister_netdevice_notifier_dev_net" },
	{ 0x4bdb54b5, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe7fb3b0b, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbb0dfbae, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xcf72da0c, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x787d71f7, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x991a2cda, "__dma_sync_single_for_cpu" },
	{ 0x3b455cfe, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8ccbefa9, "__dev_get_by_index" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x9fb0a6f5, "devlink_port_unregister" },
	{ 0x7f0da3ac, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8073e021, "_dev_err" },
	{ 0x6f9eee10, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x566e41eb, "softnet_data" },
	{ 0x6e20bd04, "ipv6_stub" },
	{ 0x34fabfa2, "simple_open" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x9ab22043, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x556eea44, "simple_attr_release" },
	{ 0xf7505dd0, "ptp_clock_register" },
	{ 0x4f79f1f7, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xcddc0507, "xsk_tx_peek_desc" },
	{ 0xa6b291e0, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xcd85a795, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0xf958b873, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x479e7bd0, "irq_get_irq_data" },
	{ 0xc2e2490b, "dev_remove_pack" },
	{ 0x51de4a1f, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x68d27123, "dev_get_by_index" },
	{ 0xd9c85a7c, "bpf_trace_run5" },
	{ 0x9a4369bb, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x595e2aa4, "skb_store_bits" },
	{ 0xa2231a55, "devl_port_register_with_ops" },
	{ 0x4984b228, "dev_get_by_index_rcu" },
	{ 0x491bc4d3, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xad97aa37, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x245f0390, "skb_push" },
	{ 0xb3c96623, "kmem_cache_free" },
	{ 0x6d5b03e4, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x9ad9322a, "debugfs_remove" },
	{ 0xa594efbc, "pci_read_config_word" },
	{ 0xea1f9a02, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xffab36c8, "xsk_clear_rx_need_wakeup" },
	{ 0x1ca97b7d, "seq_putc" },
	{ 0xace6807d, "unregister_netdevice_notifier_net" },
	{ 0x22f9d82a, "auxiliary_device_sysfs_irq_remove" },
	{ 0xc58b263f, "xsk_uses_need_wakeup" },
	{ 0xe91a2fd2, "register_netdev" },
	{ 0x866cfc69, "unregister_fib_notifier" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x8804b89d, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x36971057, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x616bde3e, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x2adfa58, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x33ce469b, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe9af7397, "__xa_set_mark" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x9258ee4a, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "3C37517372C590689AE9886");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
