#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_connect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_disconnect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_add_phy, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_del_phy, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_ethtool_cable_result_code, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_tdr_distance, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0xff20e003, "");
SYMBOL_CRC(phy_get_rate_matching, 0x46a42373, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x2f99e177, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x8fa75ec1, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xdf40ba32, "");
SYMBOL_CRC(phy_mii_ioctl, 0x929d287a, "");
SYMBOL_CRC(phy_do_ioctl, 0xbbd2ebd7, "");
SYMBOL_CRC(phy_do_ioctl_running, 0xfa9a6516, "");
SYMBOL_CRC(phy_queue_state_machine, 0x43373a33, "");
SYMBOL_CRC(phy_trigger_machine, 0x973f376e, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x8c99ce33, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x84cd6012, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xd4e993af, "");
SYMBOL_CRC(phy_start_cable_test, 0xbf73c798, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xd0801126, "");
SYMBOL_CRC(phy_config_aneg, 0xc7ae717c, "");
SYMBOL_CRC(_phy_start_aneg, 0x336e2fd8, "");
SYMBOL_CRC(phy_start_aneg, 0xc6b1d402, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0xf077a068, "");
SYMBOL_CRC(phy_speed_down, 0xecd516b1, "_gpl");
SYMBOL_CRC(phy_speed_up, 0xb496dcb6, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x8d896040, "_gpl");
SYMBOL_CRC(phy_error, 0x3a3183b5, "");
SYMBOL_CRC(phy_request_interrupt, 0x204e7cf3, "");
SYMBOL_CRC(phy_free_interrupt, 0xbfbdc779, "");
SYMBOL_CRC(phy_stop, 0xf458799f, "");
SYMBOL_CRC(phy_start, 0xb4107458, "");
SYMBOL_CRC(phy_mac_interrupt, 0x9242aa9b, "");
SYMBOL_CRC(phy_init_eee, 0xde36159d, "");
SYMBOL_CRC(phy_get_eee_err, 0x414c48e8, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x071355e0, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x29f7f70a, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xbfac14dc, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x05856a91, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x43977797, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0xd1ba5340, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x9eb1a130, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xb0ac6b57, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x82bfabea, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x4e22a442, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x9f70fde3, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x9bffef06, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x62f9ff57, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0xa4e6ad4c, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x67cd11b5, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x75e615dd, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x157ef607, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x233824ca, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x1c9075ba, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0xfe896f63, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0xe304d708, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x44ccd5eb, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0xe5d9f41a, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0xb97eb7e7, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x793fa23d, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x140389c0, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xdf23952f, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xe4ea553b, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x2ba443ae, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x133d87ec, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x3c852b60, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x4634d89a, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x0d587135, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0xa3acb9a5, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0xd4bf3e5f, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0xa51485d9, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0xf929be42, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xf1483b8b, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x0829eb43, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0xf197c72e, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xaef6a53f, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x7dd28cac, "");
SYMBOL_CRC(phy_read_mmd, 0x6faaf89a, "");
SYMBOL_CRC(__phy_write_mmd, 0x1778d19c, "");
SYMBOL_CRC(phy_write_mmd, 0x7fca3a39, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x0b3938c0, "");
SYMBOL_CRC(phy_package_read_mmd, 0x75d40631, "");
SYMBOL_CRC(__phy_package_write_mmd, 0x1865c72c, "");
SYMBOL_CRC(phy_package_write_mmd, 0xbfb8445d, "");
SYMBOL_CRC(phy_modify_changed, 0xd44e20b3, "_gpl");
SYMBOL_CRC(__phy_modify, 0xe6662b72, "_gpl");
SYMBOL_CRC(phy_modify, 0x7481ce35, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x91a55f57, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xcde7135a, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0xbb73e934, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x46f67a24, "_gpl");
SYMBOL_CRC(phy_save_page, 0x066ab48d, "_gpl");
SYMBOL_CRC(phy_select_page, 0x0044b1a3, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x305dae53, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x02123733, "");
SYMBOL_CRC(phy_write_paged, 0x988dd9a3, "");
SYMBOL_CRC(phy_modify_paged_changed, 0xb44660a9, "");
SYMBOL_CRC(phy_modify_paged, 0x994c982f, "");
SYMBOL_CRC(phy_basic_features, 0x07ab1f47, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xfe7849dd, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x272f90bb, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0xa2fe28b3, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0xbf7e4cd1, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xfd8eb1bf, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x112a4b78, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x1f8aa8f1, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x004bfa1c, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x1479a216, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0x0d15dc4b, "_gpl");
SYMBOL_CRC(phy_device_free, 0xef3949e3, "");
SYMBOL_CRC(phy_register_fixup, 0x266096ed, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x456b54c6, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x9f0c8214, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0xd8ae263c, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xc351b284, "");
SYMBOL_CRC(get_phy_device, 0x528862c8, "");
SYMBOL_CRC(phy_device_register, 0x858bc988, "");
SYMBOL_CRC(phy_device_remove, 0x5e34267a, "");
SYMBOL_CRC(phy_get_c45_ids, 0x42e4594c, "");
SYMBOL_CRC(phy_find_first, 0xb7197171, "");
SYMBOL_CRC(phy_connect_direct, 0x0c5bff75, "");
SYMBOL_CRC(phy_connect, 0xf54d8f00, "");
SYMBOL_CRC(phy_disconnect, 0x25cb95fa, "");
SYMBOL_CRC(phy_init_hw, 0x85a08df9, "");
SYMBOL_CRC(phy_attached_info, 0x6ef11557, "");
SYMBOL_CRC(phy_attached_info_irq, 0xea68ebd3, "");
SYMBOL_CRC(phy_attached_print, 0xf6028185, "");
SYMBOL_CRC(phy_sfp_connect_phy, 0xc2de0dc9, "");
SYMBOL_CRC(phy_sfp_disconnect_phy, 0xa2eaefa4, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x33ff1282, "");
SYMBOL_CRC(phy_attach_direct, 0x4d21272f, "");
SYMBOL_CRC(phy_attach, 0xfe80071d, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x3bdc508e, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x893a647e, "_gpl");
SYMBOL_CRC(phy_package_join, 0x1f45b7a3, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x992f57cb, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x003ec9d0, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x9d1da921, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0xc5e702ca, "_gpl");
SYMBOL_CRC(phy_detach, 0xe84828bd, "");
SYMBOL_CRC(phy_suspend, 0x52e16b30, "");
SYMBOL_CRC(__phy_resume, 0xaec7efa7, "");
SYMBOL_CRC(phy_resume, 0xfa43d525, "");
SYMBOL_CRC(phy_loopback, 0x3fdeea7b, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x490bb299, "");
SYMBOL_CRC(genphy_config_eee_advert, 0xe18e22f7, "");
SYMBOL_CRC(genphy_setup_forced, 0x9772eabd, "");
SYMBOL_CRC(genphy_read_master_slave, 0x2f094a27, "");
SYMBOL_CRC(genphy_restart_aneg, 0xda5addb0, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xcd2d5e58, "");
SYMBOL_CRC(__genphy_config_aneg, 0xf92c9221, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xe216cab0, "");
SYMBOL_CRC(genphy_aneg_done, 0xabb7548d, "");
SYMBOL_CRC(genphy_update_link, 0xc551b18d, "");
SYMBOL_CRC(genphy_read_lpa, 0x49ec4371, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x740a6921, "");
SYMBOL_CRC(genphy_read_status, 0xf2896a54, "");
SYMBOL_CRC(genphy_c37_read_status, 0xf85c5a0e, "");
SYMBOL_CRC(genphy_soft_reset, 0x2c5c9ea7, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xa985b335, "");
SYMBOL_CRC(genphy_read_abilities, 0x06dbe9fc, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xd707007f, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x4e4223af, "");
SYMBOL_CRC(genphy_suspend, 0x8e543eaa, "");
SYMBOL_CRC(genphy_resume, 0x991b800b, "");
SYMBOL_CRC(genphy_loopback, 0xf67194cc, "");
SYMBOL_CRC(phy_remove_link_mode, 0x96ecf4f1, "");
SYMBOL_CRC(phy_advertise_supported, 0x5bd52c8a, "");
SYMBOL_CRC(phy_advertise_eee_all, 0x1c2b2113, "_gpl");
SYMBOL_CRC(phy_support_eee, 0x888ca1bb, "");
SYMBOL_CRC(phy_support_sym_pause, 0x70d95d0f, "");
SYMBOL_CRC(phy_support_asym_pause, 0xd57aa49e, "");
SYMBOL_CRC(phy_set_sym_pause, 0xd95cb85c, "");
SYMBOL_CRC(phy_set_asym_pause, 0x7ae15038, "");
SYMBOL_CRC(phy_validate_pause, 0xb8b37d56, "");
SYMBOL_CRC(phy_get_pause, 0xeefdd265, "");
SYMBOL_CRC(phy_get_internal_delay, 0x3d54499f, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x94419f95, "");
SYMBOL_CRC(fwnode_phy_find_device, 0xbc396202, "");
SYMBOL_CRC(device_phy_find_device, 0x5dc41ba0, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x9a563985, "_gpl");
SYMBOL_CRC(phy_driver_register, 0xbce89417, "");
SYMBOL_CRC(phy_drivers_register, 0xd9b579a4, "");
SYMBOL_CRC(phy_driver_unregister, 0x1cf4011a, "");
SYMBOL_CRC(phy_drivers_unregister, 0xd19a4421, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(phy_link_topo_add_phy, 0x2f628971, "_gpl");
SYMBOL_CRC(phy_link_topo_del_phy, 0x20352fd0, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x911a4d30, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xc45ad568, "");
SYMBOL_CRC(mdiobus_get_phy, 0x6292d83d, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xc0a8c578, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x5af2027a, "");
SYMBOL_CRC(mdio_find_bus, 0xe52c3916, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x9b3e2832, "");
SYMBOL_CRC(__mdiobus_register, 0xc79bdfcd, "");
SYMBOL_CRC(mdiobus_unregister, 0x7c7d97ad, "");
SYMBOL_CRC(mdiobus_free, 0x347a41fe, "");
SYMBOL_CRC(__mdiobus_read, 0xa081f022, "");
SYMBOL_CRC(__mdiobus_write, 0x2b30d8b1, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x17dcd76f, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0xb6ed5b56, "");
SYMBOL_CRC(__mdiobus_c45_write, 0xe36bd2f9, "");
SYMBOL_CRC(mdiobus_read_nested, 0xa3a20dfd, "");
SYMBOL_CRC(mdiobus_read, 0x03299774, "");
SYMBOL_CRC(mdiobus_c45_read, 0x350e74fe, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x567cfdb6, "");
SYMBOL_CRC(mdiobus_write_nested, 0x70ba39eb, "");
SYMBOL_CRC(mdiobus_write, 0x614d5962, "");
SYMBOL_CRC(mdiobus_c45_write, 0xf14d5cc9, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xefc0e109, "");
SYMBOL_CRC(__mdiobus_modify, 0x71c49d5b, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xcbe8dfd9, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x0c8eb0e2, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0xff4fe460, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xdda8eef0, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x0449384d, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0xd9f8d6d6, "");
SYMBOL_CRC(mdio_device_create, 0x01860f59, "");
SYMBOL_CRC(mdio_device_register, 0x5602702a, "");
SYMBOL_CRC(mdio_device_remove, 0x7af64ac4, "");
SYMBOL_CRC(mdio_device_reset, 0x42a8a932, "");
SYMBOL_CRC(mdio_driver_register, 0x951f615f, "");
SYMBOL_CRC(mdio_driver_unregister, 0x8a95163f, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x8a1b15d4, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x97b15416, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0xb7a272bd, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_ethtool_cable_result_code, 0x2721b932, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_tdr_distance, 0xa0fec1cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0x83a722d4, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xee0aaa55, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0xe96a4cf9, "gpiod_set_value_cansleep" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x7e4f1e01, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc5b0437a, "devm_gpiod_get_optional" },
	{ 0x34ad0b7e, "get_device" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x63a6825c, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x104c8751, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3ca16d27, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6f3c4de8, "put_device" },
	{ 0x4aca5010, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd299d529, "_dev_info" },
	{ 0x97f8a577, "module_put" },
	{ 0x5f24fc69, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0xaac3a3ef, "bus_unregister" },
	{ 0xe2820a78, "devm_kfree" },
	{ 0x8073e021, "_dev_err" },
	{ 0xadab7a33, "bus_find_device" },
	{ 0x792f7986, "device_add" },
	{ 0x8fd934a9, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x5da28b80, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xded6d7d0, "is_acpi_data_node" },
	{ 0xb990b2d, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x87cf8c67, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xc4ebac99, "class_unregister" },
	{ 0x9547e4ed, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8950fd56, "device_register" },
	{ 0x5c6d3d7, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xcbb7ebd3, "device_bind_driver" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x4bad3344, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9ff9f3fe, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x616f245e, "netdev_alert" },
	{ 0x2d43bff7, "ethnl_cable_test_alloc" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x1348b9c1, "fwnode_find_reference" },
	{ 0x416ed859, "fwnode_property_read_string" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x42f4902e, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1b384771, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x88f08366, "netif_carrier_off" },
	{ 0xc3ac0588, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xad1c40be, "led_trigger_register" },
	{ 0xc6b469ce, "netif_carrier_on" },
	{ 0xb16706b7, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xed1a40c6, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0xe19cddc5, "sysfs_create_link_nowarn" },
	{ 0x631ec09c, "dev_err_probe" },
	{ 0x1ea134f5, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x727f269a, "led_trigger_event" },
	{ 0xda038edc, "device_release_driver" },
	{ 0xf6df59b5, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd2bc1b9, "gpiod_set_consumer_name" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3b99a631, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x8627e3a3, "driver_register" },
	{ 0xdf4c034a, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc8e1a4f5, "__dev_fwnode" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x3bcb338c, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbfa15ff2, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xb5411de5, "class_find_device" },
	{ 0xee540f7d, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8da84687, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa37fb11e, "is_acpi_device_node" },
	{ 0x8e8f0738, "gpiod_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0xf05112c4, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3f2fca9f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7CE1EA84D76CB785EA1174F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
