#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7925_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7925_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7925_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7925_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_regval, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt7925_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(__mt7925_start, "_gpl", "");
KSYMTAB_FUNC(mt7925_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7925_ops, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7925_register_device, "_gpl", "");

SYMBOL_CRC(mt7925_mac_write_txwi, 0x2652d9a5, "_gpl");
SYMBOL_CRC(mt7925_txwi_free, 0xdb343044, "_gpl");
SYMBOL_CRC(mt7925_rx_check, 0x0c92d969, "_gpl");
SYMBOL_CRC(mt7925_queue_rx_skb, 0x80a53ff9, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_prepare_skb, 0xd0fb73ce, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_complete_skb, 0x0df85fa7, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_status_data, 0x44cf42cc, "_gpl");
SYMBOL_CRC(mt7925_mcu_parse_response, 0x5e815cf6, "_gpl");
SYMBOL_CRC(mt7925_mcu_regval, 0x661fc601, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_deep_sleep, 0x9b707bc1, "_gpl");
SYMBOL_CRC(mt7925_run_firmware, 0xcdc35d5c, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_eeprom, 0x8b0e84c9, "_gpl");
SYMBOL_CRC(mt7925_mcu_hw_scan, 0xde06a3de, "_gpl");
SYMBOL_CRC(mt7925_mcu_sched_scan_req, 0x4d810e7f, "_gpl");
SYMBOL_CRC(mt7925_mcu_cancel_hw_scan, 0x70606e64, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_channel_domain, 0x087fffaa, "_gpl");
SYMBOL_CRC(mt7925_mcu_fill_message, 0xf1508a18, "_gpl");
SYMBOL_CRC(__mt7925_start, 0xe231cb21, "_gpl");
SYMBOL_CRC(mt7925_roc_abort_sync, 0x3d44cb22, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_add, 0x61396766, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_event, 0xa6b0f0b2, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_remove, 0x494a4724, "_gpl");
SYMBOL_CRC(mt7925_ops, 0x26c49de8, "_gpl");
SYMBOL_CRC(mt7925_mac_init, 0x9fc07237, "_gpl");
SYMBOL_CRC(mt7925_register_device, 0xd0acdfc3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x405f2008, "__alloc_pages_noprof" },
	{ 0xba10e8c5, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d69a525, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4237739d, "mt792x_get_et_sset_count" },
	{ 0x58091ce7, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0xf819a87c, "mt792x_init_acpi_sar_power" },
	{ 0x4f00ba6d, "mt792x_set_wakeup" },
	{ 0xb0336fef, "mt76_wcid_key_setup" },
	{ 0xf7225124, "mt76_connac_mcu_set_gtk_rekey" },
	{ 0xd299d529, "_dev_info" },
	{ 0xd077f239, "skb_queue_tail" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcac59448, "mt76_rx" },
	{ 0xb46e7384, "mt792x_load_firmware" },
	{ 0x1ccd3dc6, "mt792x_get_et_stats" },
	{ 0xd9c59465, "mt76_connac_mcu_uni_add_bss" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf726fff4, "wiphy_to_ieee80211_hw" },
	{ 0xbb0dfbae, "debugfs_attr_read" },
	{ 0x477d4f16, "mt792x_mac_link_bss_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x38bed32e, "mt76_tx_status_skb_done" },
	{ 0xe2790092, "ieee80211_queue_delayed_work" },
	{  0x33661, "devm_kmemdup" },
	{ 0xe2820a78, "devm_kfree" },
	{ 0x8073e021, "_dev_err" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x7e3731dc, "mt76_register_device" },
	{ 0xf55e049c, "mt792x_get_stats" },
	{ 0xd7082c2, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x556eea44, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc3f0cde0, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x245f0390, "skb_push" },
	{ 0x1ca97b7d, "seq_putc" },
	{ 0x6ede38a1, "ieee80211_wake_queues" },
	{ 0xe6ef6a71, "mt76_mcu_send_and_get_msg" },
	{ 0xf219773b, "ieee80211_beacon_get_template" },
	{ 0xaf70eb91, "mt792x_pm_stats" },
	{ 0xfad06cee, "mt76_eeprom_override" },
	{ 0xa70f310e, "__put_devmap_managed_folio_refs" },
	{ 0x728a1e3c, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc1d505f5, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x52385c1e, "mt76_connac_get_he_phy_cap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7868ce9b, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb8bfadf0, "devm_hwmon_device_register_with_groups" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x7699fa83, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf183b125, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x696cae0f, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xf4897cee, "mt792x_tx" },
	{ 0x32852f21, "mt792x_get_et_strings" },
	{ 0xf4985bed, "mt76_sta_state" },
	{ 0xf4398d4d, "ieee80211_ready_on_channel" },
	{ 0x9296961b, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc9c9cea7, "devm_kasprintf" },
	{ 0x7ee5ed79, "mt792x_remove_interface" },
	{ 0xa958708e, "seq_read" },
	{ 0x4e9c2ea4, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf9dcb22f, "mt76_connac2_mac_tx_rate_val" },
	{ 0x3f5243ac, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xb6d1d3d4, "mt792x_queues_read" },
	{ 0x4193c46e, "debugfs_create_file" },
	{ 0xee538a8b, "mt792x_queues_acq" },
	{ 0xdbd3823, "mt76_get_rate_power_limits" },
	{ 0x389eefef, "ieee80211_sched_scan_results" },
	{ 0x7c600cda, "ieee80211_scan_completed" },
	{ 0x5e3db834, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd20ac12d, "mt76_insert_ccmp_hdr" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcf0dda45, "param_ops_bool" },
	{ 0x9b512b02, "mt792x_tx_stats_show" },
	{ 0x58670df4, "mt76_connac_mcu_set_suspend_mode" },
	{ 0x85f90066, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44aa7885, "__folio_put" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37c23781, "seq_printf" },
	{ 0x8cbc73ec, "ieee80211_set_active_links_async" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x55704a7d, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6d9bc48f, "mt76_get_sar_power" },
	{ 0x917df356, "mt76_connac_mcu_sta_he_tlv_v2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6331f32d, "mt792x_mac_init_band" },
	{ 0x4e587a31, "mt76_skb_adjust_pad" },
	{ 0x64b65f09, "mt76_put_txwi" },
	{ 0x5e610dd3, "mt76_wcid_cleanup" },
	{ 0x987e84ce, "mt792x_init_wiphy" },
	{ 0x59f91769, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x91dce82, "single_release" },
	{ 0x27e404f6, "mt76_connac3_mac_decode_eht_radiotap" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7872a7ee, "mt76_queues_read" },
	{ 0xbf8c7b86, "mt76_sta_pre_rcu_remove" },
	{ 0x9d2b0d40, "mt76_register_debugfs_fops" },
	{ 0x41561422, "cfg80211_get_iftype_ext_capa" },
	{ 0x1444d2fe, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xa5a8145, "__mt76_set_tx_blocked" },
	{ 0x2590e99c, "ieee80211_queue_work" },
	{ 0x37d4c7f6, "mt792x_mac_reset_counters" },
	{ 0x5b2232f2, "napi_consume_skb" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xc7c48cfa, "__mt76_poll" },
	{ 0xb2466490, "mt76_rx_aggr_stop" },
	{ 0xa672a809, "single_open" },
	{ 0x8cb3545e, "mt76_connac_get_phy_mode" },
	{ 0x795d770c, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xef7f1f41, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x937c19ac, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0x84c857b8, "mt792x_init_wcid" },
	{ 0x84b95f38, "mt792x_init_acpi_sar" },
	{ 0xf6761a25, "mt76_init_sar_power" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0x3c88d7, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x479edbb, "simple_attr_open" },
	{ 0x204eb2bb, "ieee80211_iterate_interfaces" },
	{ 0x7def7a9a, "mt792x_stop" },
	{ 0x30fb0712, "mt76_connac_get_ch_power" },
	{ 0x6aaaf34, "debugfs_attr_write" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf3a48faf, "mt76_connac_get_phy_mode_v2" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x843eb71d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5c0a8e8e, "mt76_tx_status_skb_get" },
	{ 0xfabadadd, "mt792x_tx_worker" },
	{ 0x972b67b9, "mt792x_flush" },
	{ 0xa5bd383c, "mt76_tx_status_lock" },
	{ 0xbf7285c3, "mt792x_rx_get_wcid" },
	{ 0x5000d58, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2ab76f3e, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb9b14f6a, "mt76_release_buffered_frames" },
	{ 0x3c49ddd2, "request_firmware" },
	{ 0x84f1e538, "mt76_get_txpower" },
	{ 0x9fa3891b, "mt76_connac_mcu_sta_uapsd" },
	{ 0xf08c645f, "mt76_tx_status_skb_add" },
	{ 0x8af8717a, "mt76_connac_pm_wake" },
	{ 0xf98da1a0, "mt76_get_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x9fe139f9, "mt76_wake_tx_queue" },
	{ 0xaf9e534c, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x93da638c, "mt76_get_antenna" },
	{ 0x8d1ec121, "mt792x_set_coverage_class" },
	{ 0x1bd0680f, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8072038f, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x7ede4f3, "seq_lseek" },
	{ 0x924b04e8, "mt76_set_stream_caps" },
	{ 0xd8cf75ae, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5c6f6e5b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xe2eac78d, "mt76_connac2_tx_check_aggr" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x3c1c6328, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f7df189, "mt76_wcid_init" },
	{ 0x645d0964, "wake_up_process" },
	{ 0x8e040197, "mt76_connac_free_pending_tx_skbs" },
	{ 0x5f23b75a, "mt792x_sta_statistics" },
	{ 0xdc2d0a, "skb_queue_purge_reason" },
	{ 0x2e477c19, "mt76_connac_power_save_sched" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt792x-lib,mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "5C9473625C34F89ED530604");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
