#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x96f2f5aa, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xdd60b429, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x142eca91, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x573e5731, "_gpl");
SYMBOL_CRC(wlcore_remove, 0xcae394e8, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0xc372aa16, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x04a35b3b, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0xc5a9b322, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x14531986, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0xfa142c1a, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x0c5dd484, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x63e5db95, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0xe70e01a0, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x9eb76b64, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0xd0d722e2, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x5356ffd1, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x981e673b, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x97c99b65, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x7e847b7b, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x810bb0e8, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0xbc55cf67, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0xada3a8f9, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x81f8c0ac, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x5ad4e0b4, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x47e0640d, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0xb527d82e, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x709d33fd, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x2aee5f6e, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0xff558475, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x5e5b09e4, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xc43b5743, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xd9b19aff, "");
SYMBOL_CRC(wlcore_tx_complete, 0xa35ab739, "");
SYMBOL_CRC(wl1271_tx_flush, 0x86d38103, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xde94c229, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xc7072a93, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0xd5a1a38a, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x4958aa6e, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x941de4e3, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x5a94de4b, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xea178715, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x7c108695, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x6c236572, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0xf914b2bc, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x6a729099, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x80dcf75e, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xac8de8ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xd077f239, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbbc02376, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xf4bac1bb, "device_create_file" },
	{ 0xf726fff4, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe2790092, "ieee80211_queue_delayed_work" },
	{ 0x11a44e79, "ieee80211_proberesp_get" },
	{ 0x2b2d63f6, "device_wakeup_enable" },
	{ 0x4b54eb1b, "request_firmware_nowait" },
	{ 0x34fabfa2, "simple_open" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7e5b8ae5, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc3f0cde0, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x245f0390, "skb_push" },
	{ 0x9ad9322a, "debugfs_remove" },
	{ 0x68323a24, "no_seek_end_llseek" },
	{ 0x6ede38a1, "ieee80211_wake_queues" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x79824de0, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x93bdd769, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd666ca9f, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdab5dc28, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x392215ba, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xf5c09443, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf4398d4d, "ieee80211_ready_on_channel" },
	{ 0x9296961b, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd5df0bbf, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x48d60e37, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xbb2cbe13, "pv_ops" },
	{ 0x4193c46e, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x389eefef, "ieee80211_sched_scan_results" },
	{ 0xdc586b10, "__pm_runtime_resume" },
	{ 0x7c600cda, "ieee80211_scan_completed" },
	{ 0x5e3db834, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xd21e5dbb, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5319a632, "pm_runtime_force_resume" },
	{ 0xe598eee8, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x67506c91, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0xc359c843, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2590e99c, "ieee80211_queue_work" },
	{ 0x532bc9a2, "__pm_runtime_use_autosuspend" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0x6ca034f0, "__pm_runtime_disable" },
	{ 0x8f4213d5, "debugfs_create_dir" },
	{ 0xb4011441, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc551f042, "pm_runtime_force_suspend" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xbfc6199d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xb1662d7b, "device_remove_bin_file" },
	{ 0xf57862dd, "device_remove_file" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0xe90cac5f, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xee9da1ff, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9e9c1fc5, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x204eb2bb, "ieee80211_iterate_interfaces" },
	{ 0x4520ef2f, "ieee80211_sched_scan_stopped" },
	{ 0xbb7f3c65, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x610d1850, "ieee80211_chswitch_done" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x843eb71d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5000d58, "skb_dequeue" },
	{ 0x39c59d84, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcb3aca47, "ieee80211_free_hw" },
	{ 0x3195159, "ieee80211_probereq_get" },
	{ 0x3c49ddd2, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf82e9c72, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f388071, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x580c8611, "ieee80211_pspoll_get" },
	{ 0x4970d3d0, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcf9a2fa4, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5c6f6e5b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe5a9b58f, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe8560198, "ieee80211_stop_rx_ba_session" },
	{ 0x86119f0, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc93ad75, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xcfbbc5fb, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x4b09e951, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x3ca16d27, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x19ce649c, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "410B59115579F5E51122B43");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
