#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x780edbe3, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0xd9f94902, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xf65be54c, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x9d7c34cd, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0xd50078ad, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xebb06955, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xd090cd35, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x150fd92c, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0xd7971a7c, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x5403ea1c, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0xae9687db, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x99d9b996, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x09da493e, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x32c1d5d1, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x4bb0fd3f, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x3ec4d831, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0xd826ce90, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0xac624fc9, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x788cb3e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd9c85a7c, "bpf_trace_run5" },
	{ 0xefbd1b91, "bpf_trace_run4" },
	{ 0xf8b58688, "bpf_trace_run3" },
	{ 0xee0aaa55, "bpf_trace_run6" },
	{ 0x3f2fca9f, "dev_set_name" },
	{ 0x792f7986, "device_add" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x8073e021, "_dev_err" },
	{ 0x26f29fc1, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5299f0d, "__pm_runtime_set_status" },
	{ 0x19ce649c, "pm_runtime_enable" },
	{ 0x6ca034f0, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0xf0fc9fe9, "device_match_of_node" },
	{ 0xadab7a33, "bus_find_device" },
	{ 0x8627e3a3, "driver_register" },
	{ 0xaac3a3ef, "bus_unregister" },
	{ 0xbfa15ff2, "bus_register" },
	{ 0x7f5c6a3a, "device_for_each_child" },
	{ 0x5c6d3d7, "device_del" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7e4f1e01, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6f3c4de8, "put_device" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xdc586b10, "__pm_runtime_resume" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "459AB680E85BBB4CC3319F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
