#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0x6eb3acbf, "");
SYMBOL_CRC(free_rtllib, 0x007b4b44, "");
SYMBOL_CRC(rtllib_rx, 0xaa1f0d82, "");
SYMBOL_CRC(rtllib_legal_channel, 0x94dd9717, "");
SYMBOL_CRC(rtllib_xmit, 0xa050be09, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x7d53f14d, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x9ccf3bf1, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0xae137541, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0xce9eee35, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x7c6e5135, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x8e786ac1, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x8c5e307e, "");
SYMBOL_CRC(rtllib_stop_scan, 0xb135dd41, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x57add92c, "");
SYMBOL_CRC(rtllib_act_scanning, 0xe1d7661c, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x0c63e1c1, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x75e58a35, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x51330f62, "");
SYMBOL_CRC(rtllib_reset_queue, 0x71a412d0, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0xcbd0bdac, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x0622e4ad, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0xafd046f9, "");
SYMBOL_CRC(notify_wx_assoc_event, 0xabd67a62, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0x2c3e95b4, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0xd54bac32, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0x784fca42, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0xb4a923de, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0x5ee1ff8f, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x4729a7fa, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0xbe5c9e7c, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0x0ca4ebe6, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0xc042027a, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x94361879, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x8426c8cb, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x5ac3aca3, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0x6d4321ff, "");
SYMBOL_CRC(rtllib_wx_get_name, 0x0ab2dfdf, "");
SYMBOL_CRC(rtllib_wx_set_power, 0xb38cca00, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xb7ae992c, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0xa02d4462, "");
SYMBOL_CRC(remove_peer_ts, 0x624f6c50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a39fe6c, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc9cb301a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b74b179, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x429abc24, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xd077f239, "skb_queue_tail" },
	{ 0xa29cb9df, "lib80211_get_crypto_ops" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x245f0390, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xbb5f7a8f, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x616bde3e, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3051f2b, "netif_tx_stop_all_queues" },
	{ 0x3ce86c63, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xc94dfad8, "netif_rx" },
	{ 0xf5c09443, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcfec9dcd, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x616f245e, "netdev_alert" },
	{ 0xabae9fd4, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x88f08366, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x74fd715e, "lib80211_crypt_delayed_deinit" },
	{ 0xc6b469ce, "netif_carrier_on" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x33519913, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x3bcb338c, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5783b7a7, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8da84687, "try_module_get" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x843eb71d, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xad05ba85, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "78AB9FA809DB4301DC7C1DA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
