#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf02d6cc5, "inode_newsize_ok" },
	{ 0x95f2893e, "d_drop" },
	{ 0x60d5dbf1, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xb050c0c4, "block_invalidate_folio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x60101f0d, "crypto_skcipher_decrypt" },
	{ 0x6fe7c04b, "truncate_inode_pages_final" },
	{ 0xed2a4193, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0xf0ffb96f, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x5ef09e24, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0xb6da6fee, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3362b6b2, "inode_init_once" },
	{ 0xd1edfdd9, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4076df1b, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa434d4b6, "vfs_get_link" },
	{ 0x10abfa39, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xb2379f4e, "generic_file_read_iter" },
	{ 0xa949afb0, "unlock_page" },
	{ 0x134092ee, "noop_llseek" },
	{ 0x4e07d022, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x68b964ab, "kmem_cache_alloc_lru_noprof" },
	{ 0x356632e8, "lock_rename" },
	{ 0xb3c96623, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xa81e613b, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x7ce07a7a, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5720db88, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe00481a8, "sget" },
	{ 0x5c9aa675, "sysfs_create_group" },
	{ 0xa70f310e, "__put_devmap_managed_folio_refs" },
	{ 0x823ff6fb, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4ca4e001, "block_dirty_folio" },
	{ 0xcfee6f1b, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x2ab68452, "kern_path" },
	{ 0x6da1d496, "vfs_set_acl" },
	{ 0x36f5ca86, "misc_register" },
	{ 0x3073c3fd, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x79a8ba91, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2eb48917, "key_validate" },
	{ 0x4b4de1e1, "__kmem_cache_create_args" },
	{ 0x1d86315f, "unlock_rename" },
	{ 0xcce8213f, "vfs_rmdir" },
	{ 0x40e92769, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa2e70553, "truncate_setsize" },
	{ 0xa5dd12aa, "kthread_create_on_node" },
	{ 0x28f63f58, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7c59ad55, "vfs_symlink" },
	{ 0x43d6290c, "super_setup_bdi" },
	{ 0x757eaac6, "igrab" },
	{ 0xc033ebcb, "generic_read_dir" },
	{ 0xd515e6ff, "d_instantiate_new" },
	{ 0x3423fdc1, "d_add" },
	{ 0xb4ccada, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xe2482d1e, "vfs_mknod" },
	{ 0x51194264, "init_user_ns" },
	{ 0xdec98527, "dentry_open" },
	{ 0x7c50765a, "request_key_tag" },
	{ 0x44e9a829, "match_token" },
	{ 0x44aa7885, "__folio_put" },
	{ 0x11235cc8, "vfs_fileattr_set" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37c23781, "seq_printf" },
	{ 0x6ba94625, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xe4f61a2d, "deactivate_locked_super" },
	{ 0xe1af35db, "touch_atime" },
	{ 0xa90df5b3, "lookup_one_len_unlocked" },
	{ 0x1b0229f2, "vfs_llseek" },
	{ 0x3f0e0f3c, "alloc_pages_noprof" },
	{ 0x8e3c184e, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd4b275a3, "filemap_splice_read" },
	{ 0xa332d056, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x4a773c42, "key_type_user" },
	{ 0xa3930389, "kill_anon_super" },
	{ 0x403d8742, "vfs_getattr_nosec" },
	{ 0x96f8b96f, "iget5_locked" },
	{ 0x27370843, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1fc891f6, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0xea757d5c, "inode_permission" },
	{ 0xf1a278bb, "mntget" },
	{ 0x97ce06f7, "crypto_alloc_shash" },
	{ 0x7ae9eb3c, "__mark_inode_dirty" },
	{ 0xb4011441, "generic_file_llseek" },
	{ 0xed8577a1, "make_bad_inode" },
	{ 0x5276f814, "vfs_get_acl" },
	{ 0x37d7f31b, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe38b527a, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x25fccbd9, "iget_failed" },
	{ 0x27258cf2, "kernel_write" },
	{ 0x9141b1c5, "kmem_cache_destroy" },
	{ 0x9a131e98, "kobject_put" },
	{ 0x6f80efed, "vfs_create" },
	{ 0xea7f9d10, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x22c956ea, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7adfc1f8, "generic_fillattr" },
	{ 0x59d8833c, "setattr_prepare" },
	{ 0x99f66c79, "clear_nlink" },
	{ 0xe32ca319, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4f2ab065, "d_instantiate" },
	{ 0xcaf611e5, "misc_deregister" },
	{ 0x2902adba, "clear_inode" },
	{ 0xfe06d13f, "notify_change" },
	{ 0xbb7f3c65, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3817b182, "vfs_getattr" },
	{ 0xba3dadb3, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7381a769, "folio_unlock" },
	{ 0xa6a90fc3, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe73fc052, "init_special_inode" },
	{ 0xd1435d3a, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x26ea420b, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2df6e25b, "d_make_root" },
	{ 0x364dcf6e, "d_splice_alias" },
	{ 0x920bd7d8, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3bf7ba5, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd8d97ff4, "iput" },
	{ 0x9788c5ee, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd97db8b8, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9242cc50, "crypto_skcipher_setkey" },
	{ 0x30e2965a, "fsstack_copy_attr_all" },
	{ 0x38ab69f, "register_filesystem" },
	{ 0xc07c806d, "vfs_unlink" },
	{ 0x8919ad6e, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x645d0964, "wake_up_process" },
	{ 0xb4b86103, "vfs_mkdir" },
	{ 0x743919, "crypto_destroy_tfm" },
	{ 0x66df461a, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD0AB1D807F19F6104FC30E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
