#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe15b6609, "inode_sub_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x5ef09e24, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x7171121c, "overflowgid" },
	{ 0x5060b7d2, "folio_mark_dirty" },
	{ 0x8ae91141, "invalidate_inode_buffers" },
	{ 0x6fc00471, "block_commit_write" },
	{ 0x8047c2d7, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3362b6b2, "inode_init_once" },
	{ 0x5bf5c607, "cdrom_get_last_written" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xd29af965, "__brelse" },
	{ 0xd7a0e1d1, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb2379f4e, "generic_file_read_iter" },
	{ 0xd0bd53d2, "inode_maybe_inc_iversion" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x1b4d5143, "truncate_pagecache" },
	{ 0xad34be6f, "sync_dirty_buffer" },
	{ 0xe7ef09ea, "insert_inode_locked" },
	{ 0xf5d7f06f, "__bh_read_batch" },
	{ 0xcd8bb1e, "setattr_copy" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xb4ad9900, "write_cache_pages" },
	{ 0x1239c601, "file_update_time" },
	{ 0x4e07d022, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x68b964ab, "kmem_cache_alloc_lru_noprof" },
	{ 0xb3c96623, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x5461c094, "from_kgid" },
	{ 0xd9f22b1, "__bh_read" },
	{ 0xd8a2ce91, "cdrom_multisession" },
	{ 0x10a1f10a, "mpage_writepages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x3901bb45, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1a085154, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x79a46b37, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x18b8056f, "folio_end_read" },
	{ 0x4ca4e001, "block_dirty_folio" },
	{ 0x2aa96550, "inode_add_bytes" },
	{ 0x27e0efe7, "mpage_read_folio" },
	{ 0xcfee6f1b, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x2a65c9a2, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbacf50e3, "make_kgid" },
	{ 0x4b4de1e1, "__kmem_cache_create_args" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xa2e70553, "truncate_setsize" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfe86f50a, "generic_llseek_cookie" },
	{ 0x187a1a2e, "unlock_buffer" },
	{ 0xc033ebcb, "generic_read_dir" },
	{ 0xd515e6ff, "d_instantiate_new" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xaf06303b, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0x51194264, "init_user_ns" },
	{ 0x92a74616, "inode_set_ctime_current" },
	{ 0x8f921ebf, "inc_nlink" },
	{ 0xba8fb9a0, "seq_write" },
	{ 0x44aa7885, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbdee5577, "get_tree_bdev" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x37c23781, "seq_printf" },
	{ 0xe1af35db, "touch_atime" },
	{ 0x682a8d02, "__percpu_down_read" },
	{ 0x8b175444, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x90a2c4d3, "generic_file_open" },
	{ 0x8e3c184e, "__folio_lock" },
	{ 0x28d15f96, "is_bad_inode" },
	{ 0xc216f947, "rcuwait_wake_up" },
	{ 0x93edab8e, "block_write_begin" },
	{ 0xadbb47d1, "__fs_parse" },
	{ 0xd4b275a3, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x70c00a6b, "d_parent_ino" },
	{ 0xfbb3e9dd, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x354ee65e, "generic_write_checks" },
	{ 0xea757d5c, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe1407131, "filemap_fault" },
	{ 0x7ae9eb3c, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb4011441, "generic_file_llseek" },
	{ 0xed8577a1, "make_bad_inode" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xee8aa7e6, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x6022ce66, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7fa24c71, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x25fccbd9, "iget_failed" },
	{ 0x9141b1c5, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x980c4b62, "bh_uptodate_or_lock" },
	{ 0xa767bb64, "inode_init_owner" },
	{ 0x62ec9c22, "filemap_fdatawrite" },
	{ 0x7adfc1f8, "generic_fillattr" },
	{ 0x6a2d1a3, "vfs_fsync_range" },
	{ 0x59d8833c, "setattr_prepare" },
	{ 0xf812cff6, "memscan" },
	{ 0x1afab6d6, "iget_locked" },
	{ 0x99f66c79, "clear_nlink" },
	{ 0x6a707ca4, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4f2ab065, "d_instantiate" },
	{ 0x2902adba, "clear_inode" },
	{ 0x8d73278e, "hex_asc_upper" },
	{ 0xd7db6fb2, "discard_new_inode" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x12a3f1d1, "fs_param_is_string" },
	{ 0x7381a769, "folio_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x891e6d7f, "new_inode" },
	{ 0xa63a2ef0, "filemap_map_pages" },
	{ 0xe73fc052, "init_special_inode" },
	{ 0xd1435d3a, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2875a315, "utf32_to_utf8" },
	{ 0xf12e4185, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x8aa2aae8, "__block_write_begin" },
	{ 0xe5d060a0, "inode_query_iversion" },
	{ 0x3805b4a3, "__blockdev_direct_IO" },
	{ 0x2df6e25b, "d_make_root" },
	{ 0x9f0e95b5, "sb_set_blocksize" },
	{ 0x6a5fb320, "block_truncate_page" },
	{ 0xcba88a37, "read_cache_folio" },
	{ 0xed4572ad, "sync_filesystem" },
	{ 0x364dcf6e, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0x497373fa, "ihold" },
	{ 0x7145f0, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0x8f91f2be, "generic_file_fsync" },
	{ 0xbfcee747, "finish_open" },
	{ 0xd8d97ff4, "iput" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xb4622d5e, "logfc" },
	{ 0x1aa2b09f, "iter_file_splice_write" },
	{ 0x38ab69f, "register_filesystem" },
	{ 0x8903a8e0, "d_tmpfile" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ee5fe9, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4216a12e, "fs_param_is_u32" },
	{ 0xbaaff4f7, "kill_block_super" },
	{ 0x60d5dbf1, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xb050c0c4, "block_invalidate_folio" },
	{ 0xb61cb4a6, "generic_write_end" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x407bcd, "load_nls" },
	{ 0xeaa7d643, "make_kuid" },
	{ 0x6fe7c04b, "truncate_inode_pages_final" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "cdrom,crc-itu-t");


MODULE_INFO(srcversion, "012EAAAAFF86C9D01FD06BD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
