#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xd7a7192b, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x67ba7c8d, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x3f4a0c28, "");
SYMBOL_CRC(vcc_release_async, 0x2203e9a7, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x5c969cae, "");
SYMBOL_CRC(atm_dev_signal_change, 0x62be8191, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xefa5132c, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x85c7fee0, "");
SYMBOL_CRC(atm_alloc_charge, 0x29742ce3, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x1c62dc70, "");
SYMBOL_CRC(atm_dev_lookup, 0x778324ca, "");
SYMBOL_CRC(atm_dev_register, 0x6da65e28, "");
SYMBOL_CRC(atm_dev_deregister, 0x54f98363, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x2b894c4, "sock_register" },
	{ 0xc97fdff6, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6f3c4de8, "put_device" },
	{ 0x415d6153, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x68635a65, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd077f239, "skb_queue_tail" },
	{ 0x97f8a577, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf4bac1bb, "device_create_file" },
	{ 0x6f9eee10, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0x134092ee, "noop_llseek" },
	{ 0xec465205, "sk_free" },
	{ 0x55b75fa0, "sock_wake_async" },
	{ 0xefb4eff7, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7753c878, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1ca97b7d, "seq_putc" },
	{ 0xc4ebac99, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x8fe0f53c, "lock_sock_nested" },
	{ 0x8483227c, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1871541d, "sk_alloc" },
	{ 0x8950fd56, "device_register" },
	{ 0x5c6d3d7, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x34032681, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x77ee931d, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc4fc3ac2, "skb_recv_datagram" },
	{ 0xba8fb9a0, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x821d757f, "remove_proc_entry" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x37c23781, "seq_printf" },
	{ 0x1f10f36e, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x86965504, "sock_gettstamp" },
	{ 0x37d473c4, "_proc_mkdir" },
	{ 0xbf921216, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x228d410c, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0x33519913, "dev_kfree_skb_any_reason" },
	{ 0x32ed95b5, "iov_iter_revert" },
	{ 0x9594daff, "proc_create_seq_private" },
	{ 0xdf4c034a, "class_register" },
	{ 0x3f27ee23, "sock_init_data" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xf57862dd, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe5c0f78e, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xeb880c6a, "skb_free_datagram" },
	{ 0x8da84687, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3f2fca9f, "dev_set_name" },
	{ 0x843eb71d, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x5000d58, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x83381f3b, "proc_create_data" },
	{ 0x19cfb25, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xdc2d0a, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcb2f2c0, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
