#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x97afadca, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x9fc314e1, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xc72339a0, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x1c852001, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x5ae051dc, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0xc20ca52b, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xd96f3753, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xafadf1d2, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x0cc6683a, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xca147696, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x485ed353, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x018d6af2, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x996baf87, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xfa2d9850, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x22a189f0, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x0eaa4ee3, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x138147e7, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0xe787e4cf, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x652b8b3c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x4a76227e, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x690e943a, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x048d5bd0, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x5ca3e44c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x39d6ec16, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x5c34c2e7, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0xaae86aad, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x94747c99, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x40ff609f, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xa5867c88, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0xdc38c236, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6f3c4de8, "put_device" },
	{ 0xbbf7faff, "devlink_resource_register" },
	{ 0xd303b396, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x8c01917c, "netif_device_detach" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1855d6c4, "switchdev_bridge_port_offload" },
	{ 0x583eaa68, "netif_device_attach" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x97f8a577, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe3a35226, "ptp_classify_raw" },
	{ 0x5858d7d2, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xc27e883d, "devlink_region_create" },
	{ 0x787d71f7, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8ccbefa9, "__dev_get_by_index" },
	{ 0xd8148ccd, "rtnl_link_unregister" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0x9fb0a6f5, "devlink_port_unregister" },
	{ 0x8073e021, "_dev_err" },
	{ 0x6f9eee10, "init_net" },
	{ 0x34957ddb, "noop_qdisc" },
	{ 0x8c99ce33, "phy_ethtool_get_strings" },
	{ 0x4e834533, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x7bec06c2, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc2e2490b, "dev_remove_pack" },
	{ 0xd9c85a7c, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x68f525cc, "gro_cells_receive" },
	{ 0x1d7e3c01, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x245f0390, "skb_push" },
	{ 0xc2ef810f, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xe8617171, "dev_mc_del" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0xbcd3070b, "br_vlan_get_info" },
	{ 0x616bde3e, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x347a41fe, "mdiobus_free" },
	{ 0x5c9aa675, "sysfs_create_group" },
	{ 0x107909a5, "devlink_resource_occ_get_register" },
	{ 0x6feb3d4a, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xc886e648, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x59bf0e31, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3d8f68e0, "switchdev_bridge_port_unoffload" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd4e993af, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x25bb3f6b, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc94dfad8, "netif_rx" },
	{ 0x7bd87fb2, "dev_mc_add" },
	{ 0x5193e42c, "flow_block_cb_alloc" },
	{ 0x9b7c0e85, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd5df0bbf, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcfec9dcd, "__dynamic_netdev_dbg" },
	{ 0xbb2cbe13, "pv_ops" },
	{ 0x28f63f58, "sysfs_remove_group" },
	{ 0xc84701e, "net_selftest" },
	{ 0xf8b58688, "bpf_trace_run3" },
	{ 0x7c7d97ad, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x80a9d9c1, "devlink_port_init" },
	{ 0x838a2097, "__netpoll_setup" },
	{ 0xc48c2b70, "__dev_queue_xmit" },
	{ 0xc0cae912, "vlan_vid_add" },
	{ 0xea0f2e2d, "devlink_params_register" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0x2dc001ea, "br_vlan_get_info_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xb2e9e76a, "vlan_vid_del" },
	{ 0xa43576a7, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x903eabf3, "devlink_resources_unregister" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3d4ebc49, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x88f08366, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x201f1893, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x92af3f93, "devlink_port_region_create" },
	{ 0x50de627, "devlink_priv" },
	{ 0x2b03add6, "skb_copy" },
	{ 0x931183ed, "__hw_addr_sync_dev" },
	{ 0x19de61be, "devlink_port_register_with_ops" },
	{ 0x6292d83d, "mdiobus_get_phy" },
	{ 0x3e681a1b, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc79bdfcd, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbcb9b16f, "dev_uc_add" },
	{ 0x67a76e56, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf7ac6917, "br_mst_enabled" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xf00b676d, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x33519913, "dev_kfree_skb_any_reason" },
	{ 0xd04ee8dd, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3b99a631, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x85f3ef14, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x30ba1c02, "dcb_ieee_setapp" },
	{ 0x84cd6012, "phy_ethtool_get_sset_count" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4a5ee4da, "__skb_vlan_pop" },
	{ 0x2d2faa39, "phylink_connect_phy" },
	{ 0x5b871b03, "br_get_ageing_time" },
	{ 0xa4fa3589, "register_netdevice" },
	{ 0x5af2027a, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x8c594e53, "netdev_lower_get_next" },
	{ 0x66b4edff, "flow_block_cb_lookup" },
	{ 0x390bc764, "switchdev_handle_port_obj_add_foreign" },
	{ 0xb75ecd43, "devlink_resource_occ_get_unregister" },
	{ 0x9f48b0ff, "dev_set_mtu" },
	{ 0x23b825e1, "br_vlan_enabled" },
	{ 0x320bb4fa, "__skb_pad" },
	{ 0x8da84687, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcf7029c7, "skb_ensure_writable_head_tail" },
	{ 0xefbd1b91, "bpf_trace_run4" },
	{ 0x338fdfbc, "devlink_unregister" },
	{ 0x678b3364, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xa1dc5b34, "br_port_flag_is_set" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae58209f, "call_switchdev_notifiers" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x86e32ece, "br_port_get_stp_state" },
	{ 0x843eb71d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3925a9a0, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2cce0ea, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1205ef95, "__netpoll_free" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0x56fe339, "br_vlan_get_proto" },
	{ 0x218f09e9, "br_mst_get_state" },
	{ 0xbfbe4fce, "unregister_netdev" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x2f00bfac, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xab0849a6, "netpoll_send_skb" },
	{ 0x70326ea3, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x7fc2c059, "devlink_params_unregister" },
	{ 0x11cfb11d, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cb49080, "devlink_alloc_ns" },
	{ 0x81fc886, "dev_set_promiscuity" },
	{ 0xe01a9caf, "devlink_register" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x5e08da74, "devlink_free" },
	{ 0xc11989f8, "gro_cells_init" },
	{ 0x6b89e7ee, "bpf_trace_run2" },
	{ 0x9a39fe6c, "netdev_warn" },
	{ 0x25cd5c39, "unregister_netdevice_queue" },
	{ 0x34ad0b7e, "get_device" },
	{ 0xef061e28, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x14e3d36b, "ether_setup" },
	{ 0xe1c0cb4d, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xc9cb301a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcb009aed, "netdev_upper_dev_link" },
	{ 0x2633b9a1, "pskb_expand_head" },
	{ 0xa6ba0f5d, "switchdev_handle_port_attr_set" },
	{ 0x55301ade, "phylink_create" },
	{ 0xb57520ad, "vlan_for_each" },
	{ 0x11ad1d84, "netdev_port_same_parent_id" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0xa973b57e, "dev_addr_mod" },
	{ 0x6b74b179, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a9243b9, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe73e853e, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc4d34b3d, "vlan_dev_vlan_proto" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "21E43703C74EF3BBF0943BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
