#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x4479825b, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x4829fe91, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x71dcb930, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x3bb052ef, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x406d75e4, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x5691ebdb, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x7928f2a4, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xeae67d09, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x733e72c8, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x0865bd3e, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x7339df49, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x86c1df07, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x018d660b, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x5803eb6c, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xbe7f4360, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x16ed9304, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x5a8a3d6e, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xc91555aa, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xa37b054d, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x16724d12, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x0e9f186b, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x4c08edf2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x743e753, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6a9243b9, "alloc_netdev_mqs" },
	{ 0xa4fa3589, "register_netdevice" },
	{ 0x616bde3e, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x25cd5c39, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc11989f8, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf23e2646, "ip_route_output_flow" },
	{ 0x3e681a1b, "dst_release" },
	{ 0x8ccbefa9, "__dev_get_by_index" },
	{ 0x6ada09f6, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xa973b57e, "dev_addr_mod" },
	{ 0x834bf738, "netdev_state_change" },
	{ 0x93f993a4, "ns_capable" },
	{ 0x9f48b0ff, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6f9eee10, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5b49b953, "ip6_mtu" },
	{ 0x58870e15, "icmpv6_ndo_send" },
	{ 0xad8d6fee, "icmp_ndo_send" },
	{ 0xd154776e, "ipv4_mtu" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0x4619cd59, "dst_cache_get_ip4" },
	{ 0xae7271fa, "dst_cache_set_ip4" },
	{ 0xa28b4d15, "iptunnel_xmit" },
	{ 0xc013c3e2, "__skb_get_hash_net" },
	{ 0xce6749f6, "skb_copy_bits" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2633b9a1, "pskb_expand_head" },
	{ 0xf4ebdbc6, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x696cae0f, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1beaf71d, "skb_scrub_packet" },
	{ 0x68f525cc, "gro_cells_receive" },
	{ 0x6b74b179, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B5C7FB22D4262CC96E6EF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
