#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nci_get_conn_info_by_dest_type_params, "", "");
KSYMTAB_FUNC(nci_req_complete, "", "");
KSYMTAB_FUNC(nci_prop_cmd, "", "");
KSYMTAB_FUNC(nci_core_cmd, "", "");
KSYMTAB_FUNC(nci_core_reset, "", "");
KSYMTAB_FUNC(nci_core_init, "", "");
KSYMTAB_FUNC(nci_nfcc_loopback, "", "");
KSYMTAB_FUNC(nci_set_config, "", "");
KSYMTAB_FUNC(nci_nfcee_discover, "", "");
KSYMTAB_FUNC(nci_nfcee_mode_set, "", "");
KSYMTAB_FUNC(nci_core_conn_create, "", "");
KSYMTAB_FUNC(nci_core_conn_close, "", "");
KSYMTAB_FUNC(nci_allocate_device, "", "");
KSYMTAB_FUNC(nci_free_device, "", "");
KSYMTAB_FUNC(nci_register_device, "", "");
KSYMTAB_FUNC(nci_unregister_device, "", "");
KSYMTAB_FUNC(nci_recv_frame, "", "");
KSYMTAB_FUNC(nci_send_frame, "", "");
KSYMTAB_FUNC(nci_send_cmd, "", "");
KSYMTAB_FUNC(nci_conn_max_data_pkt_payload_size, "", "");
KSYMTAB_FUNC(nci_send_data, "", "");
KSYMTAB_FUNC(nci_to_errno, "", "");
KSYMTAB_FUNC(nci_hci_send_event, "", "");
KSYMTAB_FUNC(nci_hci_send_cmd, "", "");
KSYMTAB_FUNC(nci_hci_clear_all_pipes, "", "");
KSYMTAB_FUNC(nci_hci_open_pipe, "", "");
KSYMTAB_FUNC(nci_hci_set_param, "", "");
KSYMTAB_FUNC(nci_hci_get_param, "", "");
KSYMTAB_FUNC(nci_hci_connect_gate, "", "");
KSYMTAB_FUNC(nci_hci_dev_session_init, "", "");

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0xcf40fc7b, "");
SYMBOL_CRC(nci_req_complete, 0xd0af0a2d, "");
SYMBOL_CRC(nci_prop_cmd, 0x2e237912, "");
SYMBOL_CRC(nci_core_cmd, 0x8d020389, "");
SYMBOL_CRC(nci_core_reset, 0x7773e6e1, "");
SYMBOL_CRC(nci_core_init, 0x2fda5db3, "");
SYMBOL_CRC(nci_nfcc_loopback, 0xc145e73f, "");
SYMBOL_CRC(nci_set_config, 0xa124c2b3, "");
SYMBOL_CRC(nci_nfcee_discover, 0xa06b93e0, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x5a0477dd, "");
SYMBOL_CRC(nci_core_conn_create, 0x46baa043, "");
SYMBOL_CRC(nci_core_conn_close, 0xedb59500, "");
SYMBOL_CRC(nci_allocate_device, 0x5a397a13, "");
SYMBOL_CRC(nci_free_device, 0xe74a570e, "");
SYMBOL_CRC(nci_register_device, 0x1fd3be1f, "");
SYMBOL_CRC(nci_unregister_device, 0xce78f1c1, "");
SYMBOL_CRC(nci_recv_frame, 0xe36d6cba, "");
SYMBOL_CRC(nci_send_frame, 0x750c673e, "");
SYMBOL_CRC(nci_send_cmd, 0xc169f9a0, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x4774d9c6, "");
SYMBOL_CRC(nci_send_data, 0x90ae5d72, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0xc75cdbe1, "");
SYMBOL_CRC(nci_hci_send_cmd, 0xa2192884, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0x8429f3fd, "");
SYMBOL_CRC(nci_hci_open_pipe, 0xc77ad4cf, "");
SYMBOL_CRC(nci_hci_set_param, 0x79509ded, "");
SYMBOL_CRC(nci_hci_get_param, 0x82d2f881, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x0d3e3cad, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0xc00c9866, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf01a1e00, "nfc_get_local_general_bytes" },
	{ 0x58f476ef, "nfc_set_remote_general_bytes" },
	{ 0xe2820a78, "devm_kfree" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x245f0390, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x69e2758a, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd5df0bbf, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2132783f, "nfc_targets_found" },
	{ 0xc3bd8d17, "nfc_dep_link_is_up" },
	{ 0xa724a31b, "nfc_send_to_raw_sock" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x9e2ad505, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5000d58, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcddb1864, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7e170409, "nfc_allocate_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x14ba684, "nfc_tm_data_received" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2633b9a1, "pskb_expand_head" },
	{ 0xdc2d0a, "skb_queue_purge_reason" },
	{ 0xadc4a9b0, "nfc_tm_deactivated" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1557dac1, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f3c4de8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x415d6153, "__alloc_skb" },
	{ 0xd077f239, "skb_queue_tail" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "5F5D2E42E47102656FF465E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
