#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0xb4846a1c, "_gpl");
SYMBOL_CRC(smc_proto6, 0xe141a2b7, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x0d1d541e, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0x60498807, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x3b1e00d5, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0xdd90f0eb, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x5d2d9c0d, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0x6febb299, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x5f31ed0a, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x55d9c9e4, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0xed4aaf78, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0x89b8ea15, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0xbe50d539, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0x3bc3a867, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84dcff9c, "register_pernet_subsys" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xcdf1c3e6, "register_net_sysctl_sz" },
	{ 0xe94f157d, "tcp_abort" },
	{ 0x5292313d, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb13998d7, "dma_map_page_attrs" },
	{ 0xb5e52921, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0xcb2f2c0, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2b894c4, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6f3c4de8, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x117adf71, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0x415d6153, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb6da6fee, "__free_pages" },
	{ 0x6207f81c, "ib_unregister_event_handler" },
	{ 0x68635a65, "proto_register" },
	{ 0x5e3acdb0, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x552c2ef4, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x928f8d8a, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x991a2cda, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4bda38be, "generic_pipe_buf_get" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0x89a1749a, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x6f9eee10, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0x5d9ae2fb, "netlink_unicast" },
	{ 0xfab067a8, "__SCK__tp_func_sk_data_ready" },
	{ 0xc1391132, "rdma_put_gid_attr" },
	{ 0x5eb75aeb, "kernel_getsockname" },
	{ 0xec465205, "sk_free" },
	{ 0x55b75fa0, "sock_wake_async" },
	{ 0x6d0b0540, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x80535df, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d304f20, "nla_put" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xcc1f5821, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8fe0f53c, "lock_sock_nested" },
	{ 0xa70f310e, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xff258c07, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1871541d, "sk_alloc" },
	{ 0x22334fa3, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x472e124a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa9908fca, "kernel_connect" },
	{ 0x34032681, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa696ed93, "sk_wait_data" },
	{ 0x7db14ca4, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xad4fb134, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x77ee931d, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xbc754f63, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xd5df0bbf, "skb_trim" },
	{ 0x581fa97d, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4645cff6, "tcp_register_ulp" },
	{ 0x3cea0666, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x56567db4, "ib_device_get_netdev" },
	{ 0x1a788900, "kernel_listen" },
	{ 0xb86fdbea, "ib_dma_virt_map_sg" },
	{ 0xf4ebdbc6, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0x72e7909a, "inet6_register_protosw" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xef7fe6e7, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x991e18cc, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44aa7885, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6ce295cc, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa6c1c070, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e681a1b, "dst_release" },
	{ 0x89a08e94, "sk_stream_wait_connect" },
	{ 0x1f10f36e, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x8d9a03a0, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3f0e0f3c, "alloc_pages_noprof" },
	{ 0x72bc19ef, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xe6392489, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x67a76e56, "vlan_dev_vlan_id" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x8565b4cd, "ib_dealloc_pd_user" },
	{ 0x43a9ae0b, "rdma_get_gid_attr" },
	{ 0x68609e4, "dma_unmap_sg_attrs" },
	{ 0x4e9fcee8, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x32ed95b5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xbdc77f9a, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdee3549e, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3f27ee23, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xe5c0f78e, "release_sock" },
	{ 0x50b1d4d4, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8c594e53, "netdev_lower_get_next" },
	{ 0x9500aa7a, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3a0f5e07, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8f05c09b, "ib_unregister_client" },
	{ 0x3db95cc8, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x678b3364, "__nlmsg_put" },
	{ 0xadca85ce, "inet_unregister_protosw" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6369bafe, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xfa9792a, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x218a2b8c, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd2dc0dae, "inet6_unregister_protosw" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4022fbfa, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1b0abf0c, "__dma_need_sync" },
	{ 0x3c4aa351, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd3c970ee, "genlmsg_put" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5edc889, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6cb33e84, "ib_dereg_mr_user" },
	{ 0x233854b4, "__tracepoint_sk_data_ready" },
	{ 0x6b89e7ee, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc483ab0a, "kernel_accept" },
	{ 0x4afef2e3, "rdma_dev_access_netns" },
	{ 0x95172aba, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xf23e2646, "ip_route_output_flow" },
	{ 0x34ad0b7e, "get_device" },
	{ 0x1ebc999f, "sk_stream_error" },
	{ 0xe59c25ee, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd18a794e, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4ed3791, "sk_error_report" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "B78B47EB1903673F65A835E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
