#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x98f3ee0d, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x41cb57b0, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x8ae40024, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xb20af18b, "");
SYMBOL_CRC(gss_mech_put, 0x3b92b9ce, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xfa184004, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x3a8e2bb9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f99e74e, "rpcauth_init_credcache" },
	{ 0xc32921cb, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x44abc28e, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0xd5c6f9b1, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa70f310e, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4be61e, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1b44e2b3, "rpc_create" },
	{ 0xab180c65, "bpf_trace_run1" },
	{ 0x944717cb, "rpc_call_sync" },
	{ 0xcfee6f1b, "from_kuid" },
	{ 0x472e124a, "unregister_pernet_subsys" },
	{ 0x756b7423, "rpc_queue_upcall" },
	{ 0xccc45e91, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xefea7a0d, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3715a77b, "svcauth_unix_set_client" },
	{ 0x8bfe7683, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xbacf50e3, "make_kgid" },
	{ 0xe411be37, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x501f89ea, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x246bb2fa, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf8b58688, "bpf_trace_run3" },
	{ 0x9d42ef1c, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb6f086c, "rpc_mkpipe_dentry" },
	{ 0xc80de1b3, "rpc_mkpipe_data" },
	{ 0x5fc36521, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x70bb74fb, "cache_register_net" },
	{ 0x51194264, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x701060ac, "xdr_inline_pages" },
	{ 0x44aa7885, "__folio_put" },
	{ 0x821d757f, "remove_proc_entry" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xefe0706a, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x3f0e0f3c, "alloc_pages_noprof" },
	{ 0x477a0f9b, "rpc_unlink" },
	{ 0x7cdda6e3, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x2b46f5ee, "from_kuid_munged" },
	{ 0x510a62e2, "rpcauth_init_cred" },
	{ 0x4b393f2c, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe8fb09c2, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x5215f031, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbacefecb, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x27c1cfb5, "sunrpc_cache_update" },
	{ 0x17575dcd, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6c120595, "auth_domain_put" },
	{ 0x3266527b, "rpcauth_unwrap_resp_decode" },
	{ 0xf49e19c9, "rpcauth_register" },
	{ 0x1bff6bb2, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8da84687, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb39424fc, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xa7cc131a, "xdr_buf_from_iov" },
	{ 0xefbd1b91, "bpf_trace_run4" },
	{ 0x332b49ff, "xdr_stream_decode_opaque_auth" },
	{ 0xbb7f3c65, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf4aca017, "xdr_write_pages" },
	{ 0x1e77346c, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb162af9, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x97e8da75, "xdr_inline_decode" },
	{ 0x2d198643, "cache_create_net" },
	{ 0x7ca9a6aa, "rpcauth_destroy_credcache" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xee0aaa55, "bpf_trace_run6" },
	{ 0x717c3a0d, "rpc_net_ns" },
	{ 0x257388cc, "read_bytes_from_xdr_buf" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x35ab67bb, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x83381f3b, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x6b89e7ee, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x390dae1d, "xdr_truncate_decode" },
	{ 0xbfc35eab, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x49c274b7, "__xdr_commit_encode" },
	{ 0x95172aba, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x36ae9e0a, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x93961e4a, "__put_cred" },
	{ 0x84dcff9c, "register_pernet_subsys" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8dffce0b, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x619c04f3, "rpc_release_client" },
	{ 0x27f9aac7, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf745f365, "svc_auth_register" },
	{ 0xbfba54b6, "xdr_stream_encode_opaque_auth" },
	{ 0xeaa7d643, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x8b80aa16, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb6da6fee, "__free_pages" },
	{ 0xc3013085, "rpc_pipe_generic_upcall" },
	{ 0x97f8a577, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x3624e960, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb8fb1e75, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5b3e35db, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
