#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xe587f38f, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x1fdb4310, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xf5439598, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x226fa622, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x44ff9574, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x19a7186b, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x360330be, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xc9297f80, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x1f13df52, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x7b1b0cb7, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x8f63e390, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xa914d2b7, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xe22f95b8, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xc1fc00f9, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xf97d591c, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x75e93200, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x9ebdd434, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x16732bd3, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x480f1943, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xf87570f5, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x14f8f0cb, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xa2f446aa, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x86359727, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x18ae71c0, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x93961e4a, "__put_cred" },
	{ 0xd4ed3791, "sk_error_report" },
	{ 0xdc2d0a, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xcb2f2c0, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2b894c4, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x68635a65, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x97f8a577, "module_put" },
	{ 0xd16d861a, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0xec465205, "sk_free" },
	{ 0xefb4eff7, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7753c878, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8aa7960e, "sock_recv_errqueue" },
	{ 0x8fe0f53c, "lock_sock_nested" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x1871541d, "sk_alloc" },
	{ 0x34032681, "sock_no_socketpair" },
	{ 0x36f5ca86, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x77ee931d, "sock_no_mmap" },
	{ 0x64e62fb5, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x246bb2fa, "nonseekable_open" },
	{ 0xec8f7c31, "sk_psock_drop" },
	{ 0xc48c2b70, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51194264, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x23632c3d, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x172bac0a, "sock_setsockopt" },
	{ 0x3f27ee23, "sock_init_data" },
	{ 0xe5c0f78e, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9500aa7a, "security_sock_graft" },
	{ 0xcfc3edd2, "sock_map_close" },
	{ 0x8064c0c3, "sock_queue_rcv_skb_reason" },
	{ 0x8da84687, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcaf611e5, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x843eb71d, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x95172aba, "__module_get" },
	{ 0x1ebc999f, "sk_stream_error" },
	{ 0x76e01c11, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe242343a, "ns_capable_noaudit" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C45BBF0279CAA25E39F4C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
