#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x5cacd1c6, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xa2b09fd9, "_gpl");
SYMBOL_CRC(af_alg_release, 0x23abafb9, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x7bdc9aec, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x057e87be, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x912b280f, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xf877cf39, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xd11f636d, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x458f1741, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xe37d6b9f, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x23a389e4, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x7795bc7f, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x3d52a08f, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x894bc9a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x1871541d, "sk_alloc" },
	{ 0x3f27ee23, "sock_init_data" },
	{ 0x935eb22, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7a75d87b, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe10d7b84, "extract_iter_to_sg" },
	{ 0x68635a65, "proto_register" },
	{ 0x2b894c4, "sock_register" },
	{ 0xcb2f2c0, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x8da84687, "try_module_get" },
	{ 0x8fe0f53c, "lock_sock_nested" },
	{ 0xe5c0f78e, "release_sock" },
	{ 0x97f8a577, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x50160368, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x44aa7885, "__folio_put" },
	{ 0xa70f310e, "__put_devmap_managed_folio_refs" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xec465205, "sk_free" },
	{ 0x9500aa7a, "security_sock_graft" },
	{ 0x64e62fb5, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55b75fa0, "sock_wake_async" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1f10f36e, "_copy_from_iter" },
	{ 0x3f0e0f3c, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x32ed95b5, "iov_iter_revert" },
	{ 0xb6da6fee, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x4076df1b, "key_put" },
	{ 0x7f63b2ce, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x19144826, "sock_no_connect" },
	{ 0x34032681, "sock_no_socketpair" },
	{ 0xb9fead5, "sock_no_getname" },
	{ 0x7d7ecc16, "sock_no_ioctl" },
	{ 0x7753c878, "sock_no_listen" },
	{ 0x7e2705b5, "sock_no_shutdown" },
	{ 0x17ee0215, "sock_no_sendmsg" },
	{ 0x11ca3a1e, "sock_no_recvmsg" },
	{ 0x77ee931d, "sock_no_mmap" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
