#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x1829a3bd, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xe7714616, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x029f5483, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xc92ac1db, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x9b95c8d5, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x8a35f9bc, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xc92fd6b7, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xdc34cfcb, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x41097a20, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x220605ee, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x4ee2cad6, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x2e4607fc, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x0657513a, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xec890b50, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xbdc3224c, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xc1a5d33c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xbf4a131f, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x1dd15abe, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xd308e0aa, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x8985c4d3, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x523e4e2f, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x2b693e38, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x21e3277f, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x6a0a26da, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x730abef7, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x8d9b8826, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x0a83fd31, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x4d8a7c4c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x95dde2b2, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x6c9b4267, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x1665f67d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfddf6729, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x505b7799, "kthread_create_worker" },
	{ 0x8073e021, "_dev_err" },
	{ 0xd299d529, "_dev_info" },
	{ 0x6af17c74, "sched_set_fifo" },
	{ 0x4e903029, "crypto_register_aead" },
	{ 0x15e7d109, "crypto_unregister_aead" },
	{ 0x400faea5, "crypto_register_ahash" },
	{ 0x314747bd, "crypto_unregister_ahash" },
	{ 0xaf372f16, "crypto_register_akcipher" },
	{ 0x24a5c8d2, "crypto_unregister_akcipher" },
	{ 0xb83b4331, "crypto_register_kpp" },
	{ 0xaff80748, "crypto_unregister_kpp" },
	{ 0xfab19e8c, "crypto_register_skcipher" },
	{ 0xfbda27f9, "crypto_unregister_skcipher" },
	{ 0xf27da48a, "crypto_enqueue_request" },
	{ 0xa9245597, "crypto_dequeue_request" },
	{ 0x161ec9ae, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf4a95d18, "kthread_destroy_worker" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8804DBF21A364B6BE271C7E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
