#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_DATA(__tracepoint_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_DATA(__tracepoint_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_outbound_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(fw_core_add_descriptor, "", "");
KSYMTAB_FUNC(fw_core_remove_descriptor, "", "");
KSYMTAB_FUNC(fw_schedule_bus_reset, "", "");
KSYMTAB_FUNC(fw_card_initialize, "", "");
KSYMTAB_FUNC(fw_card_add, "", "");
KSYMTAB_FUNC(fw_card_release, "_gpl", "");
KSYMTAB_FUNC(fw_core_remove_card, "", "");
KSYMTAB_FUNC(fw_card_read_cycle_time, "_gpl", "");
KSYMTAB_FUNC(fw_csr_iterator_init, "", "");
KSYMTAB_FUNC(fw_csr_iterator_next, "", "");
KSYMTAB_FUNC(fw_csr_string, "", "");
KSYMTAB_DATA(fw_bus_type, "", "");
KSYMTAB_FUNC(fw_device_enable_phys_dma, "", "");
KSYMTAB_DATA(fw_workqueue, "", "");
KSYMTAB_FUNC(fw_iso_buffer_init, "", "");
KSYMTAB_FUNC(fw_iso_buffer_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_create, "", "");
KSYMTAB_FUNC(fw_iso_context_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_start, "", "");
KSYMTAB_FUNC(fw_iso_context_queue, "", "");
KSYMTAB_FUNC(fw_iso_context_queue_flush, "", "");
KSYMTAB_FUNC(fw_iso_context_flush_completions, "", "");
KSYMTAB_FUNC(fw_iso_context_stop, "", "");
KSYMTAB_FUNC(fw_iso_resource_manage, "", "");
KSYMTAB_FUNC(fw_core_handle_bus_reset, "", "");
KSYMTAB_FUNC(fw_cancel_transaction, "", "");
KSYMTAB_FUNC(__fw_send_request, "_gpl", "");
KSYMTAB_FUNC(fw_run_transaction, "", "");
KSYMTAB_DATA(fw_high_memory_region, "", "");
KSYMTAB_FUNC(fw_core_add_address_handler, "", "");
KSYMTAB_FUNC(fw_core_remove_address_handler, "", "");
KSYMTAB_FUNC(fw_fill_response, "", "");
KSYMTAB_FUNC(fw_send_response, "", "");
KSYMTAB_FUNC(fw_get_request_speed, "", "");
KSYMTAB_FUNC(fw_request_get_timestamp, "_gpl", "");
KSYMTAB_FUNC(fw_core_handle_request, "", "");
KSYMTAB_FUNC(fw_core_handle_response, "", "");
KSYMTAB_FUNC(fw_rcode_string, "", "");

SYMBOL_CRC(__tracepoint_isoc_inbound_single_completions, 0xc62a0af2, "_gpl");
SYMBOL_CRC(__traceiter_isoc_inbound_single_completions, 0xca68c8a4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_inbound_single_completions, 0x850a8530, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_inbound_single_completions, 0x5509028e, "_gpl");
SYMBOL_CRC(__tracepoint_isoc_inbound_multiple_completions, 0xe7af7079, "_gpl");
SYMBOL_CRC(__traceiter_isoc_inbound_multiple_completions, 0x7dde8807, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_inbound_multiple_completions, 0x63641824, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_inbound_multiple_completions, 0x911b18c0, "_gpl");
SYMBOL_CRC(__tracepoint_isoc_outbound_completions, 0x6360e170, "_gpl");
SYMBOL_CRC(__traceiter_isoc_outbound_completions, 0x0ce6bcdb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_outbound_completions, 0xfdda77f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_outbound_completions, 0x37573b5f, "_gpl");
SYMBOL_CRC(fw_core_add_descriptor, 0x3a771e39, "");
SYMBOL_CRC(fw_core_remove_descriptor, 0x0bc6094c, "");
SYMBOL_CRC(fw_schedule_bus_reset, 0x41f8d287, "");
SYMBOL_CRC(fw_card_initialize, 0x924332e5, "");
SYMBOL_CRC(fw_card_add, 0xca59f97d, "");
SYMBOL_CRC(fw_card_release, 0xe86fb5c7, "_gpl");
SYMBOL_CRC(fw_core_remove_card, 0x83d17bd3, "");
SYMBOL_CRC(fw_card_read_cycle_time, 0x3ebc399b, "_gpl");
SYMBOL_CRC(fw_csr_iterator_init, 0xe80e5087, "");
SYMBOL_CRC(fw_csr_iterator_next, 0xe3fde125, "");
SYMBOL_CRC(fw_csr_string, 0x6dc50487, "");
SYMBOL_CRC(fw_bus_type, 0x6c0aa98c, "");
SYMBOL_CRC(fw_device_enable_phys_dma, 0x5aec4c94, "");
SYMBOL_CRC(fw_workqueue, 0x3c56ef91, "");
SYMBOL_CRC(fw_iso_buffer_init, 0x34844ec5, "");
SYMBOL_CRC(fw_iso_buffer_destroy, 0xb9c3fd30, "");
SYMBOL_CRC(fw_iso_context_create, 0x1fe3628c, "");
SYMBOL_CRC(fw_iso_context_destroy, 0x86ee219a, "");
SYMBOL_CRC(fw_iso_context_start, 0x23ca01d6, "");
SYMBOL_CRC(fw_iso_context_queue, 0x8665f56a, "");
SYMBOL_CRC(fw_iso_context_queue_flush, 0xff3fc4be, "");
SYMBOL_CRC(fw_iso_context_flush_completions, 0xd756bb66, "");
SYMBOL_CRC(fw_iso_context_stop, 0x2ede3e04, "");
SYMBOL_CRC(fw_iso_resource_manage, 0x8c1b0f09, "");
SYMBOL_CRC(fw_core_handle_bus_reset, 0xd67575bf, "");
SYMBOL_CRC(fw_cancel_transaction, 0xdee23830, "");
SYMBOL_CRC(__fw_send_request, 0xfe195e70, "_gpl");
SYMBOL_CRC(fw_run_transaction, 0x3f2abe09, "");
SYMBOL_CRC(fw_high_memory_region, 0xaedf84ce, "");
SYMBOL_CRC(fw_core_add_address_handler, 0x184c861e, "");
SYMBOL_CRC(fw_core_remove_address_handler, 0xad10b0eb, "");
SYMBOL_CRC(fw_fill_response, 0x3977a25e, "");
SYMBOL_CRC(fw_send_response, 0x1361a4b5, "");
SYMBOL_CRC(fw_get_request_speed, 0x2885fec5, "");
SYMBOL_CRC(fw_request_get_timestamp, 0xabb5547d, "_gpl");
SYMBOL_CRC(fw_core_handle_request, 0xb33b8d08, "");
SYMBOL_CRC(fw_core_handle_response, 0x226e3d56, "");
SYMBOL_CRC(fw_rcode_string, 0x86468d44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc886e648, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8950fd56, "device_register" },
	{ 0xab180c65, "bpf_trace_run1" },
	{ 0x4ed7bfd2, "bpf_trace_run9" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x246bb2fa, "nonseekable_open" },
	{ 0x745a981, "xa_erase" },
	{ 0xbb2cbe13, "pv_ops" },
	{ 0xf8b58688, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf089d33d, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdc619c5c, "kobject_uevent" },
	{ 0x3f0e0f3c, "alloc_pages_noprof" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xbe67cde7, "bpf_trace_run7" },
	{ 0xec04db25, "vm_map_pages_zero" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xbfa15ff2, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xefbd1b91, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x3f2fca9f, "dev_set_name" },
	{ 0xe2ff01f6, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0xee0aaa55, "bpf_trace_run6" },
	{ 0x26f29fc1, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4022fbfa, "dma_unmap_page_attrs" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7e4f1e01, "device_initialize" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7f5c6a3a, "device_for_each_child" },
	{ 0x6b89e7ee, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34ad0b7e, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb13998d7, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6f3c4de8, "put_device" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0xb6da6fee, "__free_pages" },
	{ 0x820bffe5, "compat_ptr_ioctl" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0xaac3a3ef, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x792f7986, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd9c85a7c, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "5D42236FF0CAB7E349C6F1D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
