#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x94a56ee6, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xe747f82b, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x61c5b7d9, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x266bbc30, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xf99a25ee, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xc86d8163, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x7ffd9443, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xb4e19321, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x8baa2dcb, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x0ee1973e, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x3b91295b, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xb65792ca, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x3a44f873, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x9af5d6d0, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x55cd8137, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0xf74e8505, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa60f1cb5, "drm_client_framebuffer_delete" },
	{ 0xf7b8f3b7, "dma_free_pages" },
	{ 0xa9cf63ac, "drm_client_framebuffer_create" },
	{ 0x74eec73c, "drm_fb_helper_deferred_io" },
	{ 0x845a75e7, "drm_fb_helper_release_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x719fc443, "drm_driver_legacy_fb_format" },
	{ 0x712a94b4, "drm_fb_helper_fill_info" },
	{ 0xd231f599, "drm_gem_create_mmap_offset" },
	{ 0x34c11091, "fb_deferred_io_init" },
	{ 0xa7b3217f, "fb_deferred_io_cleanup" },
	{ 0xb4faf7f2, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0x1d37d31d, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xace0f945, "fb_sys_write" },
	{ 0x82905142, "sys_imageblit" },
	{ 0xf365a0dd, "drm_atomic_helper_damage_iter_init" },
	{ 0x7fe20b55, "drm_fb_helper_damage_range" },
	{ 0x906c5213, "drm_fb_helper_blank" },
	{ 0x72ff8e0c, "dma_alloc_pages" },
	{ 0x747dcc26, "drm_gem_private_object_init" },
	{ 0xc3dec429, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x783d1863, "drm_fb_helper_damage_area" },
	{ 0xc4fc58b9, "sys_fillrect" },
	{ 0x97f8a577, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x14ded0a, "drm_client_init" },
	{ 0x2a751f8a, "drm_gem_vm_close" },
	{ 0x4892a353, "drm_gem_vm_open" },
	{ 0xa7fc42c9, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8073e021, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xc250315c, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x6d5b03e4, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xca110f78, "drm_gem_handle_create" },
	{ 0x8b7c7b74, "drm_gem_fb_get_obj" },
	{ 0x13a8bab2, "__drm_dev_dbg" },
	{ 0x8dc4a70c, "fb_deferred_io_mmap" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3abec7d8, "drm_fb_helper_pan_display" },
	{ 0x686c52f1, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x74fd755a, "sys_copyarea" },
	{ 0x3b508c4b, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x991e18cc, "__dma_sync_single_for_device" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x514c6195, "drm_client_buffer_vunmap" },
	{ 0x4503dffa, "fb_sys_read" },
	{ 0x12c97cc0, "drm_fb_helper_debug_leave" },
	{ 0x133d1873, "dma_buf_vmap_unlocked" },
	{ 0x2a6539fd, "dma_mmap_attrs" },
	{ 0x3b8e1e12, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x988e5491, "drm_fb_helper_initial_config" },
	{ 0xa5e53ad0, "drm_fb_helper_unregister_info" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xe1e682c4, "drm_fb_helper_ioctl" },
	{ 0x98febcd2, "drm_fb_helper_set_par" },
	{ 0xde752973, "drm_prime_gem_destroy" },
	{ 0x501c8552, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8da84687, "try_module_get" },
	{ 0xf7cd9a08, "drm_fb_helper_init" },
	{ 0x96cef927, "drm_fb_helper_debug_enter" },
	{ 0x591b8f56, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4dd69ee8, "drm_client_buffer_vmap" },
	{ 0xf5555fd4, "drm_fb_helper_lastclose" },
	{ 0x25795e68, "drm_fb_helper_setcmap" },
	{ 0xa7b773c8, "drm_fb_helper_alloc_info" },
	{ 0xfe8e4798, "drm_helper_disable_unused_functions" },
	{ 0xc9881ef5, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x44934268, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x3a74e649, "drm_fb_helper_fini" },
	{ 0x1c38d8cc, "dma_mmap_pages" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B9CB4C28E63F409E517E0F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
