#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0xa11fc553, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0xb1059555, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9868b811, "usb_submit_urb" },
	{ 0xd299d529, "_dev_info" },
	{ 0x4fe7a82f, "usb_queue_reset_device" },
	{ 0x3e9268d5, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x820bffe5, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8073e021, "_dev_err" },
	{ 0x62936706, "usb_free_coherent" },
	{ 0xfc3ee54c, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x134092ee, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x3c46642f, "hid_hw_request" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa395c082, "hid_hw_open" },
	{ 0xca57b060, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x128c5a3c, "usb_register_dev" },
	{ 0x8dcc6780, "hid_check_keys_pressed" },
	{ 0x15aa933d, "fasync_helper" },
	{ 0xce31a18b, "usb_unpoison_urb" },
	{ 0x5bc7f09f, "usb_autopm_put_interface_async" },
	{ 0x8bb02ecd, "hid_hw_close" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xe88f5993, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92dffa0b, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xdab5dc28, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3454f002, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x76340565, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28b5abd8, "usb_unlink_urb" },
	{ 0xbbf25fd8, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x20cb75e6, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9d53916, "input_ff_create" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xd13e7e9e, "usb_deregister_dev" },
	{ 0x49e7cc2, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8d80c432, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc8e1a4f5, "__dev_fwnode" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xe9ba269e, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9aa3da31, "hid_output_report" },
	{ 0x386cfbf0, "hid_lookup_quirk" },
	{ 0x4d23f3c0, "usb_alloc_urb" },
	{ 0x51c79b00, "device_set_wakeup_enable" },
	{ 0xef9d8439, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe9026472, "usb_free_urb" },
	{ 0xbb7f3c65, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x605fc223, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4da668c0, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7c72365c, "kill_fasync" },
	{ 0x5fda2ad6, "usb_register_driver" },
	{ 0xe5ba2d2a, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0xa746af79, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6f79f2b, "hidinput_count_leds" },
	{ 0x568d56dd, "usb_autopm_put_interface_no_suspend" },
	{ 0x2163f33e, "hid_driver_resume" },
	{ 0x4dfbccaf, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbed3cb10, "hid_allocate_device" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x86d68949, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa56caead, "usb_interrupt_msg" },
	{ 0x53ed930, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xba956e6b, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcf859c0a, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb96ea68b, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "F23B61DA446C27958916F39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
