#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0x6f95edf4, "");
SYMBOL_CRC(mma9551_write_config_byte, 0xd5e2e74b, "");
SYMBOL_CRC(mma9551_read_status_byte, 0x98d24233, "");
SYMBOL_CRC(mma9551_read_config_word, 0xe866561c, "");
SYMBOL_CRC(mma9551_write_config_word, 0x2ea245ff, "");
SYMBOL_CRC(mma9551_read_status_word, 0xed9146a0, "");
SYMBOL_CRC(mma9551_read_config_words, 0x3b5731dd, "");
SYMBOL_CRC(mma9551_read_status_words, 0x2bc599a4, "");
SYMBOL_CRC(mma9551_write_config_words, 0x4da21801, "");
SYMBOL_CRC(mma9551_update_config_bits, 0xdd32a6fc, "");
SYMBOL_CRC(mma9551_gpio_config, 0x40201b8d, "");
SYMBOL_CRC(mma9551_read_version, 0xe81c0ea5, "");
SYMBOL_CRC(mma9551_set_device_state, 0x9c6c4ba3, "");
SYMBOL_CRC(mma9551_set_power_state, 0x1f335b9e, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0x183bb666, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0x33610185, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4271152, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8073e021, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd299d529, "_dev_info" },
	{ 0xdc586b10, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc359c843, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF732B0FB83CD26C976C38B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
