#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x20528f5a, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x20ac74fa, "");
SYMBOL_CRC(ib_cm_listen, 0x1bbe90d8, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x042575b5, "");
SYMBOL_CRC(ib_send_cm_req, 0xeee66b90, "");
SYMBOL_CRC(ib_send_cm_rep, 0x61926e88, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x73422598, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xdbcb41a8, "");
SYMBOL_CRC(ib_send_cm_drep, 0x84bb3c94, "");
SYMBOL_CRC(ib_send_cm_rej, 0xe3024b28, "");
SYMBOL_CRC(ib_send_cm_mra, 0x5300dfb5, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x64e2e252, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xddce1aa2, "");
SYMBOL_CRC(ib_cm_notify, 0x89ebdcac, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x6d944534, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0xb0cf6d28, "rdma_create_ah" },
	{ 0xa326503b, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xfc23a061, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x552c2ef4, "ib_register_client" },
	{ 0x484486fa, "ib_unregister_mad_agent" },
	{ 0x4d6a5c60, "ib_post_send_mad" },
	{ 0x24abf5e5, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0xc7eff96a, "rdma_destroy_ah_attr" },
	{ 0x89a1749a, "ib_set_client_data" },
	{ 0xff17b00, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc1391132, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xab180c65, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc4c9ed8e, "rdma_destroy_ah_user" },
	{ 0xc2db3234, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x5b8ccf57, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0xf8b58688, "bpf_trace_run3" },
	{ 0x1ab0af, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0xec851e93, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf2cd045, "ib_free_recv_mad" },
	{ 0xc66dc7cc, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7a09a3cd, "ib_modify_mad" },
	{ 0xe4697d83, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x8f05c09b, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4aa00d1b, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d37e55e, "rdma_query_gid" },
	{ 0xd35665ac, "ib_port_register_client_groups" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xd497b73c, "ib_modify_port" },
	{ 0x6b89e7ee, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "83999B628C85F576050F5BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
