#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0xa5a416f0, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0x4b4dd2e9, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0x231d4358, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa37fb11e, "is_acpi_device_node" },
	{ 0xdc586b10, "__pm_runtime_resume" },
	{ 0x7822a04f, "i2c_acpi_new_device_by_fwnode" },
	{ 0x3b99a631, "device_link_add" },
	{ 0xd299d529, "_dev_info" },
	{ 0xbfc6199d, "__pm_runtime_idle" },
	{ 0x6f3c4de8, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8073e021, "_dev_err" },
	{ 0x74461b62, "acpi_dev_get_first_match_dev" },
	{ 0xf4c3786d, "acpi_dev_get_next_consumer_dev" },
	{ 0x188ac254, "acpi_dev_get_next_match_dev" },
	{ 0x4acf6402, "platform_bus_type" },
	{ 0xadab7a33, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c1ac5b6, "device_find_child_by_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xc8e1a4f5, "__dev_fwnode" },
	{ 0x1348b9c1, "fwnode_find_reference" },
	{ 0xf88f60a3, "i2c_find_device_by_fwnode" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x34ad0b7e, "get_device" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0ced10b, "fwnode_graph_get_next_endpoint" },
	{ 0xb48f0638, "software_node_register" },
	{ 0x7b9568d9, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0x941ed133, "software_node_fwnode" },
	{ 0xb30fbf9c, "set_secondary_fwnode" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD00931DA7B32CC86328B9D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
