#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu6_configure_spc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_single, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_alloc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_free, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_init, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_cleanup, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_auth_done, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_map_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_unmap_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_start_tsc_sync, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_read, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_ticks_to_ns, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_create_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_free_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_prepare, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_open, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_close, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_release, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_ready, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_put_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_put_token, "_gpl", "INTEL_IPU6");

SYMBOL_CRC(ipu6_configure_spc, 0xd65c1ffb, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_single, 0xda13840c, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sg, 0xc90dbc94, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sgtable, 0xf9c9e29d, "_gpl");
SYMBOL_CRC(ipu6_dma_alloc, 0xed39230c, "_gpl");
SYMBOL_CRC(ipu6_dma_free, 0x635d0d96, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sg, 0xaf11892a, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sg, 0xd5bc1218, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sgtable, 0x60f917f1, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sgtable, 0x4e3ec689, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_init, 0x99b5ca44, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_cleanup, 0xea22916b, "_gpl");
SYMBOL_CRC(ipu6_buttress_auth_done, 0xb0cf337d, "_gpl");
SYMBOL_CRC(ipu6_buttress_map_fw_image, 0xd938f58e, "_gpl");
SYMBOL_CRC(ipu6_buttress_unmap_fw_image, 0x498727f8, "_gpl");
SYMBOL_CRC(ipu6_buttress_start_tsc_sync, 0x81fc8566, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_read, 0xae9e20b5, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_ticks_to_ns, 0xe0a3fa1b, "_gpl");
SYMBOL_CRC(ipu6_cpd_create_pkg_dir, 0x0d6896d5, "_gpl");
SYMBOL_CRC(ipu6_cpd_free_pkg_dir, 0x2c7b80a4, "_gpl");
SYMBOL_CRC(ipu6_fw_com_prepare, 0xb8e6a4b5, "_gpl");
SYMBOL_CRC(ipu6_fw_com_open, 0xe4173880, "_gpl");
SYMBOL_CRC(ipu6_fw_com_close, 0xa4ea9101, "_gpl");
SYMBOL_CRC(ipu6_fw_com_release, 0x246154f7, "_gpl");
SYMBOL_CRC(ipu6_fw_com_ready, 0x543b7d9f, "_gpl");
SYMBOL_CRC(ipu6_send_get_token, 0xdd435b9b, "_gpl");
SYMBOL_CRC(ipu6_send_put_token, 0x093c1399, "_gpl");
SYMBOL_CRC(ipu6_recv_get_token, 0x42507517, "_gpl");
SYMBOL_CRC(ipu6_recv_put_token, 0x962f3d15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4a772144, "pci_ats_supported" },
	{ 0x4022fbfa, "dma_unmap_page_attrs" },
	{ 0x3c49ddd2, "request_firmware" },
	{ 0xda37e0a8, "__pci_register_driver" },
	{ 0x719ecd92, "pm_runtime_get_if_active" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0xbf7e445e, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x231d4358, "ipu_bridge_init" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x41e203db, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf1be5e1, "__free_iova" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0x4a90f66c, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb13998d7, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f3c4de8, "put_device" },
	{ 0xa0643b34, "devm_free_irq" },
	{ 0x19ce649c, "pm_runtime_enable" },
	{ 0xd27eeb4b, "alloc_iova" },
	{ 0xb6da6fee, "__free_pages" },
	{ 0xd299d529, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x6512c0bd, "split_page" },
	{ 0xe238c6cb, "pm_generic_runtime_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5ab309f9, "pcim_iomap_regions" },
	{ 0xf519125e, "vm_insert_page" },
	{  0x33661, "devm_kmemdup" },
	{ 0x311c6da4, "put_iova_domain" },
	{ 0x8073e021, "_dev_err" },
	{ 0xf958b873, "__auxiliary_device_add" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa0c1893f, "vmap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5c6d3d7, "device_del" },
	{ 0x7cdc6e2d, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xce59c1a0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa5a416f0, "ipu_bridge_parse_ssdb" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x750883cf, "dma_set_coherent_mask" },
	{ 0xbb2cbe13, "pv_ops" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf05b3b6a, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0x4aa656a8, "pm_runtime_allow" },
	{ 0xdc586b10, "__pm_runtime_resume" },
	{ 0xf8ebd652, "dma_map_sgtable" },
	{ 0x4043757f, "init_iova_domain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3f0e0f3c, "alloc_pages_noprof" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x8571a305, "dma_set_mask" },
	{ 0x631ec09c, "dev_err_probe" },
	{ 0x68609e4, "dma_unmap_sg_attrs" },
	{ 0xbb1ad502, "pcim_iomap_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcf75b7b, "pcim_enable_device" },
	{ 0x6ca034f0, "__pm_runtime_disable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x79f1aa44, "find_iova" },
	{ 0xbfc6199d, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x10d1a6c3, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x95a9eae8, "pci_disable_ats" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbff7f009, "auxiliary_device_init" },
	{ 0x6369bafe, "vmalloc_to_page" },
	{ 0xc011e6ed, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xe01f7e40, "dev_pm_domain_set" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "ipu-bridge");

MODULE_ALIAS("pci:v00008086d00009A19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004E19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000465Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A75Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007D19sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EAC344C122AF1CC3078B769");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
