#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0x098e822f, "");
SYMBOL_CRC(t3_l2t_send_event, 0x0686f340, "");
SYMBOL_CRC(t3_l2e_free, 0xc4f68ae1, "");
SYMBOL_CRC(t3_l2t_get, 0xf730ab94, "");
SYMBOL_CRC(cxgb3_register_client, 0x27f3d482, "");
SYMBOL_CRC(cxgb3_unregister_client, 0xcd03ca37, "");
SYMBOL_CRC(cxgb3_free_atid, 0x72bfff6b, "");
SYMBOL_CRC(cxgb3_free_stid, 0x89066b99, "");
SYMBOL_CRC(cxgb3_insert_tid, 0xcfccc52d, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x650770dc, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x15b3faf3, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0xa89db8e2, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0xf4771a9b, "");
SYMBOL_CRC(dev2t3cdev, 0x42b5733c, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x920d141a, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x003c9de7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x494ed593, "_dev_warn" },
	{ 0xce59c1a0, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc94dfad8, "netif_rx" },
	{ 0xd1b538b5, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x750883cf, "dma_set_coherent_mask" },
	{ 0xbb2cbe13, "pv_ops" },
	{ 0x28f63f58, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf4ebdbc6, "neigh_destroy" },
	{ 0x3b508c4b, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x913fea9d, "pci_release_regions" },
	{ 0x991e18cc, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x62c65554, "netdev_master_upper_dev_get_rcu" },
	{ 0x44aa7885, "__folio_put" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x88f08366, "netif_carrier_off" },
	{ 0x201f1893, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc6b469ce, "netif_carrier_on" },
	{ 0x6d85f8a5, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3f0e0f3c, "alloc_pages_noprof" },
	{ 0xa005e528, "pci_disable_device" },
	{ 0x8571a305, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x67a76e56, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x7bc24359, "napi_schedule_prep" },
	{ 0x1b8562c4, "napi_disable" },
	{ 0x33519913, "dev_kfree_skb_any_reason" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xcb6e1145, "__kfree_skb" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x3bcb338c, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5783b7a7, "alloc_etherdev_mqs" },
	{ 0x9c93489b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa9ab61e1, "pcie_capability_read_word" },
	{ 0x84ee17b6, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6d14c9c7, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xce6749f6, "skb_copy_bits" },
	{ 0x79cad0cb, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x547da13e, "pci_enable_device" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x7f26072, "netdev_update_features" },
	{ 0x843eb71d, "consume_skb" },
	{ 0x597f4079, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xbfbe4fce, "unregister_netdev" },
	{ 0x9abd635f, "napi_get_frags" },
	{ 0x4022fbfa, "dma_unmap_page_attrs" },
	{ 0x3c49ddd2, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xda37e0a8, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xbf7e445e, "pci_disable_msi" },
	{ 0x803c2b4d, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xdf76aa85, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x41e203db, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0xa973b57e, "dev_addr_mod" },
	{ 0x6b74b179, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb13998d7, "dma_map_page_attrs" },
	{ 0x246c74f7, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0xf1690459, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x336fe7c3, "pci_enable_msix_range" },
	{ 0x18d7b1d7, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0x415d6153, "__alloc_skb" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0xb6da6fee, "__free_pages" },
	{ 0xd299d529, "_dev_info" },
	{ 0xeadb11e9, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4bdb54b5, "pci_find_capability" },
	{ 0x8c52a933, "_dev_alert" },
	{ 0x991a2cda, "__dma_sync_single_for_cpu" },
	{ 0x22c79159, "pci_enable_msi" },
	{ 0x8073e021, "_dev_err" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcd85a795, "netif_set_real_num_tx_queues" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x51de4a1f, "netif_set_real_num_rx_queues" },
	{ 0xef31f6e9, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x751eb8e6, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6d5b03e4, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xa594efbc, "pci_read_config_word" },
	{ 0xea1f9a02, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9ed000c7, "netif_receive_skb" },
	{ 0xe91a2fd2, "register_netdev" },
	{ 0x616bde3e, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5c9aa675, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa70f310e, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x6feb3d4a, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3051f2b, "netif_tx_stop_all_queues" },
	{ 0xb2eb7873, "pci_restore_state" },
	{ 0x3ce86c63, "netif_tx_wake_queue" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B9A2CE53CD865D3CECB44BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
