#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xd3354840, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x56d169b8, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x6c9bed06, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xc0bf96ca, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x65d7cf33, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde515f72, "eth_header_parse" },
	{ 0x67dab9ae, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb7c37d85, "eth_header_cache_update" },
	{ 0xa90fa3e7, "nf_register_net_hooks" },
	{ 0xa669fe4c, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x33ffbac7, "ip_route_input_noref" },
	{ 0x8ccbefa9, "__dev_get_by_index" },
	{ 0xd8148ccd, "rtnl_link_unregister" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0xd5802170, "netif_stacked_transfer_operstate" },
	{ 0xc2ef810f, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x93f993a4, "ns_capable" },
	{ 0xe6df8dc0, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6feb3d4a, "ethtool_op_get_link" },
	{ 0xe3f0e8b6, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x472e124a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x696cae0f, "__pskb_pull_tail" },
	{ 0xc94dfad8, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1beaf71d, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xc48c2b70, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc0cae912, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xad87ea6b, "call_netdevice_notifiers" },
	{ 0xb2e9e76a, "vlan_vid_del" },
	{ 0xa43576a7, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x23632c3d, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e681a1b, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7d923e52, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x83ae8518, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6d7aaeec, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x47367d46, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbb09b47b, "dev_change_flags" },
	{ 0xa5c3bd40, "netdev_core_stats_inc" },
	{ 0x7f81da7, "dev_forward_skb" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa4fa3589, "register_netdevice" },
	{ 0x9e79d64d, "__do_once_done" },
	{ 0xdeef6f0, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xf632ff6b, "dev_pre_changeaddr_notify" },
	{ 0xdca636c9, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x87639785, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7f26072, "netdev_update_features" },
	{ 0x843eb71d, "consume_skb" },
	{ 0xe6c72c11, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ac05fb2, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x70326ea3, "rtnl_link_register" },
	{ 0xbf938ed9, "netif_inherit_tso_max" },
	{ 0x13a7a410, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xf23e2646, "ip_route_output_flow" },
	{ 0x25cd5c39, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbf93b2e1, "dev_uc_unsync" },
	{ 0x14e3d36b, "ether_setup" },
	{ 0xc9cb301a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb009aed, "netdev_upper_dev_link" },
	{ 0x84dcff9c, "register_pernet_subsys" },
	{ 0xa973b57e, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F155EF1C8B8B0372760C884");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
