#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x28e995e2, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x94b08036, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x04ec718e, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x4cbb9e1f, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xcc9d5dfe, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x72307820, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xc251b686, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x2eced979, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x0f6da63a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x6bd27251, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xbae97c65, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xe11b9719, "netif_tx_lock" },
	{ 0x92344c04, "usbnet_start_xmit" },
	{ 0x890df275, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd299d529, "_dev_info" },
	{ 0x3b0b1cda, "usbnet_write_cmd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x283b7572, "usbnet_read_cmd" },
	{ 0xf5c09443, "__netdev_alloc_skb" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaceac63a, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x267cbca4, "cdc_parse_cdc_header" },
	{ 0x5125fb91, "usb_ifnum_to_if" },
	{ 0x3fd7d159, "usb_driver_claim_interface" },
	{ 0x4673c657, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdb04ce49, "usbnet_get_ethernet_addr" },
	{ 0x8073e021, "_dev_err" },
	{ 0x415d6153, "__alloc_skb" },
	{ 0x49c73d49, "usbnet_manage_power" },
	{ 0x97ba0051, "usbnet_cdc_update_filter" },
	{ 0xbfd2d930, "usbnet_open" },
	{ 0xc4337d43, "usbnet_stop" },
	{ 0xb6abca65, "usbnet_set_rx_mode" },
	{ 0x9473e0fc, "eth_mac_addr" },
	{ 0xdf76aa85, "eth_validate_addr" },
	{ 0xd9311281, "usbnet_tx_timeout" },
	{ 0x25bb3f6b, "dev_get_tstats64" },
	{ 0x38c7f982, "usbnet_get_drvinfo" },
	{ 0x4504f6c9, "usbnet_get_msglevel" },
	{ 0xfe0bb489, "usbnet_set_msglevel" },
	{ 0xa8d4db74, "usbnet_nway_reset" },
	{ 0xb4fe7186, "usbnet_get_link" },
	{ 0x7945cbd4, "ethtool_op_get_ts_info" },
	{ 0x95e96a6f, "usbnet_get_link_ksettings_internal" },
	{ 0xb207160c, "usbnet_probe" },
	{ 0xbff6ed1a, "usbnet_disconnect" },
	{ 0xe0ce656c, "usbnet_suspend" },
	{ 0x6fa5c225, "usbnet_resume" },
	{ 0xcf0dda45, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x33519913, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x535a5b6, "usb_driver_release_interface" },
	{ 0x67415ea8, "usb_altnum_to_altsetting" },
	{ 0xcfec9dcd, "__dynamic_netdev_dbg" },
	{ 0x5fda2ad6, "usb_register_driver" },
	{ 0xe88f5993, "usb_deregister" },
	{ 0x915dc4db, "usbnet_link_change" },
	{ 0x3030c24a, "usbnet_update_max_qlen" },
	{ 0x52aead95, "usbnet_unlink_rx_urbs" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
