#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xb657a5e1, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xdb04ce49, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x4fd5299e, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xe8cce0b5, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xaceac63a, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x3030c24a, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x4a7c6fed, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x7fdc8fe0, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x6ae00e19, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xda7bbcf7, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xfac2df81, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x52aead95, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xc4337d43, "_gpl");
SYMBOL_CRC(usbnet_open, 0xbfd2d930, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x2a207296, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x95e96a6f, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xca6b6c7b, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xb4fe7186, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xa8d4db74, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x38c7f982, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x4504f6c9, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xfe0bb489, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xb6abca65, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xd9311281, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x92344c04, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xbff6ed1a, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xb207160c, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xe0ce656c, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x6fa5c225, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x02f41d41, "");
SYMBOL_CRC(usbnet_manage_power, 0x49c73d49, "");
SYMBOL_CRC(usbnet_link_change, 0x915dc4db, "");
SYMBOL_CRC(usbnet_read_cmd, 0x283b7572, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x3b0b1cda, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x5b5908eb, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xb5f0f478, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xf6b217df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4673c657, "usb_set_interface" },
	{ 0x92dffa0b, "usb_string" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xa973b57e, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc94dfad8, "netif_rx" },
	{ 0x6b74b179, "eth_type_trans" },
	{ 0xd077f239, "skb_queue_tail" },
	{ 0xcfec9dcd, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdc2d0a, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb55088bc, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x28b5abd8, "usb_unlink_urb" },
	{ 0xe9026472, "usb_free_urb" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9868b811, "usb_submit_urb" },
	{ 0xc9cb301a, "netdev_err" },
	{ 0xae60fff9, "mii_ethtool_get_link_ksettings" },
	{ 0x6fc94746, "mii_ethtool_set_link_ksettings" },
	{ 0x633f530d, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0xbfbe4fce, "unregister_netdev" },
	{ 0x843eb71d, "consume_skb" },
	{ 0xe6ed3f04, "usb_get_from_anchor" },
	{ 0x49e7cc2, "usb_kill_urb" },
	{ 0x616bde3e, "free_netdev" },
	{ 0x3bcb338c, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c01917c, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x583eaa68, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xca57b060, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x20cb75e6, "usb_autopm_get_interface" },
	{ 0xef9d8439, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d23f3c0, "usb_alloc_urb" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x9fe457a3, "mii_link_ok" },
	{ 0x6feb3d4a, "ethtool_op_get_link" },
	{ 0x5bc7f09f, "usb_autopm_put_interface_async" },
	{ 0xc6b469ce, "netif_carrier_on" },
	{ 0x88f08366, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5000d58, "skb_dequeue" },
	{ 0x5783b7a7, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe91a2fd2, "register_netdev" },
	{ 0x19ce649c, "pm_runtime_enable" },
	{ 0xe9fc93ed, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb96ea68b, "usb_autopm_get_interface_async" },
	{ 0xf94f52ab, "skb_tstamp_tx" },
	{ 0x33519913, "dev_kfree_skb_any_reason" },
	{ 0xf8ddc68, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf5c09443, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3ce86c63, "netif_tx_wake_queue" },
	{ 0x4dfbccaf, "usb_autopm_get_interface_no_resume" },
	{ 0x6b0251c6, "skb_put" },
	{ 0xcf859c0a, "usb_clear_halt" },
	{ 0x9473e0fc, "eth_mac_addr" },
	{ 0xdf76aa85, "eth_validate_addr" },
	{ 0x7945cbd4, "ethtool_op_get_ts_info" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "DFB1B1170CF0A5915C4CD78");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
