#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x48fe0c24, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x7d133dd4, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x5eff43c8, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xbfe89458, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x17f081fd, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xe9341174, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x4fdbfb8f, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x268aae09, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0xc56172af, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x7d7e462b, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x983f6f2e, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x8ab96790, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xebb36c92, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x2f538b67, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5c6f6e5b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x88d0f05f, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x4c28b030, "ath9k_hw_set_txpowerlimit" },
	{ 0xfedd0404, "ath_hw_keyreset" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "6AB875ABAF703AC5629CAD0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
