#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x004bdaa3, "");
SYMBOL_CRC(ntb_unregister_client, 0x7b2ce6b5, "");
SYMBOL_CRC(ntb_register_device, 0xe11fee61, "");
SYMBOL_CRC(ntb_unregister_device, 0x981f773c, "");
SYMBOL_CRC(ntb_set_ctx, 0xeba9b66b, "");
SYMBOL_CRC(ntb_clear_ctx, 0x3727f3d2, "");
SYMBOL_CRC(ntb_link_event, 0x105c6f97, "");
SYMBOL_CRC(ntb_db_event, 0x8bfe5112, "");
SYMBOL_CRC(ntb_msg_event, 0x3ee48de6, "");
SYMBOL_CRC(ntb_default_port_number, 0x5b61488e, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x35e72db6, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x10f972c0, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x6617c586, "");
SYMBOL_CRC(ntb_msi_init, 0xc43f6ac5, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x4cedfdcf, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x991aad2f, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xcf25b57a, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xd5e52307, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x6ac80799, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x90ca2d90, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f2fca9f, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xf9c79e96, "devm_iounmap" },
	{ 0x26f29fc1, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbe1300fc, "devres_destroy" },
	{ 0xb1321f, "msi_unlock_descs" },
	{ 0x44c18de1, "devm_ioremap" },
	{ 0x34ad0b7e, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x117c48a8, "msi_lock_descs" },
	{ 0x63a6825c, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f3c4de8, "put_device" },
	{ 0xa0643b34, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaac3a3ef, "bus_unregister" },
	{ 0xe2820a78, "devm_kfree" },
	{ 0x479e7bd0, "irq_get_irq_data" },
	{ 0x5da28b80, "__devres_alloc_node" },
	{ 0xb990b2d, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8950fd56, "device_register" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee1482a1, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x25aeed9c, "msi_next_desc" },
	{ 0x8627e3a3, "driver_register" },
	{ 0xbfa15ff2, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x10d1a6c3, "devm_request_threaded_irq" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
