#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x9468120c, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x554196a4, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x233451b4, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xa7a0fa47, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x4bd539db, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xb1181f03, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xc9c907d5, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x1ecfa270, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x4a90167f, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xc9d15f11, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x45d73848, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xc6e5062e, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x8e6011a1, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x77853389, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x3413d0e0, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xe6e89a06, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x015d075b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4e9957, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaa4b4f1b, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6ba3cd0c, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8c366f2b, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xea8e3624, "iscsi_prep_data_out_pdu" },
	{ 0x62ecf295, "iscsi_put_task" },
	{ 0x7c1711bb, "iscsi_conn_failure" },
	{ 0x91d1e333, "iscsi_conn_setup" },
	{ 0xe942745f, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x88b985b0, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1f16ec0f, "crypto_ahash_update" },
	{ 0x32546818, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc929ac55, "skb_prepare_seq_read" },
	{ 0xaed4ce48, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ef29af4, "skb_abort_seq_read" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xac48ca76, "iscsi_complete_pdu" },
	{ 0x9ca4c7ba, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc98fabe1, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa7ceab86, "iscsi_get_task" },
	{ 0x26c84fe9, "iscsi_update_cmdsn" },
	{ 0x62e6008b, "__iscsi_complete_pdu" },
	{ 0xb6d52713, "iscsi_requeue_task" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0x397cf3f2, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
