#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xec8ed0e2, "");
SYMBOL_CRC(sas_remove_host, 0x3f974e6a, "");
SYMBOL_CRC(sas_get_address, 0x1de1a653, "");
SYMBOL_CRC(sas_tlr_supported, 0x22e29f2c, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x59fb269a, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xb74d069d, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x3862ca09, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x25fdb4fe, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x959152a9, "");
SYMBOL_CRC(sas_phy_add, 0x5151afaa, "");
SYMBOL_CRC(sas_phy_free, 0x03cd8cea, "");
SYMBOL_CRC(sas_phy_delete, 0x045de52a, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x14598567, "");
SYMBOL_CRC(sas_port_alloc, 0xf6aa9519, "");
SYMBOL_CRC(sas_port_alloc_num, 0xa8a09233, "");
SYMBOL_CRC(sas_port_add, 0x540bdaaa, "");
SYMBOL_CRC(sas_port_free, 0x29112b50, "");
SYMBOL_CRC(sas_port_delete, 0xe9d5fead, "");
SYMBOL_CRC(scsi_is_sas_port, 0xac71fc69, "");
SYMBOL_CRC(sas_port_get_phy, 0x6081a138, "");
SYMBOL_CRC(sas_port_add_phy, 0x7b7d481e, "");
SYMBOL_CRC(sas_port_delete_phy, 0x3f031421, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xae48956c, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x74264031, "");
SYMBOL_CRC(sas_end_device_alloc, 0xaa78081a, "");
SYMBOL_CRC(sas_expander_alloc, 0xad3db1ab, "");
SYMBOL_CRC(sas_rphy_add, 0xcc287eb5, "");
SYMBOL_CRC(sas_rphy_free, 0x046f4e68, "");
SYMBOL_CRC(sas_rphy_delete, 0x81f406e2, "");
SYMBOL_CRC(sas_rphy_unlink, 0x4ff77a24, "");
SYMBOL_CRC(sas_rphy_remove, 0xa9afc2f6, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x74f6eb71, "");
SYMBOL_CRC(sas_attach_transport, 0x50cd537d, "");
SYMBOL_CRC(sas_release_transport, 0xf19606e5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x908e85d8, "attribute_container_register" },
	{ 0x7ba15021, "scsi_get_vpd_page" },
	{ 0xb8c034ae, "scsi_mode_sense" },
	{ 0xbd36a42a, "attribute_container_unregister" },
	{ 0x17ed20f6, "scsi_remove_host" },
	{ 0xbeb82930, "bsg_remove_queue" },
	{ 0xe5350bb8, "scsi_remove_target" },
	{ 0xc4e5f7bb, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xa4ae9901, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa444f010, "dma_opt_mapping_size" },
	{ 0x7e4f1e01, "device_initialize" },
	{ 0x3f2fca9f, "dev_set_name" },
	{ 0x902e9d3d, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f5c6a3a, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6f3c4de8, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x792f7986, "device_add" },
	{ 0x4c833a1, "transport_add_device" },
	{ 0xf709616c, "transport_configure_device" },
	{ 0x5c6d3d7, "device_del" },
	{ 0xda0ce0c4, "transport_destroy_device" },
	{ 0x9379ce, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x34ad0b7e, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8fd934a9, "sysfs_remove_link" },
	{ 0x5f24fc69, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xaa4b4f1b, "_dev_printk" },
	{ 0xca72e16b, "scsi_scan_target" },
	{ 0x6cad9d95, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x1102e2dc, "transport_class_register" },
	{ 0x44586e2a, "transport_class_unregister" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
