#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0xe9fc93ed, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0xcfe2fce3, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x7215fae3, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x5125fb91, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x67415ea8, "_gpl");
SYMBOL_CRC(usb_find_interface, 0x053ed930, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x5a61dca7, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x2ee19fc5, "_gpl");
SYMBOL_CRC(usb_get_dev, 0xdeac504c, "_gpl");
SYMBOL_CRC(usb_put_dev, 0x7d3d8fbe, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x65db1c0e, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x3dc3e0f4, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x23bd3cb4, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x1838cca7, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x6fff4d85, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x605fc223, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x62936706, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0xbc9b8588, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x453b3b2e, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x4cd66a7f, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x1d3d7d91, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0x8b35adfd, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x2eb4b667, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x004858a0, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x6250f6a4, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0x1824ed30, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0xa01d9cef, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x9a71387e, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0xdc0b055c, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0xf869967a, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x57303470, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0xb7197de8, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x8c57a9a6, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x4fe7a82f, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0xbb6c55d4, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xae0ecf40, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xf35c2d1a, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x1fc8c0e2, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0xd7c7d0b7, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0x7f1ee285, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0x6e738d81, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x29fc951b, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x06586709, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0xb2f3bf16, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0xa00b5af3, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0xf679611d, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0x779696c3, "_gpl");
SYMBOL_CRC(usb_free_streams, 0xe385f80f, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0xc6291d46, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x179f980e, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x4446ecc7, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0xdb421bcb, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0xd239f67e, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x878f5ffa, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x97ec3ab3, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0xdff3179d, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0x1de1a884, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0xf84166eb, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0xcca04a66, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0x3d3d8ac3, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0xb0e16dd2, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x7e23714c, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x352c3629, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x4d23f3c0, "_gpl");
SYMBOL_CRC(usb_free_urb, 0xe9026472, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xb55088bc, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x0f8ddc68, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x4162df63, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0x46371977, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0xac262875, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x9868b811, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x28b5abd8, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x049e7cc2, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x776956cc, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xce31a18b, "_gpl");
SYMBOL_CRC(usb_block_urb, 0x3454f002, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0xe6ed3f04, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0xca57b060, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x73646abe, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x2f8e2db5, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xa56caead, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x19933851, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x2cbe3778, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x1aecd264, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0xabe27b6c, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x83a62e40, "_gpl");
SYMBOL_CRC(usb_string, 0x92dffa0b, "_gpl");
SYMBOL_CRC(usb_cache_string, 0xca2accd9, "_gpl");
SYMBOL_CRC(usb_get_status, 0x66e81489, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0xcf859c0a, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x4797d3e3, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x4673c657, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x8cb7da76, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0x3d102cf7, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x069ac086, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0x820d5241, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x267cbca4, "");
SYMBOL_CRC(usb_store_new_id, 0xa509a14b, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0xc17e9946, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0x3fd7d159, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x0535a5b6, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0x49c4c9ab, "_gpl");
SYMBOL_CRC(usb_match_id, 0x98c235ad, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0xe3d96d95, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x40cd22df, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0xdfb8427e, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x5fda2ad6, "_gpl");
SYMBOL_CRC(usb_deregister, 0xe88f5993, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x4e0fdae2, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0xa42e6933, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0xef9d8439, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x5bc7f09f, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x568d56dd, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x20cb75e6, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0xb96ea68b, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x4dfbccaf, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x128c5a3c, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0xd13e7e9e, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0xc427c455, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0xd958b3c5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0x9fc3eb5b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0xe07c45f1, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x905c5540, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x7e730587, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x76e2a3a3, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x614ca7f3, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x0c161473, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x1b27024d, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0xa933409c, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x621a0abc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf112bbcc, "device_create" },
	{ 0x134092ee, "noop_llseek" },
	{   0xc4c4, "sysfs_merge_group" },
	{ 0x3a836d86, "phy_notify_disconnect" },
	{ 0x94fab016, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d0d8bf2, "kernfs_find_and_get_ns" },
	{ 0x6d5b03e4, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbb48dc5c, "phy_power_on" },
	{ 0x68323a24, "no_seek_end_llseek" },
	{ 0xb990b2d, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc4ebac99, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0xe311317a, "sysfs_remove_file_from_group" },
	{ 0x5c9aa675, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8950fd56, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x5c6d3d7, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xcbb7ebd3, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0xb9ebf5dd, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x16492143, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xce59c1a0, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc2288e7a, "pm_runtime_no_callbacks" },
	{ 0x6f0a8212, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xad3e655, "devm_gen_pool_create" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x51e0922b, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbb2cbe13, "pv_ops" },
	{ 0x28f63f58, "sysfs_remove_group" },
	{ 0x8d1d8e8e, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1348b9c1, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbbf25fd8, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xf05b3b6a, "pm_runtime_forbid" },
	{ 0x4193c46e, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x3b508c4b, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x4aa656a8, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdc586b10, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa6a4ae5d, "acpi_fetch_acpi_dev" },
	{ 0xcf0dda45, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xb7862dc5, "kernfs_put" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x92a74616, "inode_set_ctime_current" },
	{ 0xf089d33d, "__register_chrdev" },
	{ 0xcb2f02c5, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xbd6f7cb8, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xdc619c5c, "kobject_uevent" },
	{ 0xc6467774, "device_pm_wait_for_dev" },
	{ 0xa005e528, "pci_disable_device" },
	{ 0x17e89f2a, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x2a6539fd, "dma_mmap_attrs" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0x7aaa2ec5, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x68609e4, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xe16228f9, "dev_pm_qos_add_request" },
	{ 0xb6e6642e, "pm_runtime_barrier" },
	{ 0xc359c843, "__pm_runtime_suspend" },
	{ 0xdbc1aa5, "usb_debug_root" },
	{ 0x1aea79d6, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x5d3e17b9, "set_primary_fwnode" },
	{ 0xda038edc, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x532bc9a2, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd2950384, "phy_calibrate" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0xaa4b4f1b, "_dev_printk" },
	{ 0x4f68e0e3, "dev_pm_qos_expose_flags" },
	{ 0x6ca034f0, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0xbd1b138c, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x3b99a631, "device_link_add" },
	{ 0xb7c3284b, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x53b954a2, "up_read" },
	{ 0x8627e3a3, "driver_register" },
	{ 0x6d4e8591, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xdf4c034a, "class_register" },
	{ 0xbfc6199d, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b9afd48, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc8e1a4f5, "__dev_fwnode" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x7f3d930, "cdev_del" },
	{ 0xf57862dd, "device_remove_file" },
	{ 0xbfa15ff2, "bus_register" },
	{ 0x50b1d4d4, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x642227e, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xee314da, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x9c93489b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x51c79b00, "device_set_wakeup_enable" },
	{ 0x8da84687, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa37fb11e, "is_acpi_device_node" },
	{ 0x9e9c1fc5, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd12fef2f, "device_set_of_node_from_dev" },
	{ 0xbb7f3c65, "param_ops_uint" },
	{ 0x7ff97f35, "dma_pool_create" },
	{ 0x7d9aadeb, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x547da13e, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2e4ccf29, "devm_memremap" },
	{ 0x3f2fca9f, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc011e6ed, "pci_alloc_irq_vectors" },
	{ 0x2391d0cd, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7838c9bb, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x1ba8c388, "driver_remove_file" },
	{ 0x1e7dbeae, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x1fc5a691, "driver_attach" },
	{ 0x26f29fc1, "device_unregister" },
	{ 0x39c59d84, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x67e920cc, "pci_get_device" },
	{ 0x4022fbfa, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xc6d7473f, "sysfs_unbreak_active_protection" },
	{ 0x565344f7, "pci_dev_run_wake" },
	{ 0x44c18de1, "devm_ioremap" },
	{ 0xfdb95cd, "pci_prepare_to_sleep" },
	{ 0x7e4f1e01, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9b6f5eff, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x751188fc, "component_del" },
	{ 0xa76417fb, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ffd3ed, "kobject_get_path" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x21ebc345, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7c17a49c, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xeeea305f, "pci_irq_vector" },
	{ 0x34ad0b7e, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9ae21a64, "kernfs_notify" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c42bb31, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x93961e4a, "__put_cred" },
	{ 0x4f17d542, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x5e63c42d, "dev_driver_string" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0x105e0c7e, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5299f0d, "__pm_runtime_set_status" },
	{ 0xb13998d7, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xeabf6af4, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3ca16d27, "pm_wakeup_dev_event" },
	{ 0x1ac2a829, "device_reprobe" },
	{ 0x57b66808, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x76945c81, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe3f136d6, "debugfs_lookup_and_remove" },
	{ 0x6f3c4de8, "put_device" },
	{ 0x19ce649c, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x30b4f770, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xe6fe651f, "phy_exit" },
	{ 0xe4420906, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3c12d837, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0xd299d529, "_dev_info" },
	{ 0x97f8a577, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5f24fc69, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbbc02376, "device_wakeup_disable" },
	{ 0x820bffe5, "compat_ptr_ioctl" },
	{ 0x362f173f, "cdev_add" },
	{ 0xf4bac1bb, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc7538ab5, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xddf3a972, "sysfs_update_group" },
	{ 0x9169ff19, "sysfs_unmerge_group" },
	{ 0xaac3a3ef, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8073e021, "_dev_err" },
	{ 0x2b2d63f6, "device_wakeup_enable" },
	{ 0xce807a25, "up_write" },
	{ 0xadab7a33, "bus_find_device" },
	{ 0x792f7986, "device_add" },
	{ 0x8fd934a9, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8d04d660, "init_uts_ns" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "1900AA3531F92B19CCF1339");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
