#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x1c594f75, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x9f70250a, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x0f31eed7, "");
SYMBOL_CRC(usb_serial_resume, 0x1ac82ffb, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0x5a5b4952, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xf939e778, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xfe7c6720, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xc5aac4d6, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x8d55b4b1, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x0c23ec45, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x232c8186, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xfe0be8bf, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xb1f6431b, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x2771e11a, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0xebc3c9c5, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x73471d4d, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xbdd2ac02, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x0babb7b3, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x0775e7d0, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x5ad0b5e5, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x201df1a5, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xb6f02b80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65db1c0e, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x535a5b6, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x7d3d8fbe, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6f3c4de8, "put_device" },
	{ 0xdeac504c, "usb_get_dev" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x9868b811, "usb_submit_urb" },
	{ 0xd299d529, "_dev_info" },
	{ 0x1410e996, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x97f8a577, "module_put" },
	{ 0xfa33bfb0, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98c235ad, "usb_match_id" },
	{ 0xa509a14b, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaac3a3ef, "bus_unregister" },
	{ 0x8073e021, "_dev_err" },
	{ 0x792f7986, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x46f8fb9b, "tty_ldisc_ref" },
	{ 0x7690fb85, "tty_vhangup" },
	{ 0x732d2c05, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x317178bb, "tty_port_destroy" },
	{ 0x747f3505, "tty_port_init" },
	{ 0x3fd7d159, "usb_driver_claim_interface" },
	{ 0x1ca97b7d, "seq_putc" },
	{ 0x776956cc, "usb_poison_urb" },
	{ 0xce31a18b, "usb_unpoison_urb" },
	{ 0xb990b2d, "driver_unregister" },
	{ 0x5a60e4ce, "tty_port_register_device" },
	{ 0x51cc94ec, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe88f5993, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5c6d3d7, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xf4657ee2, "tty_port_close" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x20cb75e6, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x734cd2cc, "tty_register_driver" },
	{ 0xba8fb9a0, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x49e7cc2, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2888b774, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37c23781, "seq_printf" },
	{ 0x65a6a3e5, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x8627e3a3, "driver_register" },
	{ 0xce63a0d4, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xbfa15ff2, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58b836a2, "tty_port_tty_get" },
	{ 0x3dc3e0f4, "usb_put_intf" },
	{ 0x4d23f3c0, "usb_alloc_urb" },
	{ 0xef9d8439, "usb_autopm_put_interface" },
	{ 0x8da84687, "try_module_get" },
	{ 0xe9026472, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3f2fca9f, "dev_set_name" },
	{ 0xc32c28c2, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x72896008, "tty_flip_buffer_push" },
	{ 0x1fc5a691, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x64eda174, "tty_kref_put" },
	{ 0x5fda2ad6, "usb_register_driver" },
	{ 0x49c4c9ab, "usb_match_one_id" },
	{ 0x7e4f1e01, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc8d0c381, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb4007dca, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc17e9946, "usb_show_dynids" },
	{ 0x2716186c, "tty_hangup" },
	{ 0x3d96e13, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "F825C0AAF43902DB17F11CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
