#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x3b8a31c1, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0xc102d83b, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xccfb5afc, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x80713c40, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x6d6bab06, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x9d073c2c, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0xe766df77, "_gpl");
SYMBOL_CRC(ucsi_create, 0x1d05d507, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x2099791d, "_gpl");
SYMBOL_CRC(ucsi_register, 0xa814bf7e, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x0b9fc944, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x720ada12, "typec_partner_register_altmode" },
	{ 0xdeda787b, "typec_partner_set_num_altmodes" },
	{ 0x2f48c973, "typec_unregister_partner" },
	{ 0xa5d13ce5, "typec_set_pwr_opmode" },
	{ 0x40467d30, "typec_cable_set_identity" },
	{ 0xbb0dfbae, "debugfs_attr_read" },
	{ 0xdd0a81f9, "typec_unregister_cable" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0x8073e021, "_dev_err" },
	{ 0x2a5159d2, "typec_altmode_update_active" },
	{ 0xe10a8a70, "device_property_read_u8_array" },
	{ 0x556eea44, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xf9b873fa, "usb_power_delivery_register_capabilities" },
	{ 0xc8e4a38a, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa5eb72bb, "typec_altmode_set_ops" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9ad9322a, "debugfs_remove" },
	{ 0x416bc038, "usb_power_delivery_unregister" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0xd84c9bb, "typec_set_data_role" },
	{ 0x384c2abc, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xa6e8faed, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xca372704, "typec_unregister_port" },
	{ 0xaae1567a, "power_supply_get_drvdata" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x883ea4ca, "typec_register_port" },
	{ 0xdd86159a, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x272b433c, "typec_partner_set_usb_power_delivery" },
	{ 0x563640c2, "power_supply_changed" },
	{ 0xe1a054db, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xad5bf7f6, "typec_plug_register_altmode" },
	{ 0xc9c9cea7, "devm_kasprintf" },
	{ 0x233fe5c3, "typec_partner_set_svdm_version" },
	{ 0xa958708e, "seq_read" },
	{ 0x4193c46e, "debugfs_create_file" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdbb5be4, "typec_unregister_altmode" },
	{ 0xfdb5db7, "typec_register_cable" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37c23781, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf3548942, "usb_power_delivery_unregister_capabilities" },
	{ 0xf043292e, "typec_get_drvdata" },
	{ 0x1733a22, "typec_partner_set_identity" },
	{ 0xfa8ca9d3, "power_supply_unregister" },
	{ 0x91dce82, "single_release" },
	{ 0x34ff8994, "typec_set_pwr_role" },
	{ 0x650e6e3c, "typec_partner_usb_power_delivery_register" },
	{ 0x631ec09c, "dev_err_probe" },
	{ 0xdbc1aa5, "usb_debug_root" },
	{ 0xd9ca1c30, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa672a809, "single_open" },
	{ 0x8f4213d5, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc8e1a4f5, "__dev_fwnode" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xfa414eb2, "typec_partner_set_pd_revision" },
	{ 0x479edbb, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x710e8bd2, "typec_register_partner" },
	{ 0x16d4acac, "typec_port_set_usb_power_delivery" },
	{ 0x6aaaf34, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x93d59e20, "typec_port_register_altmode" },
	{ 0xd5212943, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0xc898cb20, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0xc5531f70, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x7ede4f3, "seq_lseek" },
	{ 0x6b89e7ee, "bpf_trace_run2" },
	{ 0xa48222fd, "typec_set_mode" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x2ba2d5a3, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8050e3b0, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "61AEFE7A1D8670E85E70659");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
