#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x1ca7db45, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x36cb1239, "");
SYMBOL_CRC(dccp_v4_send_check, 0x28472319, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x148dafd0, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xcb944ad3, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xa35e48a9, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x3c7fa4e8, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x9793e990, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcef808fa, "dccp_reqsk_send_ack" },
	{ 0xd2684cdd, "inet_lookup_reuseport" },
	{ 0x1a4d3fcd, "__inet_lookup_listener" },
	{ 0x480b58ef, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x7a278fee, "__skb_ext_del" },
	{ 0x2249c4f3, "sock_common_getsockopt" },
	{ 0x34c6ad2f, "inet_bind" },
	{ 0xce1879d9, "__inet_inherit_port" },
	{ 0xfa4a7cf2, "inet_dccp_listen" },
	{ 0xba6cdd2d, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5edc889, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xee00735b, "__xfrm_policy_check" },
	{ 0x61ba3fe0, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf23e2646, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xca4935e6, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4ed3791, "sk_error_report" },
	{ 0x84dcff9c, "register_pernet_subsys" },
	{ 0xd227cf18, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xbd9970d9, "inet_getname" },
	{ 0x83971faa, "inet_stream_connect" },
	{ 0xcb2f2c0, "proto_unregister" },
	{ 0x28677c0, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa685dae1, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x59d20c17, "dccp_done" },
	{ 0x74a85765, "inet_release" },
	{ 0x4b030122, "__sk_dst_check" },
	{ 0x96698389, "dccp_disconnect" },
	{ 0x924d9fa1, "ip_route_output_key_hash" },
	{ 0x68635a65, "proto_register" },
	{ 0xbc2fcf2c, "inet_hash" },
	{ 0x47b95533, "__sk_receive_skb" },
	{ 0x22b30ba2, "dccp_poll" },
	{ 0x669fd486, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x96bb4ee4, "inet_csk_get_port" },
	{ 0xd92b76c6, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x3982a0d6, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xb307ffaf, "inet_accept" },
	{ 0x4df9ecdc, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5b49b953, "ip6_mtu" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xb94b3e53, "inet_add_protocol" },
	{ 0x9e0a7ad, "inet_shutdown" },
	{ 0xec465205, "sk_free" },
	{ 0x3495eeea, "dccp_close" },
	{ 0xe75bcd1f, "dccp_reqsk_init" },
	{ 0x956f9ad2, "inet_hash_connect" },
	{ 0xb3c96623, "kmem_cache_free" },
	{ 0x87339127, "inet_csk_route_child_sock" },
	{ 0xa428edaa, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7624755, "security_sk_classify_flow" },
	{ 0x585e92ef, "inet_csk_update_pmtu" },
	{ 0xb011ab7a, "dccp_getsockopt" },
	{ 0x242150b4, "dccp_parse_options" },
	{ 0x472e124a, "unregister_pernet_subsys" },
	{ 0x3e1581f9, "skb_checksum" },
	{ 0x34032681, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77ee931d, "sock_no_mmap" },
	{ 0x696cae0f, "__pskb_pull_tail" },
	{ 0x964d87ca, "dccp_child_process" },
	{ 0xb9b5f3a5, "sock_common_recvmsg" },
	{ 0xb124b2b4, "dccp_setsockopt" },
	{ 0x40d537d4, "dccp_ioctl" },
	{ 0x6601739e, "inet_sk_rebuild_header" },
	{ 0x12c41d06, "inet_del_protocol" },
	{ 0xd154776e, "ipv4_mtu" },
	{ 0x77529e80, "dccp_recvmsg" },
	{ 0xa7094d6f, "inet_sendmsg" },
	{ 0xd5cf465b, "dccp_check_req" },
	{ 0x5f3ffbae, "dccp_create_openreq_child" },
	{ 0x4f5b1dff, "inet_csk_prepare_forced_close" },
	{ 0xe4d19044, "security_skb_classify_flow" },
	{ 0x78bb5997, "sock_pfree" },
	{ 0x8a25b8ef, "dccp_rcv_established" },
	{ 0x7f4abdb3, "dccp_send_sync" },
	{ 0x3e681a1b, "dst_release" },
	{ 0x8d9a03a0, "sock_release" },
	{ 0x6aa5a46b, "dccp_make_response" },
	{ 0xdb18937c, "dccp_destroy_sock" },
	{ 0xa23791e6, "dccp_ctl_make_reset" },
	{ 0x86965504, "sock_gettstamp" },
	{ 0x5f43ac66, "sk_setup_caps" },
	{ 0x4eac9479, "ip_build_and_send_pkt" },
	{ 0xda7ce5ef, "dccp_sendmsg" },
	{ 0xe31b40e3, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x6797a2, "inet_twsk_put" },
	{ 0x866f12aa, "inet_unhash" },
	{ 0xfda39b0f, "ip_getsockopt" },
	{ 0xb6d23994, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xac9468ae, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xacb908e0, "inet_csk_reqsk_queue_drop" },
	{ 0x2e5679a6, "__inet_lookup_established" },
	{ 0x2f20d73, "inet_bhash2_reset_saddr" },
	{ 0xdc323944, "inet_csk_addr2sockaddr" },
	{ 0xadca85ce, "inet_unregister_protosw" },
	{ 0x4acd48aa, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf14d5196, "dccp_shutdown" },
	{ 0xb8868c4, "inet_bhash2_update_saddr" },
	{ 0x6a0c5411, "dccp_connect" },
	{ 0x11e593f4, "dccp_rcv_state_process" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
