#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x4ee70251, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xc6b93466, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x6b1ef32c, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xcc9b98be, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xb7f466c6, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x7298ee60, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x7be89ec8, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xc98cc420, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x057defda, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x2d61e8dc, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x5e4491f5, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xb0877db7, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x5828d9b4, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x3e83367b, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xef549844, "");
SYMBOL_CRC(nf_nat_follow_master, 0xecc34f1b, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xcdefe3b6, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x6db42e6e, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x51f708c8, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x715e2407, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x8172a6fc, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xc26626eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2633b9a1, "pskb_expand_head" },
	{ 0x84dcff9c, "register_pernet_subsys" },
	{ 0x7ddfbdfc, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9d7b560e, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5d69d10c, "ipv6_skip_exthdr" },
	{ 0xa90fa3e7, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x97f8a577, "module_put" },
	{ 0x9349d347, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xd52a142b, "nf_ct_expect_related_report" },
	{ 0x915a9be5, "ip_route_me_harder" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x652fd503, "nf_hook_entries_delete_raw" },
	{ 0x7f986ef1, "skb_ensure_writable" },
	{ 0xe6df8dc0, "nf_unregister_net_hooks" },
	{ 0x9a960f29, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x472e124a, "unregister_pernet_subsys" },
	{ 0x3e1581f9, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb36113e6, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x52c0a0e, "nf_ip_checksum" },
	{ 0x73a10b55, "register_btf_kfunc_id_set" },
	{ 0x10664fa4, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x2522535d, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9d42ef1c, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa213d2f, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6686e2d8, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e681a1b, "dst_release" },
	{ 0x5f160c9, "nf_ct_l4proto_find" },
	{ 0x10de9f6e, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xe238b201, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3e513daf, "nf_ct_ext_add" },
	{ 0x9e79d64d, "__do_once_done" },
	{ 0x31538bc0, "nf_conntrack_find_get" },
	{ 0x8da84687, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x61ed441, "nf_ip6_checksum" },
	{ 0xce6749f6, "skb_copy_bits" },
	{ 0x712eb02e, "nf_hook_entries_insert_raw" },
	{ 0x8b4bf954, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xa9a3e2c7, "nf_ct_seqadj_set" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbf4c6bde, "nf_ct_helper_expectfn_unregister" },
	{ 0xdefd7ce9, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x3e20578f, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x640af2e8, "ip6_route_me_harder" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "8575CF19F3DC7A43D0EECFA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
