#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xc4f8cc3f, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xf6017198, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x304cf632, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x3ac2e15c, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x299c8728, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xc3b81fd2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3cb98cbe, "skb_mpls_pop" },
	{ 0x70e866a7, "skb_vlan_pop" },
	{ 0xeff7055b, "dst_init" },
	{ 0x97f8a577, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xc013c3e2, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xd8148ccd, "rtnl_link_unregister" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0x6f9eee10, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x6e20bd04, "ipv6_stub" },
	{ 0x2c7669b3, "skb_mpls_update_lse" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x903b92a6, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0x5d9ae2fb, "netlink_unicast" },
	{ 0xd9c85a7c, "bpf_trace_run5" },
	{ 0x4984b228, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x245f0390, "skb_push" },
	{ 0xb3c96623, "kmem_cache_free" },
	{ 0xc2ef810f, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0x7f986ef1, "skb_ensure_writable" },
	{ 0x616bde3e, "free_netdev" },
	{ 0x9c0185f8, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x737c463b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6feb3d4a, "ethtool_op_get_link" },
	{ 0xf36b3a61, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x800167fc, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x79a8ba91, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x696cae0f, "__pskb_pull_tail" },
	{ 0xb36113e6, "nf_ct_delete" },
	{ 0x320eec09, "nf_conncount_init" },
	{ 0xad1c4efd, "skb_vlan_push" },
	{ 0xc94dfad8, "netif_rx" },
	{ 0xf5c09443, "__netdev_alloc_skb" },
	{ 0x4b4de1e1, "__kmem_cache_create_args" },
	{ 0x16674965, "netdev_master_upper_dev_link" },
	{ 0xa20a3b17, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x2522535d, "inet_proto_csum_replace16" },
	{ 0xd5df0bbf, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1beaf71d, "skb_scrub_packet" },
	{ 0x216c777a, "nf_ct_deliver_cached_events" },
	{ 0x2bb5f076, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xfcd1d6ef, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc48c2b70, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0xa213d2f, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6686e2d8, "inet_proto_csum_replace4" },
	{ 0x6ba1a46c, "nf_conncount_destroy" },
	{ 0x9c0d57d6, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x3d4ebc49, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa6c1c070, "dev_get_by_name" },
	{ 0x23632c3d, "skb_clone" },
	{ 0x5ef54273, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e681a1b, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe55f59b2, "peernet2id_alloc" },
	{ 0x2a2d1fc9, "nf_ct_get_tuplepr" },
	{ 0x7d923e52, "netdev_rx_handler_register" },
	{ 0x17399f92, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x4e9fcee8, "genl_unregister_family" },
	{ 0x3e8a9cab, "dev_disable_lro" },
	{ 0xa5c3cbf7, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x33519913, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbdc77f9a, "genl_register_family" },
	{ 0xb905bd49, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x48b9f7df, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x40a9a36e, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x43a2fb86, "skb_mpls_push" },
	{ 0xb08eabed, "register_pernet_device" },
	{ 0xd2eadff4, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9141b1c5, "kmem_cache_destroy" },
	{ 0x4a5ee4da, "__skb_vlan_pop" },
	{ 0xf02e7cc5, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa4fa3589, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3e513daf, "nf_ct_ext_add" },
	{ 0xe8db1fd0, "nsh_pop" },
	{ 0x31538bc0, "nf_conntrack_find_get" },
	{ 0x6e759c76, "nf_ct_set_timeout" },
	{ 0xb92c333, "dev_get_stats" },
	{ 0x9a5ea756, "__nla_put" },
	{ 0x8da84687, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc9b1a099, "dev_fill_metadata_dst" },
	{ 0xefbd1b91, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xce6749f6, "skb_copy_bits" },
	{ 0x6c408046, "nf_ct_handle_fragments" },
	{ 0x9473e0fc, "eth_mac_addr" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x5d21d390, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbc696277, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x843eb71d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc26626eb, "nf_ct_nat" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8105f91, "skb_eth_pop" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0xbff9466d, "skb_gso_validate_mac_len" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8df9db94, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x5c093795, "nf_ct_helper" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0x7a278fee, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0x2a9a91bb, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x70326ea3, "rtnl_link_register" },
	{ 0x41f38922, "nf_connlabels_put" },
	{ 0xd3c970ee, "genlmsg_put" },
	{ 0xbe116ec4, "___pskb_trim" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x70d7d994, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x81fc886, "dev_set_promiscuity" },
	{ 0x672d3ed9, "nf_ct_destroy_timeout" },
	{ 0x19935f0c, "nf_ct_add_helper" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0x7747df59, "nf_conntrack_helper_put" },
	{ 0xd17ea5c3, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa0e1734, "nf_ct_skb_network_trim" },
	{ 0x25cd5c39, "unregister_netdevice_queue" },
	{ 0xef061e28, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x14e3d36b, "ether_setup" },
	{ 0x33e2266, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2633b9a1, "pskb_expand_head" },
	{ 0xe0a5ba7f, "skb_csum_hwoffload_help" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0xa973b57e, "dev_addr_mod" },
	{ 0x5c772452, "nf_connlabels_replace" },
	{ 0x6b74b179, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a9243b9, "alloc_netdev_mqs" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc2baa97a, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x67dab9ae, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1af25e44, "skb_eth_push" },
	{ 0xc3996ff8, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x415d6153, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "3883EA58703666E7796635F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
