#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x5e28d667, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x4c64e24a, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x912927ea, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xb5746fe3, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x663606ea, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x669fd486, "inet_ctl_sock_create" },
	{ 0xd92b76c6, "inet_ioctl" },
	{ 0x81827ae0, "reuseport_add_sock" },
	{ 0xb2c1c4c6, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xcc9b7c5, "sk_filter_trim_cap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc7e9221e, "perf_trace_run_bpf_submit" },
	{ 0x10abfa39, "fput" },
	{ 0xb307ffaf, "inet_accept" },
	{ 0x6f9eee10, "init_net" },
	{ 0x9b64c6f6, "crypto_shash_setkey" },
	{ 0xccf6f48f, "skb_pull" },
	{ 0x2e5c9b19, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5b49b953, "ip6_mtu" },
	{ 0x1f688cb1, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfab067a8, "__SCK__tp_func_sk_data_ready" },
	{ 0xb94b3e53, "inet_add_protocol" },
	{ 0x9e0a7ad, "inet_shutdown" },
	{ 0xec465205, "sk_free" },
	{ 0x55b75fa0, "sock_wake_async" },
	{ 0x4984b228, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x3b15759b, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x245f0390, "skb_push" },
	{ 0xb499464f, "__ip_queue_xmit" },
	{ 0xb3c96623, "kmem_cache_free" },
	{ 0x98e4b5a5, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x8da2473b, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x93f993a4, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8fe0f53c, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x118e7f4a, "inet6_ioctl" },
	{ 0x8483227c, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x1871541d, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x472e124a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf8eab055, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x34032681, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xbb6a11b6, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x79a8ba91, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x77ee931d, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x696cae0f, "__pskb_pull_tail" },
	{ 0x4b4de1e1, "__kmem_cache_create_args" },
	{ 0x6a809b00, "setup_udp_tunnel_sock" },
	{ 0x810c9cb3, "udp_sock_create6" },
	{ 0xd5df0bbf, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cea0666, "sk_common_release" },
	{ 0xbb2cbe13, "pv_ops" },
	{ 0xf8b58688, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x407c1b3e, "inet6_getname" },
	{ 0xb28fb35a, "sock_i_ino" },
	{ 0xd06ba5a1, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc67d9cb4, "ip6_xmit" },
	{ 0x3028b619, "security_sctp_assoc_request" },
	{ 0x12c41d06, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd154776e, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x666b1ade, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x52e5ed58, "trace_event_buffer_reserve" },
	{ 0xa213d2f, "__skb_checksum" },
	{ 0xb8104210, "reuseport_alloc" },
	{ 0x72e7909a, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x4c5d012d, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xa7094d6f, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcf0dda45, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x2ce6c47f, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xba8fb9a0, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x826b35b2, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37c23781, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xeffba4c4, "proc_create_net_single" },
	{ 0x2b03add6, "skb_copy" },
	{ 0x23632c3d, "skb_clone" },
	{ 0x63f02400, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e681a1b, "dst_release" },
	{ 0x1f10f36e, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x8d9a03a0, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6a70a86e, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x86965504, "sock_gettstamp" },
	{ 0xe7f8b808, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x37d473c4, "_proc_mkdir" },
	{ 0x5f43ac66, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbf921216, "send_sig" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa255d53b, "inet6_add_protocol" },
	{ 0x2b46f5ee, "from_kuid_munged" },
	{ 0xe31b40e3, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x55e9caed, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xdf215301, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x4af0be71, "reuseport_detach_sock" },
	{ 0xfda39b0f, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x32ed95b5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x97ce06f7, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd23b8125, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3f27ee23, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x9141b1c5, "kmem_cache_destroy" },
	{ 0xe5c0f78e, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe90cac5f, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x4da1fb12, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xefe9ccd6, "sock_i_uid" },
	{ 0x7f17af44, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2e08b69d, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xce6749f6, "skb_copy_bits" },
	{ 0xadca85ce, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x10fb89d6, "sock_wfree" },
	{ 0x6b0251c6, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x97d0975b, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x453b603b, "ip6_dst_hoplimit" },
	{ 0x843eb71d, "consume_skb" },
	{ 0xb6b5c88d, "inet6_add_offload" },
	{ 0xa6a90fc3, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd86c4607, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xef5d7cae, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x9d574973, "l3mdev_fib_table_by_index" },
	{ 0x663dc0ef, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5000d58, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd2dc0dae, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x25feab69, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7a278fee, "__skb_ext_del" },
	{ 0x2d9704a9, "skb_segment" },
	{ 0xb5f4dd4b, "trace_event_printf" },
	{ 0xbf19eca3, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6577601f, "udp_tunnel6_xmit_skb" },
	{ 0x2249c4f3, "sock_common_getsockopt" },
	{ 0x34c6ad2f, "inet_bind" },
	{ 0xd78ecf59, "sock_create" },
	{ 0xf134a67f, "net_hotdata" },
	{ 0x693c8f63, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x392beba1, "fd_install" },
	{ 0x4f53d738, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5edc889, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xee00735b, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc631c531, "security_sctp_assoc_established" },
	{ 0x233854b4, "__tracepoint_sk_data_ready" },
	{ 0x6b89e7ee, "bpf_trace_run2" },
	{ 0x61ba3fe0, "sock_common_setsockopt" },
	{ 0x19cfb25, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf23e2646, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x5587d68b, "__sk_mem_schedule" },
	{ 0xa88501ea, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xdd64a4c0, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd934dd91, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xd4ed3791, "sk_error_report" },
	{ 0x84dcff9c, "register_pernet_subsys" },
	{ 0x322c6d0, "put_cmsg" },
	{ 0xe9d1c3ff, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xcdf1c3e6, "register_net_sysctl_sz" },
	{ 0x5402db26, "inet_sock_destruct" },
	{ 0x743919, "crypto_destroy_tfm" },
	{ 0x7a75d87b, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa06129c7, "inet_sk_get_local_port_range" },
	{ 0x9bb2084, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xbd9970d9, "inet_getname" },
	{ 0xcb2f2c0, "proto_unregister" },
	{ 0x6e56e3ff, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc97fdff6, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x415d6153, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x74a85765, "inet_release" },
	{ 0x1c1ecf5a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x68635a65, "proto_register" },
	{ 0xe87522a0, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xb0746d12, "inet6_compat_ioctl" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "296A31A1250258DE53BEE75");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
