#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0xc70b5e9b, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0xcd507231, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x0a88ef73, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x987dc677, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0xbc47120c, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xff7fd340, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97cdea9, "devm_regulator_get" },
	{ 0xc715e4bd, "snd_soc_component_disable_pin_unlocked" },
	{ 0xd299d529, "_dev_info" },
	{ 0xa71e3d51, "snd_soc_info_volsw" },
	{ 0x8073e021, "_dev_err" },
	{ 0xac33b97f, "wm_adsp_event" },
	{ 0x7596f6bc, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x24ed248e, "snd_ctl_notify" },
	{ 0x9e0d189d, "wm_adsp_fw_enum" },
	{ 0x494ed593, "_dev_warn" },
	{ 0x346ea9a1, "wm_adsp2_component_probe" },
	{ 0xd5ca46dd, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64abc4f3, "wm_adsp2_preloader_get" },
	{ 0x7c0ce737, "snd_soc_info_enum_double" },
	{ 0x98b68a5a, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x65fc8c9b, "devm_regmap_add_irq_chip" },
	{ 0x893ed6a5, "snd_soc_get_volsw" },
	{ 0x21165061, "regmap_read" },
	{ 0x9e2906eb, "snd_soc_put_volsw" },
	{ 0x40115a3b, "wm_adsp_fw_get" },
	{ 0xdc586b10, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdec5bab1, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdd33ec45, "regmap_bulk_read" },
	{ 0x40293c5, "regmap_update_bits_base" },
	{ 0xef7c0e34, "regulator_disable" },
	{ 0x631ec09c, "dev_err_probe" },
	{ 0x65b1c17a, "regmap_multi_reg_write" },
	{ 0x5d90dc30, "snd_soc_dapm_get_volsw" },
	{ 0xc359c843, "__pm_runtime_suspend" },
	{ 0x5841ca19, "regmap_register_patch" },
	{ 0x575cf0d, "snd_soc_dapm_get_enum_double" },
	{ 0x532bc9a2, "__pm_runtime_use_autosuspend" },
	{ 0x5a042c42, "wm_halo_init" },
	{ 0xe604264b, "wm_adsp_early_event" },
	{ 0x6ca034f0, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xf443648f, "snd_soc_dapm_put_enum_double" },
	{ 0xf170d815, "wm_adsp_fw_put" },
	{ 0x950f5258, "regulator_enable" },
	{ 0x7f2b326e, "regcache_cache_only" },
	{ 0x64536a4b, "regcache_sync" },
	{ 0xce8badc1, "regmap_write" },
	{ 0x10d1a6c3, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8dd20556, "snd_soc_component_get_kcontrol" },
	{ 0x39c59d84, "pm_runtime_set_autosuspend_delay" },
	{ 0xe96a4cf9, "gpiod_set_value_cansleep" },
	{ 0x738312e6, "wm_adsp2_remove" },
	{ 0x70c4ac77, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x30bc0d0b, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc5b0437a, "devm_gpiod_get_optional" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd5299f0d, "__pm_runtime_set_status" },
	{ 0x2dd5a268, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19ce649c, "pm_runtime_enable" },
	{ 0x49293b9c, "device_property_read_u32_array" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "339289D9249B51897B33DCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
