#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0x39367f2b, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0x3ee93c01, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0xd5d6e2a0, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0x596c5788, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8073e021, "_dev_err" },
	{ 0x7596f6bc, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2e9f916e, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x365449d2, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x7c0ce737, "snd_soc_info_enum_double" },
	{ 0x893ed6a5, "snd_soc_get_volsw" },
	{ 0x21165061, "regmap_read" },
	{ 0x9e2906eb, "snd_soc_put_volsw" },
	{ 0xdeefe615, "snd_soc_component_update_bits" },
	{ 0x513f713d, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x40293c5, "regmap_update_bits_base" },
	{ 0x5d90dc30, "snd_soc_dapm_get_volsw" },
	{ 0x34cbf1c7, "i2c_del_driver" },
	{ 0x5841ca19, "regmap_register_patch" },
	{ 0x575cf0d, "snd_soc_dapm_get_enum_double" },
	{ 0x6ca034f0, "__pm_runtime_disable" },
	{ 0xbfc6199d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xf443648f, "snd_soc_dapm_put_enum_double" },
	{ 0x7f2b326e, "regcache_cache_only" },
	{ 0x64536a4b, "regcache_sync" },
	{ 0xce8badc1, "regmap_write" },
	{ 0xbb7f3c65, "param_ops_uint" },
	{ 0xc367f33b, "devm_kmalloc" },
	{ 0x3249f9a1, "snd_soc_jack_free_gpios" },
	{ 0x70680c8f, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x352ae34e, "snd_soc_jack_add_gpios" },
	{ 0xb2383b32, "snd_soc_dapm_disable_pin" },
	{ 0xe72169f9, "snd_soc_dapm_force_enable_pin" },
	{ 0x2892b8cf, "snd_soc_put_enum_double" },
	{ 0x30bc0d0b, "regcache_mark_dirty" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eaf1e95, "snd_soc_component_write" },
	{ 0xa851da63, "snd_soc_dapm_sync" },
	{ 0x2dd5a268, "devm_snd_soc_register_component" },
	{ 0xdae618fe, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19ce649c, "pm_runtime_enable" },
	{ 0x40927659, "snd_soc_get_enum_double" },
	{ 0xd299d529, "_dev_info" },
	{ 0x33d662d7, "i2c_register_driver" },
	{ 0xa71e3d51, "snd_soc_info_volsw" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "755EA7EF14DC7AB16DDD255");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
