#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x11ec1c5e, "");
SYMBOL_CRC(hda_bus_ml_free, 0xf63a989f, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xa2f2efc8, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x878069e2, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xf02b1534, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xd827cc21, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x6666be5a, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x871c203e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xa61aaff9, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x61dc1604, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x52567560, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x450136d8, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x0cde5b37, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x84dc37cb, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x3722191c, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x98cc563c, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x0c89fbc5, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x41f11196, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0xa2deb136, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x28e7f795, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x34c644a3, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0xe6ef421a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x51c22030, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x753af0e9, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x9a679adb, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xd808e878, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x6da34b85, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xf75935a5, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xa195f0ee, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xc5395c2e, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0xc5b221fb, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x7605c25c, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x63f01934, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37149cee, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x632df7d8, "snd_hdac_ext_bus_link_power_down" },
	{ 0x8073e021, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0xdac20c58, "snd_hdac_ext_bus_link_put" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "1FE7A5672CF53E030E982B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
