#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cnl_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_CNL");

SYMBOL_CRC(cnl_ipc4_irq_thread, 0xfb15a137, "");
SYMBOL_CRC(cnl_ipc_irq_thread, 0xf89348f2, "");
SYMBOL_CRC(cnl_ipc4_send_msg, 0x97dbf658, "");
SYMBOL_CRC(cnl_ipc_send_msg, 0x27354fce, "");
SYMBOL_CRC(cnl_ipc_dump, 0xec62c9f7, "");
SYMBOL_CRC(cnl_ipc4_dump, 0x9ea9052c, "");
SYMBOL_CRC(sof_cnl_ops, 0xe037414c, "");
SYMBOL_CRC(sof_cnl_ops_init, 0xb3d787bf, "");
SYMBOL_CRC(jsl_chip_info, 0x12728314, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda37e0a8, "__pci_register_driver" },
	{ 0xee0d9948, "hda_dsp_disable_interrupts" },
	{ 0xdff202ba, "pcpu_hot" },
	{ 0xaac0635, "hda_dsp_cl_boot_firmware" },
	{ 0xa6a4132a, "hda_dsp_set_power_state_ipc4" },
	{ 0x9eff6c4a, "__SCK__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0xc965cd12, "__tracepoint_sof_intel_ipc_firmware_initiated" },
	{ 0x77458c9f, "hda_dsp_ipc_get_reply" },
	{ 0xc3870e69, "hda_power_down_dsp" },
	{ 0x5dccb385, "snd_soc_acpi_intel_cfl_sdw_machines" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0x41e203db, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa476ae21, "snd_soc_acpi_intel_cml_machines" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35e33813, "__SCT__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x16bbbb91, "__SCT__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x25bc8662, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc6139255, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc673a2f1, "hda_pci_intel_probe" },
	{ 0xe2446b92, "sof_mailbox_write" },
	{ 0x8073e021, "_dev_err" },
	{ 0xcb485d08, "snd_sof_dsp_update_bits_forced" },
	{ 0x44b4f740, "sof_pci_remove" },
	{ 0xee9ad3e3, "__tracepoint_sof_intel_ipc_firmware_response" },
	{ 0x1c8eae97, "__SCK__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x79956261, "hda_set_dai_drv_ops" },
	{ 0x723de38a, "hda_dsp_set_power_state_ipc3" },
	{ 0xc0176537, "snd_soc_acpi_intel_cnl_sdw_machines" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcf0865fb, "snd_sof_ipc_get_reply" },
	{ 0xb1f366da, "snd_sof_dsp_update_bits" },
	{ 0xebaa78d, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4fdc62dd, "hda_common_enable_sdw_irq" },
	{ 0xa7e4b83e, "hda_dsp_check_ipc_irq" },
	{ 0x9d1815ee, "snd_sof_ipc_reply" },
	{ 0xf87ea11e, "cl_dsp_init" },
	{ 0xa89cf71a, "hda_ipc4_tx_is_busy" },
	{ 0x6ed52ad7, "hda_ops_free" },
	{ 0x8dbe1ad3, "snd_soc_acpi_intel_cnl_machines" },
	{ 0x66dee9a7, "sof_pci_shutdown" },
	{ 0xcbb8324f, "hda_dsp_core_get" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x5a008688, "hda_sdw_process_wakeen_common" },
	{ 0x6fbe28fd, "snd_soc_acpi_intel_cml_sdw_machines" },
	{ 0xd63f17b6, "snd_sof_dsp_panic" },
	{ 0xe528683f, "hda_dsp_ipc4_load_library" },
	{ 0xeae440eb, "hda_ipc_irq_dump" },
	{ 0xee587d08, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x3c9d2b78, "hda_common_check_sdw_irq" },
	{ 0xad0b8c5f, "sof_pci_pm" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfead859c, "snd_soc_acpi_intel_cfl_machines" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x69114fc2, "hda_sdw_check_wakeen_irq_common" },
	{ 0xd08458ec, "hda_dsp_shutdown" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3F0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9481D74EC7F56BAE3111BF5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
