#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c57a9a6, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x9868b811, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xefc09606, "snd_card_new" },
	{ 0xac262875, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1dabb524, "snd_card_set_id" },
	{ 0x8073e021, "_dev_err" },
	{ 0x945be5f9, "snd_card_free_when_closed" },
	{ 0x4673c657, "usb_set_interface" },
	{ 0xb8ae7eb7, "snd_pcm_set_ops" },
	{ 0xe88f5993, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92dffa0b, "usb_string" },
	{ 0xfe2c628f, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x494ed593, "_dev_warn" },
	{ 0xdab5dc28, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcae9802c, "input_event" },
	{ 0xee5f4303, "input_set_abs_params" },
	{ 0x2ec1014f, "snd_rawmidi_new" },
	{ 0x7651636f, "snd_card_disconnect" },
	{ 0x861da13a, "snd_rawmidi_set_ops" },
	{ 0xcf0dda45, "param_ops_bool" },
	{ 0x60a9bf60, "__kmalloc_cache_noprof" },
	{ 0x49e7cc2, "usb_kill_urb" },
	{ 0x352c3629, "usb_init_urb" },
	{ 0xb78e0c66, "snd_pcm_period_elapsed" },
	{ 0xb8ba8727, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc7e4d4b7, "kmalloc_caches" },
	{ 0xc8f52a92, "input_allocate_device" },
	{ 0x4d23f3c0, "usb_alloc_urb" },
	{ 0x1abd9c14, "snd_rawmidi_receive" },
	{ 0xe9026472, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x5ce5298, "snd_rawmidi_transmit" },
	{ 0xf2f872f9, "snd_ctl_add" },
	{ 0x14f6bdfd, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9a3f7240, "snd_card_register" },
	{ 0x4b82cbde, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5fda2ad6, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xa746af79, "param_array_ops" },
	{ 0xa16ce1fd, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x18204e3c, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd78a3402, "input_free_device" },
	{ 0x4ce5b42e, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x19933851, "usb_bulk_msg" },
	{ 0xd681d281, "input_register_device" },
	{ 0xbb2655cf, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7B7229A0C7BECEDFB4AB4C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
